2010-12-03  Mark Gregory Skilbeck

	* ext/gtk+/gtk-2.20.defs
	  ext/gtk+/gtk-2.20-types.defs
	  ext/gtk+/gtk-2.20.overrides:
	  Added defs and overrides for GTK 2.20
	
	* ext/gtk+/gdk-2.20.defs:
	  Added defs for GDK 2.20

2010-11-26  Mark Gregory Skilbeck <markskilbeck@php.net>

	* ext/gtk+/gdk-2.18.defs
	  ext/gtk+/gdk-2.18.overrides:
	  Added defs for GDK 2.18

2010-11-25  Mark Gregory Skilbeck <markskilbeck@php.net>

	* ext/gtk+/gdk-2.14.defs
	  ext/gtk+/gdk-2.14-types.defs:
	  Added defs for GDK 2.14

	* ext/gtk+/gdk-2.16.defs:
	  Added defs for GDK 2.16

2010-10-20  Mark Gregory Skilbeck <markskilbeck@php.net>
    * ext/gtk+/gdk-2.8.overrides:
      Gdk::cairo_set_source_color is now static

2009-06-30  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk-2.10.overrides:
      change to name of item in structs in cairo

2009-04-24  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * main/phpg_gobject.c:
      Change \ to __ in PHP names before registering gtype to avoid "invalid
      character" issues when using namespaces in 5.3 - note, this means you
      can't have \My\Class\Name and My__Class__Name and register both as gtypes
      in the same application.

2009-04-20  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk-2.10.overrides
      ext/gtk+/gtk-2.12.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkclipboard.overrides
      ext/gtk+/gtktextview.overrides
      ext/gtk+/gtktreeview.overrides
      ext/libglade/libglade.overrides
      main/php_gtk.h
      main/php_gtk_object.c
      main/phpg_closure.c
      main/phpg_support.c:
      Fixes for zend_is_callable and zend_apply_hash_with_arguments changes in
      5.3 in ZTS mode

    * ext/gtk+/gdk-2.10.overrides
      ext/gtk+/gdk-2.12.overrides
      ext/gtk+/gdk-2.8.overrides:
      additional cairo compilation fixes, finished overrides with boxed types

2009-04-16  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk-2.12.overrides
      ext/gtk+/gdk-2.8.overrides:
      Use correct calls for php cairo helper functions

2009-03-31  Derick Rethans  <php@derickrethans.nl>

    * ext/gtk+/atk.overrides
      ext/gtk+/gdk-2.10.overrides
      ext/gtk+/gdk-2.8.overrides
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk-2.10.overrides
      ext/gtk+/gtk-2.8.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkclipboard.overrides
      ext/gtk+/gtkcontainer.overrides
      ext/gtk+/gtkdrag.overrides
      ext/gtk+/gtktextview.overrides
      ext/gtk+/gtktreeview.overrides
      ext/gtk+/pango.overrides
      ext/libglade/libglade.overrides
      ext/sourceview/sourceview.overrides
      generator/reflection.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gobject.c:
      - Fixed compilation with latest PHP 5.2 and PHP 5.3, due to the change
        in the PHP API that added "static" as part of the ZEND_ARG_INFO_BEGIN
      macro.

    * ext/gtk+/gtk-2.12.overrides:
      - Fixed typo error.

    * ext/mozembed/config.m4:
      - Fixed Windows line endings.

2009-01-07  Bob Majdak Jr  <bob@kateos.org>

    * main/php_gtk_util.c:
      for http://bugs.php.net/bug.php?id=46999: applied oden's patch for
      compiling with -Werror=format-security

    * ext/mozembed/README
      ext/mozembed/config.m4:
      for http://bugs.php.net/bug.php?id=44921: applied keisial's patch for the
      mozembed config. the m4 chunk failed i had to manually merge it.

2009-01-06  Bob Majdak Jr  <bob@kateos.org>

    * ext/gtk+/gdk-2.10.overrides:
      rampant regex fix

    * ext/gtk+/gdk-2.10.overrides
      ext/gtk+/gdk-2.8.overrides:
      step one in the fixing of cvs. source will now at least compile:
      ./cvsclean && ./buildconf && CFLAGS=-DHAVE_CAIRO ./configure && make

2008-10-14  Andrei Zmievski  <andrei@gravitonic.com>

    * php_gtk.m4
      ext/extra/config.m4
      ext/html/config.m4
      ext/libglade/config.m4
      ext/libsexy/config.m4
      ext/mozembed/config.m4
      ext/sourceview/config.m4
      ext/spell/config.m4:
      Fixed shared extensions linking in Unix.
      
      Patch from foutrelis@gmail.com.

2008-09-23  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/html/html.defs:
      Fix bug #45844

    * config.m4:
      Use php-config to look for PHP executable.

2008-09-21  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gobject.c:
      Fixed crash related to 5.3 refcounting macros misuse.
      
      Z_REFCOUNT_P() has changed in 5.3 to access refcount_gp instead of
      refcount, and thus must be used only for accessing zval's. In this case,
      _store_object has a refcount, but is not a zval.

2008-08-18  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/phpg_custom_tree_model.c:
      Incorrect error messages

2008-08-08  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * generator/generator.php:
      Avoid issues with include_path weirdness - always look in the /generator
      directory for files

2008-08-01  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/config.w32
      win32/confutils.js:
      Bail if cairo is not found for gtk 2.8+

2008-07-31  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * demos/examples/cairo_support.php:
      Cairo example complete - ticking clock in PHP-GTK

    * demos/examples/cairo_support.php
      demos/examples/notebook.php
      demos/examples/printing_example.php
      ext/gtk+/gdk-2.10.overrides
      ext/gtk+/gdk-2.12.overrides
      ext/gtk+/gdk-2.8.overrides
      ext/gtk+/gtk.defs:
      Inital cairo support - some of the methods may not work yet, also foreach
      to for_each in defs to work around reserved words in PHP

2008-07-30  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/config.w32
      main/php_gtk.c
      main/php_gtk.h
      win32/confutils.js:
      Add cairo support to windows config system and make cairo extension a dep
      of php-gtk if enabled

2008-07-13  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk-2.12.overrides
      ext/gtk+/gdk-2.8-types.defs
      ext/gtk+/gdk-2.8.defs
      ext/gtk+/gdk-2.8.overrides
      ext/gtk+/gdk-types.defs
      ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides:
      more overrides and gdk fixes

2008-07-12  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk-2.12.overrides
      ext/gtk+/gdk-2.8-types.defs
      ext/gtk+/gdk-2.8.defs
      ext/gtk+/gdk-types.defs
      ext/gtk+/gdk.defs
      ext/gtk+/pango-types.defs:
      major overhaul of gdk defs, they are now synced to gtk and 2.8 defs that
      were missing were added, including cairo support - the pango definition is
      temporary until I get pango versioning working properly

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkclipboard.overrides:
      Missing arginfo added and a missing def fixed, ignores adjusted

    * ext/gtk+/gdk-2.10.defs
      ext/gtk+/gdk-2.12.defs
      main/php_gtk.c:
      Fixed issue with zend_unset_timeout after conversation about the best way
      to handle disabling the timeout

2008-05-11  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h:
      Back to -dev.

2008-05-01  Andrei Zmievski  <andrei@gravitonic.com>

    * (php_gtk_2_0_1)
      main/php_gtk.h:
      Roll 2.0.1.

2008-04-29  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk-2.10.defs
      ext/gtk+/gtk-2.8.defs
      ext/gtk+/gtk-2.8.overrides
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/sourceview/sourceview.overrides
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_module.h:
      A bunch of new overrides, ignore fixes, def fixes and missing defs, and a
      sourceview override fix for TS mode

2008-04-07  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk-2.10.defs
      ext/gtk+/gtk-2.10.overrides
      ext/gtk+/gtk-2.12.defs
      ext/gtk+/gtk-2.12.overrides:
      Fixes for 2.10 and 2.12 coverage - some static methods and constructors
      def'd properly and ignores added

2008-03-16  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk.overrides:
      fix for #39335 - if GtkAboutDialog::set_website_label is used and
      set_website is empty, the website_label text is used for set_website as
      well

    * demos/examples/gtkbuilder_api.php
      demos/examples/notebook.xml
      ext/gtk+/gtk-2.12.overrides:
      GtkBuilder (built into GTK+ libglade replacement) is now wrapped and
      working - thanks to original libglade override author(s)

2008-03-15  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * demos/examples/old_tooltips_api.php
      ext/gtk+/gtk-types.defs
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides:
      alphabetized objects in gtk defs to allow for easier diffing between our
      defs and pygtk's defs, added support for gtktipsquery and finished
      overrides for old gtktooltips api - added example

    * demos/examples/new_tooltips_api.php
      ext/gtk+/gtk-2.12.defs
      ext/gtk+/gtk-2.12.overrides:
      Additional GTK 2.12 defs that were missed added, old tooltips api (and some
      other deprecated items) marked, all of new gtk 2.12 tooltips API working -
      example of using new API added to demo/examples

2008-03-12  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * generator/generator.php
      generator/override.php
      generator/templates.php
      main/php_gtk_util.c:
      Deprecation fixes - use new E_DEPRECATED for 5.3+, allow deprecating
      previously def'd stuff from overrides, fix constructors to display
      deprecated messages

2008-03-11  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk.overrides:
      reader for GtkTooltips->tips_data_list - this tooltips api is deprecated in
      2.10+ and you'll always get an empty array with 2.10 or higher libs

2008-03-10  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk.overrides:
      I still think this is a stupid name - but get_for_attach_widget retrieves
      an array of menu objects attached to a widget

    * main/php_gtk.c:
      Makes zend engine error when a clone is attempted for any and all gtk
      objects - also avoids segfaults when cloning is attempted

    * ext/gtk+/gtk-extrafuncs.defs
      ext/gtk+/gtk.overrides:
      This is an extra function created by pygtk (and not present in other
      bindings) that doesn't use the getters and setters but manually
      manipulates properties and then emits a changed signal, not really a good
      thing to be doing, all these can be set initially in the constructor or
      changed one at a time using the proper API calls - that and a big TODO in
      the overrides isn't very helpful

    * ext/gtk+/config.w32:
      GTK decided to compile iconv as a static lib starting with the 2.12 stuff
      (2.11 was never released for windows) - this fixes the configure for those
      libs

2008-02-29  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * demos/examples/properties.php:
      Updated demo to reflect updated magic method name

2008-02-29  Andrei Zmievski  <andrei@gravitonic.com>

    * (php_gtk_2_0_0)
      ext/extra/php_gtkextra.c
      ext/extra/php_gtkextra.h
      ext/gtk+/php_gdk.c
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      ext/gtk+/phpg_custom_tree_model.c
      ext/gtk+/phpg_custom_tree_model.h
      ext/html/php_html.c
      ext/html/php_html.h
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h
      ext/libsexy/php_libsexy.c
      ext/libsexy/php_libsexy.h
      ext/mozembed/php_mozembed.c
      ext/mozembed/php_mozembed.h
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/skeleton/php_skeleton.c
      ext/skeleton/php_skeleton.h
      ext/sourceview/php_sourceview.c
      ext/sourceview/php_sourceview.h
      ext/spell/php_spell.c
      ext/spell/php_spell.h
      generator/arg_types.php
      generator/definitions.php
      generator/doc_templates.php
      generator/docgen.php
      generator/generator.php
      generator/lineoutput.php
      generator/override.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_ext.c.in
      main/php_gtk_ext.w32.c
      main/php_gtk_module.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      main/phpg_atom.c
      main/phpg_closure.c
      main/phpg_exceptions.c
      main/phpg_gboxed.c
      main/phpg_gobject.c
      main/phpg_gpointer.c
      main/phpg_gtype.c
      main/phpg_gvalue.c
      main/phpg_paramspec.c
      main/phpg_support.c:
      Update Copyright year.

    * (php_gtk_2_0_0)
      NEWS
      README.KNOWN-ISSUES:
      Update for 2.0.0 release.

    * (php_gtk_2_0_0)
      ChangeLog:
      Fix conflicts.

2008-02-23  Andrei Zmievski  <andrei@gravitonic.com>

    * php_gtk.m4:
      Use php_gtk_<extname> for shared extensions naming.

2008-02-13  Andrei Zmievski  <andrei@gravitonic.com>

    * config.m4
      php_gtk.m4:
      A hacky workaround to get php_gtk2.la to come first in PHP_MODULES. I'm
      sure it can be done better, but this works.

2008-02-12  Bob Majdak Jr  <bob@kateos.org>

    * ext/gtk+/gtk-2.12.overrides:
      and then actually passing TS data in use too

    * ext/gtk+/gtk-2.12.overrides:
      should compile with thread saftey enabled now. oops.

2008-01-23  Bob Majdak Jr  <bob@kateos.org>

    * ext/gtk+/gtk-2.12.overrides:
      added GtkScaleButton constructor and set_icons() method, also enabling the
      GtkVolumeButton class. A 2 for 1!
      http://www.nabble.com/-patch--GtkScaleButton-Methods-td15011551.html

2008-01-23  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      main/phpg_closure.c
      main/phpg_gobject.c
      main/phpg_gtype.c
      main/phpg_support.c:
      MSVC 6 compiler warnings squashed.

2008-01-22  Steph Fox  <steph.fox@virgin.net>

    * ext/extra/php_gtkextra.c
      ext/html/php_html.c
      ext/libglade/php_libglade.c
      ext/libsexy/php_libsexy.c
      ext/mozembed/php_mozembed.c
      ext/scintilla/php_scintilla.c
      ext/sourceview/php_sourceview.c
      ext/spell/php_spell.c
      win32/confutils.js:
      Theoretically, *nix shared extension builds should work now. Please let me
      know if they needed a '2' on the end...

    * ext/gtk+/gdk-2.10.defs
      ext/gtk+/gdk-2.12.defs
      ext/gtk+/gdk.defs
      ext/gtk+/gtk-2.10.defs
      ext/gtk+/gtk-2.12.defs
      ext/gtk+/gtk-2.8.defs
      ext/gtk+/gtk.defs
      generator/override.php
      generator/scheme.php:
      Defs should only include the previous version .defs file and the current
      types.defs file, if one exists. Note that def caches are now versioned.

    * ext/gtk+/gdk-2.12.overrides
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk-2.10.overrides
      ext/gtk+/gtk-2.12.overrides
      ext/gtk+/gtk-2.8.overrides
      ext/gtk+/gtk.overrides
      generator/override.php
      generator/scheme.php:
      This works fine, but I forgot to move the defs to the new scheme.  (Cue
      much confusion here - until now.)

2008-01-21  Bob Majdak Jr  <bob@kateos.org>

    * ext/sourceview/sourceview.defs
      ext/sourceview/sourceview.overrides:
      commiting patch adding GtkSourceView search methods and flags.
      http://www.nabble.com/-patch--GtkSourceView-Searching-td14988080.html

2008-01-21  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/config.w32
      win32/config.w32.in
      win32/confutils.js:
      Minor tidying before the heavy stuff starts

    * generator/arg_types.php
      generator/definitions.php:
      Put the E-STRICT house in order before we start messing around with
      versioning.

2007-11-24  Bob Majdak Jr  <bob@kateos.org>

    * ext/gtk+/gtk-2.10.overrides:
      Fix a compile error for those with threading, simple TSRMLS oversight.

2007-11-14  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk-2.12.defs
      ext/gtk+/gdk-2.12.overrides
      ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk-2.12-types.defs
      ext/gtk+/gtk-2.12.defs
      ext/gtk+/gtk-2.12.overrides
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkunixprint.defs:
      2.12 defs and beginning of overrides added, a lot more overrides needed

2007-11-12  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk.overrides
      ext/gtk+/php_gtk+_types.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/phpg_closure.c
      main/phpg_gobject.c
      main/phpg_support.c:
      Change to use 5.3 refcount macros, define them in the header so the 5.2.x
      branch doesn't break

2007-11-12  Bob Majdak Jr  <bob@kateos.org>

    * ext/gtk+/gtk-2.10.overrides:
      One bugfix to GtkRecentManager::get_items()
      Three new methods:
      	GtkRecentChooser::get_items()
      	GtkRecentChooser::get_uris()
      	GtkRecentChooser::list_filters()

2007-11-06  Bob Majdak Jr  <bob@kateos.org>

    * ext/gtk+/gtk-2.10.overrides:
      Added a NULL test in GtkAssistant::set_forward_page_func().

    * ext/gtk+/gtk-2.10.overrides:
	 Addition of GtkRecentChooserDialog::__construct().

2007-10-28  Anant Narayanan  <anant@kix.in>

    * demos/components/entrycompletion.php:
      Fixed demo to use GObject class, Thanks Bob.

2007-10-24  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/Makefile.frag
      ext/scintilla/config.m4:
      Move CFLAGS definition to Makefile.frag instead of config.m4

    * ext/scintilla/config.m4:
      Add -DSCI_LEXER to CFLAGS (Enables lexers for scintilla extension)

2007-10-23  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/scintilla/config.m4:
      force libstdc++ for scintilla

2007-10-18  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk-2.10.overrides:
      GtkAssistant setforwardpagefunc thanks to Bob Majdak Jr.

2007-10-17  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk-2.10.overrides:
      GtkRecentChooser::set_sort_func(), patch by Bob Majdak Jr.

2007-10-15  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * generator/generator.php:
      GtkPackDirection is an int enum

2007-10-14  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * demos/examples/signals.php
      ext/gtk+/gdk.overrides:
      Typo in the demo and the long awaited gd fix - we no longer have to or even
      want to link against gd but can still use it if available

2007-09-23  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * main/phpg_closure.c
      main/phpg_gobject.c:
      Make it build with ZTS turned on

2007-09-22  Andrei Zmievski  <andrei@gravitonic.com>

    * demos/examples/signals.php
      main/php_gtk.h
      main/phpg_closure.c
      main/phpg_gobject.c:
      Custom signals support. See demos/examples/signals.php for an example.

2007-09-19  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk.overrides
      main/php_gtk.h
      main/phpg_gobject.c
      main/phpg_paramspec.c
      win32/config.w32.in:
      Fixes for TSRM stuff for windows build - the 2.10 in overrides needs to be
      quoted or it's seen as 2.1 and version_compare loses its mind

2007-09-16  Andrei Zmievski  <andrei@gravitonic.com>

    * config.m4
      ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides
      ext/gtk+/php_gtk+_types.c
      ext/gtk+/phpg_custom_tree_model.c
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_util.c
      main/phpg_closure.c
      main/phpg_gobject.c
      main/phpg_gtype.c
      main/phpg_gvalue.c
      main/phpg_paramspec.c
      main/phpg_support.c:
      First step in the implementation of custom GType's in PHP userland.
      Signals and interfaces are not implemented yet. See
      demos/examples/properties.php for an example on how to register a custom
      type with your own properties.

2007-08-17  Andrei Zmievski  <andrei@gravitonic.com>

    * config.m4:
      No phpg_paramspec.c for now.

2007-08-14  Andrei Zmievski  <andrei@gravitonic.com>

    * config.m4:
      Check only first line of php -v for CLI/CGI version.

2007-07-23  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * demos/gtkiconview.php
      demos/imgbrowser.php
      demos/phpgtk2-demo.php
      demos/stock-browser.php
      demos/components/stock-browser2.php:
      Gtk:: to GObject:: (broken demos - very bad)

2007-07-21  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * generator/generator.php:
      Fix enums for libsexy and gtkextra (other extensions do not have enums)

2007-07-18  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk.overrides
      main/phpg_gobject.c:
      Added signal gobject constants, moved types, IO, and priority constants
      from gtk to gobject (as per andrei's request) - this is very BC breaking!

2007-06-22  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtktreeview.overrides:
      Fix segfault. Patch by Bob Majdak Jr

2007-06-17  Anant Narayanan  <anant@kix.in>

    * main/php_gtk.h
      main/php_gtk.h:
      -** empty log message ***

    * main/php_gtk.h:
      beta -> dev

    * main/php_gtk.h:
      One last fix, last time we tag (I Hope!)

    * (php_gtk_2_0_0beta)
      ext/gtk+/gtk-2.10.overrides:
      Fix segfault, patch by Bob Majdak

2007-06-16  Anant Narayanan  <anant@kix.in>

    * main/php_gtk.h:
      beta -> dev

    * (php_gtk_2_0_0beta)
      NEWS
      main/php_gtk.h:
      Retag beta

2007-06-15  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/libsexy/.cvsignore
      ext/scintilla/sci_generator.php:
      Absolute paths for the scintilla generator, cvsignore fixed

2007-06-15  Anant Narayanan  <anant@kix.in>

    * AUTHORS
      NEWS:
      Credits for Tom.

2007-06-15  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk.overrides:
      Gdkpixbuf::get_formats() override - returns information about available
      pixbuf loaders

2007-06-15  Anant Narayanan  <anant@kix.in>

    * ext/spell/php_spell.c:
      Make GtkSpell extend from GObject and give a GType of 0.

2007-06-13  Anant Narayanan  <anant@kix.in>

    * main/php_gtk.h:
      Back to -dev

    * (php_gtk_2_0_0beta)
      main/php_gtk.h:
      Tagging beta release!

    * (php_gtk_2_0_0beta)
      ext/extension_list
      ext/gtkscintilla/Makefile.frag
      ext/gtkscintilla/README
      ext/gtkscintilla/config.m4
      ext/gtkscintilla/gtkscintilla.defs
      ext/gtkscintilla/gtkscintilla.overrides
      ext/gtkscintilla/php_gtkscintilla.c
      ext/gtkscintilla/php_gtkscintilla.h:
      The GtkScintilla extension is no longer required.

    * (php_gtk_2_0_0beta)
      AUTHORS
      NEWS:
      Prepare for beta release

    * (php_gtk_2_0_0beta)
      ext/scintilla/sci_generator.php:
      Small oops.

    * (php_gtk_2_0_0beta)
      ext/scintilla/Makefile.frag
      ext/scintilla/config.m4
      ext/scintilla/gen_scintilla.c
      ext/scintilla/gen_scintilla.h
      ext/scintilla/sci_generator.php
      ext/scintilla/libscintilla/scintilla-marshal.h:
      Make scintilla compile on *nix. FINALLY!

2007-05-30  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/Makefile.frag
      ext/scintilla/config.m4
      ext/scintilla/gtkscintilla.h
      ext/scintilla/libscintilla/include/Platform.h
      ext/scintilla/libscintilla/src/ExternalLexer.h
      ext/scintilla/libscintilla/src/LexCaml.cxx:
      Rudimentary support for *nix, doesn't work yet.

    * ext/scintilla/sci_generator.php:
      Fix unwanted notices.

2007-05-29  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/config.w32
      win32/buildconf.js
      win32/config.w32.in
      win32/confutils.js
      win32/php-cli.ini
      win32/php.ini:
      This adds library versioning support for windows - notice, if you build
      against older libraries nothing will change (win95/8/gtk2.6 will not even
      notice)

    * .cvsignore
      cvsclean.bat
      ext/gtk+/config.w32
      win32/config.w32.in
      win32/cvsclean.js:
      -** empty log message ***

    * ext/html/.cvsignore
      ext/html/README
      ext/libsexy/.cvsignore
      ext/libsexy/config.w32:
      Whitespace fix for html config and added missing cvsignore files

2007-05-29  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/libscintilla/Converter.h
      ext/scintilla/libscintilla/PlatGTK.cxx
      ext/scintilla/libscintilla/ScintillaGTK.cxx
      ext/scintilla/libscintilla/deps.mak
      ext/scintilla/libscintilla/makefile
      ext/scintilla/libscintilla/scintilla-marshal.c
      ext/scintilla/libscintilla/scintilla-marshal.h
      ext/scintilla/libscintilla/scintilla-marshal.list:
      Add some files essential for scintilla build on *nix

    * ext/scintilla/libscintilla/VERSION:
      Version for bundled libscintilla

2007-05-29  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/scintilla/config.w32
      ext/scintilla/gtkscintilla.h
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/scintilla/sci_generator.php
      ext/scintilla/scintilla.in
      ext/scintilla/libscintilla/include/Accessor.h
      ext/scintilla/libscintilla/include/Face.py
      ext/scintilla/libscintilla/include/HFacer.py
      ext/scintilla/libscintilla/include/KeyWords.h
      ext/scintilla/libscintilla/include/Platform.h
      ext/scintilla/libscintilla/include/PropSet.h
      ext/scintilla/libscintilla/include/SString.h
      ext/scintilla/libscintilla/include/SciLexer.h
      ext/scintilla/libscintilla/include/Scintilla.h
      ext/scintilla/libscintilla/include/Scintilla.iface
      ext/scintilla/libscintilla/include/ScintillaWidget.h
      ext/scintilla/libscintilla/include/WindowAccessor.h
      ext/scintilla/libscintilla/src/AutoComplete.cxx
      ext/scintilla/libscintilla/src/AutoComplete.h
      ext/scintilla/libscintilla/src/CallTip.cxx
      ext/scintilla/libscintilla/src/CallTip.h
      ext/scintilla/libscintilla/src/CellBuffer.cxx
      ext/scintilla/libscintilla/src/CellBuffer.h
      ext/scintilla/libscintilla/src/CharClassify.cxx
      ext/scintilla/libscintilla/src/CharClassify.h
      ext/scintilla/libscintilla/src/ContractionState.cxx
      ext/scintilla/libscintilla/src/ContractionState.h
      ext/scintilla/libscintilla/src/Document.cxx
      ext/scintilla/libscintilla/src/Document.h
      ext/scintilla/libscintilla/src/DocumentAccessor.cxx
      ext/scintilla/libscintilla/src/DocumentAccessor.h
      ext/scintilla/libscintilla/src/Editor.cxx
      ext/scintilla/libscintilla/src/Editor.h
      ext/scintilla/libscintilla/src/ExternalLexer.cxx
      ext/scintilla/libscintilla/src/ExternalLexer.h
      ext/scintilla/libscintilla/src/Indicator.cxx
      ext/scintilla/libscintilla/src/Indicator.h
      ext/scintilla/libscintilla/src/KeyMap.cxx
      ext/scintilla/libscintilla/src/KeyMap.h
      ext/scintilla/libscintilla/src/KeyWords.cxx
      ext/scintilla/libscintilla/src/LexAPDL.cxx
      ext/scintilla/libscintilla/src/LexAU3.cxx
      ext/scintilla/libscintilla/src/LexAVE.cxx
      ext/scintilla/libscintilla/src/LexAda.cxx
      ext/scintilla/libscintilla/src/LexAsm.cxx
      ext/scintilla/libscintilla/src/LexAsn1.cxx
      ext/scintilla/libscintilla/src/LexBaan.cxx
      ext/scintilla/libscintilla/src/LexBash.cxx
      ext/scintilla/libscintilla/src/LexBasic.cxx
      ext/scintilla/libscintilla/src/LexBullant.cxx
      ext/scintilla/libscintilla/src/LexCLW.cxx
      ext/scintilla/libscintilla/src/LexCPP.cxx
      ext/scintilla/libscintilla/src/LexCSS.cxx
      ext/scintilla/libscintilla/src/LexCaml.cxx
      ext/scintilla/libscintilla/src/LexCmake.cxx
      ext/scintilla/libscintilla/src/LexConf.cxx
      ext/scintilla/libscintilla/src/LexCrontab.cxx
      ext/scintilla/libscintilla/src/LexCsound.cxx
      ext/scintilla/libscintilla/src/LexD.cxx
      ext/scintilla/libscintilla/src/LexEScript.cxx
      ext/scintilla/libscintilla/src/LexEiffel.cxx
      ext/scintilla/libscintilla/src/LexErlang.cxx
      ext/scintilla/libscintilla/src/LexFlagship.cxx
      ext/scintilla/libscintilla/src/LexForth.cxx
      ext/scintilla/libscintilla/src/LexFortran.cxx
      ext/scintilla/libscintilla/src/LexGen.py
      ext/scintilla/libscintilla/src/LexGui4Cli.cxx
      ext/scintilla/libscintilla/src/LexHTML.cxx
      ext/scintilla/libscintilla/src/LexHaskell.cxx
      ext/scintilla/libscintilla/src/LexInno.cxx
      ext/scintilla/libscintilla/src/LexKix.cxx
      ext/scintilla/libscintilla/src/LexLisp.cxx
      ext/scintilla/libscintilla/src/LexLout.cxx
      ext/scintilla/libscintilla/src/LexLua.cxx
      ext/scintilla/libscintilla/src/LexMMIXAL.cxx
      ext/scintilla/libscintilla/src/LexMPT.cxx
      ext/scintilla/libscintilla/src/LexMSSQL.cxx
      ext/scintilla/libscintilla/src/LexMatlab.cxx
      ext/scintilla/libscintilla/src/LexMetapost.cxx
      ext/scintilla/libscintilla/src/LexNsis.cxx
      ext/scintilla/libscintilla/src/LexOpal.cxx
      ext/scintilla/libscintilla/src/LexOthers.cxx
      ext/scintilla/libscintilla/src/LexPB.cxx
      ext/scintilla/libscintilla/src/LexPOV.cxx
      ext/scintilla/libscintilla/src/LexPS.cxx
      ext/scintilla/libscintilla/src/LexPascal.cxx
      ext/scintilla/libscintilla/src/LexPerl.cxx
      ext/scintilla/libscintilla/src/LexPython.cxx
      ext/scintilla/libscintilla/src/LexRebol.cxx
      ext/scintilla/libscintilla/src/LexRuby.cxx
      ext/scintilla/libscintilla/src/LexSQL.cxx
      ext/scintilla/libscintilla/src/LexScriptol.cxx
      ext/scintilla/libscintilla/src/LexSmalltalk.cxx
      ext/scintilla/libscintilla/src/LexSpecman.cxx
      ext/scintilla/libscintilla/src/LexSpice.cxx
      ext/scintilla/libscintilla/src/LexTADS3.cxx
      ext/scintilla/libscintilla/src/LexTCL.cxx
      ext/scintilla/libscintilla/src/LexTeX.cxx
      ext/scintilla/libscintilla/src/LexVB.cxx
      ext/scintilla/libscintilla/src/LexVHDL.cxx
      ext/scintilla/libscintilla/src/LexVerilog.cxx
      ext/scintilla/libscintilla/src/LexYAML.cxx
      ext/scintilla/libscintilla/src/LineMarker.cxx
      ext/scintilla/libscintilla/src/LineMarker.h
      ext/scintilla/libscintilla/src/Partitioning.h
      ext/scintilla/libscintilla/src/PropSet.cxx
      ext/scintilla/libscintilla/src/RESearch.cxx
      ext/scintilla/libscintilla/src/RESearch.h
      ext/scintilla/libscintilla/src/SVector.h
      ext/scintilla/libscintilla/src/SciTE.properties
      ext/scintilla/libscintilla/src/ScintillaBase.cxx
      ext/scintilla/libscintilla/src/ScintillaBase.h
      ext/scintilla/libscintilla/src/SplitVector.h
      ext/scintilla/libscintilla/src/Style.cxx
      ext/scintilla/libscintilla/src/Style.h
      ext/scintilla/libscintilla/src/StyleContext.cxx
      ext/scintilla/libscintilla/src/StyleContext.h
      ext/scintilla/libscintilla/src/UniConversion.cxx
      ext/scintilla/libscintilla/src/UniConversion.h
      ext/scintilla/libscintilla/src/ViewStyle.cxx
      ext/scintilla/libscintilla/src/ViewStyle.h
      ext/scintilla/libscintilla/src/WindowAccessor.cxx
      ext/scintilla/libscintilla/src/XPM.cxx
      ext/scintilla/libscintilla/src/XPM.h:
      Bundle scintilla library (1.73 - only builds statically) and add "new"
      scintilla extension  which uses scintilla natively instead of relying on
      gtkscintilla wrapper

2007-05-28  Anant Narayanan  <anant@kix.in>

    * ext/extra/config.m4
      ext/html/config.m4
      ext/libglade/config.m4
      ext/libsexy/config.m4
      ext/mozembed/config.m4
      ext/sourceview/config.m4
      ext/spell/config.m4:
      Fall in with the --with convention instead of --enable

    * ext/scintilla/Makefile.frag
      ext/scintilla/README
      ext/scintilla/config.m4
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/scintilla/scintilla.defs
      ext/scintilla/scintilla.overrides
      ext/scintilla/v1.scintilla.defs
      ext/scintilla/v1.scintilla.overrides:
      Rename old Scintilla extension to GtkScintilla and make way for the newer
      Scintilla.

2007-05-26  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/extra/php_gtkextra.c:
      Fix extra build on windows

2007-05-22  Anant Narayanan  <anant@kix.in>

    * ext/extra/config.m4
      ext/extra/php_gtkextra.h:
      Fix GtkExtra build

    * ext/extra/config.m4:
      Some consistency in configure options

    * php_gtk.m4
      ext/gtk+/Makefile.frag
      ext/gtk+/config.m4:
      Allow building 2.8/2.10 on *nix

2007-05-22  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk.defs
      ext/gtk+/gtk-2.10.defs
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/html/config.w32
      ext/html/html.overrides
      ext/mozembed/php_mozembed.c
      generator/arg_types.php
      generator/generator.php
      generator/scheme.php:
      whitespace in html extension and type juggling comparison bugs in generator
      (2.10 was becoming 2.1) also first round of new types

2007-05-14  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gdk-2.10.defs
      ext/gtk+/gtk-2.10-types.defs
      ext/gtk+/gtk-2.10.defs
      ext/gtk+/gtk-2.10.overrides
      ext/gtk+/gtk-2.8-types.defs
      ext/gtk+/gtk-2.8.defs
      ext/gtk+/gtk-2.8.overrides
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkunixprint.defs:
      Defs and overrides for 2.8 and 2.10 - uses generator's versioning ability,
      these will be ignored until build system is updated - for now they do
      nothing

2007-05-13  Anant Narayanan  <anant@kix.in>

    * ext/libsexy/config.m4:
      Fix small oops

    * ext/extra/config.m4
      ext/html/config.m4
      ext/libsexy/config.m4
      ext/scintilla/config.m4
      ext/sourceview/config.m4
      ext/spell/config.m4:
      Disable extensions from building by default

2007-03-04  Anant Narayanan  <anant@kix.in>

    * ext/libsexy/Makefile.frag
      ext/libsexy/README
      ext/libsexy/config.m4
      ext/libsexy/config.w32
      ext/libsexy/php_libsexy.c
      ext/libsexy/php_libsexy.h
      ext/libsexy/sexy.defs
      ext/libsexy/sexy.overrides:
      Checkin libsexy extension

    * ext/html/Makefile.frag
      ext/html/README
      ext/html/config.m4
      ext/html/config.w32
      ext/html/html-types.defs
      ext/html/html.defs
      ext/html/html.overrides
      ext/html/php_html.c
      ext/html/php_html.h
      ext/html/demos/gtkhtml.php:
      Checkin GtkHTML3 extension

2007-03-03  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/generator.php
      generator/templates.php
      main/phpg_support.c:
      - Do not register 'gtype' class constants for interfaces.
      - When creating classes dynamically, unset the abstract flag from
        methods inherited from interfaces and from the class itself.
      - Use explicit function entry instead of ZEND_ABSTRACT_ME() to point to
        default interface method implementation.

    * TODO2:
      -** empty log message ***

2007-03-01  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * win32/buildconf.js:
      Temporary hack to fix alphabetical order problem with windows build files -
      php-gtk should always come first - until Steph can fix the underlying
      problem

    * ext/extra/.cvsignore
      ext/extra/config.w32
      ext/extra/gtkextra-addons.defs
      ext/extra/gtkextra.overrides
      ext/extra/php_gtkextra.c
      ext/sourceview/php_sourceview.c:
      Support for gtkextra on windows

2007-02-28  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/sourceview/config.w32
      ext/sourceview/sourceview.overrides:
      gtksourceview support for win32

    * win32/config.w32.in:
      Add --enable-gd so new_from_gd will work with static gd

    * win32/config.w32.in:
      Add check for grep and sed and add --enable-debug-pack to windows build

    * ext/gtk+/gtk.overrides:
      missing TSRMLS_FETCH

2007-02-22  Andrei Zmievski  <andrei@gravitonic.com>

    * config.m4:
      Use full path to main/php_gtk_ext.c.

2007-02-11  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides:
      Add an = 0 as xxoes requested

2007-02-09  Anant Narayanan  <anant@kix.in>

    * ext/extra/config.m4:
      Make extension not build by default

    * ext/extra/gtkextra.overrides:
      GtkSheet::get_active_cell by Lars J.

    * ext/extra/Makefile.frag
      ext/extra/README
      ext/extra/config.m4
      ext/extra/gtkextra-addons.defs
      ext/extra/gtkextra-types.defs
      ext/extra/gtkextra.defs
      ext/extra/gtkextra.overrides
      ext/extra/php_gtkextra.c
      ext/extra/php_gtkextra.h
      ext/extra/demos/gtksheet.php:
      Check in GtkExtra extension

2007-02-07  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtktextview.overrides:
      Fix GtkTextIter::forward/backward_find_char

2007-02-06  Christian Weiske  <cweiske@cweiske.de>

    * test/unittests/GtkTextIterTest.php:
      test textiter::get_char

    * test/unittests/GtkFileFilterTest.php:
      recommit file filter test

    * test/unittests/generator.php:
      Deactivating generator

    * test/unittests/AtkHyperlinkTest.php
      test/unittests/AtkNoOpObjectFactoryTest.php
      test/unittests/AtkNoOpObjectTest.php
      test/unittests/AtkObjectFactoryTest.php
      test/unittests/AtkObjectTest.php
      test/unittests/AtkRegistryTest.php
      test/unittests/AtkRelationSetTest.php
      test/unittests/AtkRelationTest.php
      test/unittests/AtkStateSetTest.php
      test/unittests/AtkTest.php
      test/unittests/AtkUtilTest.php
      test/unittests/GdkAtomTest.php
      test/unittests/GdkColorTest.php
      test/unittests/GdkColormapTest.php
      test/unittests/GdkCursorTest.php
      test/unittests/GdkDeviceTest.php
      test/unittests/GdkDisplayManagerTest.php
      test/unittests/GdkDisplayTest.php
      test/unittests/GdkDragContextTest.php
      test/unittests/GdkDrawableTest.php
      test/unittests/GdkEventTest.php
      test/unittests/GdkFontTest.php
      test/unittests/GdkGCTest.php
      test/unittests/GdkImageTest.php
      test/unittests/GdkKeymapTest.php
      test/unittests/GdkPixbufAnimationIterTest.php
      test/unittests/GdkPixbufAnimationTest.php
      test/unittests/GdkPixbufLoaderTest.php
      test/unittests/GdkPixbufTest.php
      test/unittests/GdkPixmapTest.php
      test/unittests/GdkRectangleTest.php
      test/unittests/GdkScreenTest.php
      test/unittests/GdkTest.php
      test/unittests/GdkVisualTest.php
      test/unittests/GdkWindowTest.php
      test/unittests/GtkAboutDialogTest.php
      test/unittests/GtkAccelGroupTest.php
      test/unittests/GtkAccelLabelTest.php
      test/unittests/GtkAccessibleTest.php
      test/unittests/GtkActionGroupTest.php
      test/unittests/GtkActionTest.php
      test/unittests/GtkAdjustmentTest.php
      test/unittests/GtkAlignmentTest.php
      test/unittests/GtkArrowTest.php
      test/unittests/GtkAspectFrameTest.php
      test/unittests/GtkBinTest.php
      test/unittests/GtkBorderTest.php
      test/unittests/GtkBoxTest.php
      test/unittests/GtkButtonBoxTest.php
      test/unittests/GtkButtonTest.php
      test/unittests/GtkCListTest.php
      test/unittests/GtkCTreeTest.php
      test/unittests/GtkCalendarTest.php
      test/unittests/GtkCellRendererComboTest.php
      test/unittests/GtkCellRendererPixbufTest.php
      test/unittests/GtkCellRendererProgressTest.php
      test/unittests/GtkCellRendererTest.php
      test/unittests/GtkCellRendererTextTest.php
      test/unittests/GtkCellRendererToggleTest.php
      test/unittests/GtkCellViewTest.php
      test/unittests/GtkCheckButtonTest.php
      test/unittests/GtkCheckMenuItemTest.php
      test/unittests/GtkClipboardTest.php
      test/unittests/GtkColorButtonTest.php
      test/unittests/GtkColorSelectionDialogTest.php
      test/unittests/GtkColorSelectionTest.php
      test/unittests/GtkComboBoxEntryTest.php
      test/unittests/GtkComboBoxTest.php
      test/unittests/GtkComboTest.php
      test/unittests/GtkContainerTest.php
      test/unittests/GtkCurveTest.php
      test/unittests/GtkDialogTest.php
      test/unittests/GtkDrawingAreaTest.php
      test/unittests/GtkEntryCompletionTest.php
      test/unittests/GtkEntryTest.php
      test/unittests/GtkEventBoxTest.php
      test/unittests/GtkExpanderTest.php
      test/unittests/GtkFileChooserButtonTest.php
      test/unittests/GtkFileChooserDialogTest.php
      test/unittests/GtkFileChooserWidgetTest.php
      test/unittests/GtkFileFilterTest.php
      test/unittests/GtkFileSelectionTest.php
      test/unittests/GtkFixedTest.php
      test/unittests/GtkFontButtonTest.php
      test/unittests/GtkFontSelectionDialogTest.php
      test/unittests/GtkFontSelectionTest.php
      test/unittests/GtkFrameTest.php
      test/unittests/GtkGammaCurveTest.php
      test/unittests/GtkHBoxTest.php
      test/unittests/GtkHButtonBoxTest.php
      test/unittests/GtkHPanedTest.php
      test/unittests/GtkHRulerTest.php
      test/unittests/GtkHScaleTest.php
      test/unittests/GtkHScrollbarTest.php
      test/unittests/GtkHSeparatorTest.php
      test/unittests/GtkHandleBoxTest.php
      test/unittests/GtkIMContextSimpleTest.php
      test/unittests/GtkIMContextTest.php
      test/unittests/GtkIMMulticontextTest.php
      test/unittests/GtkIconFactoryTest.php
      test/unittests/GtkIconInfoTest.php
      test/unittests/GtkIconSetTest.php
      test/unittests/GtkIconSourceTest.php
      test/unittests/GtkIconThemeTest.php
      test/unittests/GtkIconViewTest.php
      test/unittests/GtkImageMenuItemTest.php
      test/unittests/GtkImageTest.php
      test/unittests/GtkInputDialogTest.php
      test/unittests/GtkInvisibleTest.php
      test/unittests/GtkItemFactoryTest.php
      test/unittests/GtkItemTest.php
      test/unittests/GtkLabelTest.php
      test/unittests/GtkLayoutTest.php
      test/unittests/GtkListItemTest.php
      test/unittests/GtkListStoreTest.php
      test/unittests/GtkListTest.php
      test/unittests/GtkMenuBarTest.php
      test/unittests/GtkMenuItemTest.php
      test/unittests/GtkMenuShellTest.php
      test/unittests/GtkMenuTest.php
      test/unittests/GtkMenuToolButtonTest.php
      test/unittests/GtkMessageDialogTest.php
      test/unittests/GtkMiscTest.php
      test/unittests/GtkNotebookTest.php
      test/unittests/GtkObjectTest.php
      test/unittests/GtkOldEditableTest.php
      test/unittests/GtkOptionMenuTest.php
      test/unittests/GtkPanedTest.php
      test/unittests/GtkPixmapTest.php
      test/unittests/GtkPlugTest.php
      test/unittests/GtkPreviewTest.php
      test/unittests/GtkProgressBarTest.php
      test/unittests/GtkProgressTest.php
      test/unittests/GtkRadioActionTest.php
      test/unittests/GtkRadioButtonTest.php
      test/unittests/GtkRadioMenuItemTest.php
      test/unittests/GtkRadioToolButtonTest.php
      test/unittests/GtkRangeTest.php
      test/unittests/GtkRcStyleTest.php
      test/unittests/GtkRequisitionTest.php
      test/unittests/GtkRulerTest.php
      test/unittests/GtkScaleTest.php
      test/unittests/GtkScrollbarTest.php
      test/unittests/GtkScrolledWindowTest.php
      test/unittests/GtkSelectionDataTest.php
      test/unittests/GtkSeparatorMenuItemTest.php
      test/unittests/GtkSeparatorTest.php
      test/unittests/GtkSeparatorToolItemTest.php
      test/unittests/GtkSettingsTest.php
      test/unittests/GtkSizeGroupTest.php
      test/unittests/GtkSocketTest.php
      test/unittests/GtkSpinButtonTest.php
      test/unittests/GtkStatusbarTest.php
      test/unittests/GtkStyleTest.php
      test/unittests/GtkTableTest.php
      test/unittests/GtkTearoffMenuItemTest.php
      test/unittests/GtkTest.php
      test/unittests/GtkTextAttributesTest.php
      test/unittests/GtkTextBufferTest.php
      test/unittests/GtkTextChildAnchorTest.php
      test/unittests/GtkTextIterTest.php
      test/unittests/GtkTextMarkTest.php
      test/unittests/GtkTextTagTableTest.php
      test/unittests/GtkTextTagTest.php
      test/unittests/GtkTextViewTest.php
      test/unittests/GtkToggleActionTest.php
      test/unittests/GtkToggleButtonTest.php
      test/unittests/GtkToggleToolButtonTest.php
      test/unittests/GtkToolButtonTest.php
      test/unittests/GtkToolItemTest.php
      test/unittests/GtkToolbarTest.php
      test/unittests/GtkTooltipsTest.php
      test/unittests/GtkTreeIterTest.php
      test/unittests/GtkTreeModelFilterTest.php
      test/unittests/GtkTreeModelRowIteratorTest.php
      test/unittests/GtkTreeModelRowTest.php
      test/unittests/GtkTreeModelSortTest.php
      test/unittests/GtkTreeRowReferenceTest.php
      test/unittests/GtkTreeSelectionTest.php
      test/unittests/GtkTreeStoreTest.php
      test/unittests/GtkTreeViewColumnTest.php
      test/unittests/GtkTreeViewTest.php
      test/unittests/GtkUIManagerTest.php
      test/unittests/GtkVBoxTest.php
      test/unittests/GtkVButtonBoxTest.php
      test/unittests/GtkVPanedTest.php
      test/unittests/GtkVRulerTest.php
      test/unittests/GtkVScaleTest.php
      test/unittests/GtkVScrollbarTest.php
      test/unittests/GtkVSeparatorTest.php
      test/unittests/GtkViewportTest.php
      test/unittests/GtkWidgetTest.php
      test/unittests/GtkWindowGroupTest.php
      test/unittests/GtkWindowTest.php
      test/unittests/PangoAttrListTest.php
      test/unittests/PangoColorTest.php
      test/unittests/PangoContextTest.php
      test/unittests/PangoFontDescriptionTest.php
      test/unittests/PangoFontFaceTest.php
      test/unittests/PangoFontFamilyTest.php
      test/unittests/PangoFontMapTest.php
      test/unittests/PangoFontMetricsTest.php
      test/unittests/PangoFontTest.php
      test/unittests/PangoFontsetSimpleTest.php
      test/unittests/PangoFontsetTest.php
      test/unittests/PangoGlyphStringTest.php
      test/unittests/PangoLanguageTest.php
      test/unittests/PangoLayoutIterTest.php
      test/unittests/PangoLayoutTest.php
      test/unittests/PangoTabArrayTest.php
      test/unittests/PangoTest.php
      test/unittests/generator.php:
      Convert from phpunit2 -> phpunit3

2007-02-06  Anant Narayanan  <anant@kix.in>

    * test/unittests/AtkHyperlinkTest.php
      test/unittests/AtkNoOpObjectFactoryTest.php
      test/unittests/AtkNoOpObjectTest.php
      test/unittests/AtkObjectFactoryTest.php
      test/unittests/AtkObjectTest.php
      test/unittests/AtkRegistryTest.php
      test/unittests/AtkRelationSetTest.php
      test/unittests/AtkRelationTest.php
      test/unittests/AtkStateSetTest.php
      test/unittests/AtkTest.php
      test/unittests/AtkUtilTest.php
      test/unittests/GdkAtomTest.php
      test/unittests/GdkColorTest.php
      test/unittests/GdkColormapTest.php
      test/unittests/GdkCursorTest.php
      test/unittests/GdkDeviceTest.php
      test/unittests/GdkDisplayManagerTest.php
      test/unittests/GdkDisplayTest.php
      test/unittests/GdkDragContextTest.php
      test/unittests/GdkDrawableTest.php
      test/unittests/GdkEventTest.php
      test/unittests/GdkFontTest.php
      test/unittests/GdkGCTest.php
      test/unittests/GdkImageTest.php
      test/unittests/GdkKeymapTest.php
      test/unittests/GdkPixbufAnimationIterTest.php
      test/unittests/GdkPixbufAnimationTest.php
      test/unittests/GdkPixbufLoaderTest.php
      test/unittests/GdkPixbufTest.php
      test/unittests/GdkPixmapTest.php
      test/unittests/GdkRectangleTest.php
      test/unittests/GdkScreenTest.php
      test/unittests/GdkTest.php
      test/unittests/GdkVisualTest.php
      test/unittests/GdkWindowTest.php
      test/unittests/GtkAboutDialogTest.php
      test/unittests/GtkAccelGroupTest.php
      test/unittests/GtkAccelLabelTest.php
      test/unittests/GtkAccessibleTest.php
      test/unittests/GtkActionGroupTest.php
      test/unittests/GtkActionTest.php
      test/unittests/GtkAdjustmentTest.php
      test/unittests/GtkAlignmentTest.php
      test/unittests/GtkArrowTest.php
      test/unittests/GtkAspectFrameTest.php
      test/unittests/GtkBinTest.php
      test/unittests/GtkBorderTest.php
      test/unittests/GtkBoxTest.php
      test/unittests/GtkButtonBoxTest.php
      test/unittests/GtkButtonTest.php
      test/unittests/GtkCListTest.php
      test/unittests/GtkCTreeTest.php
      test/unittests/GtkCalendarTest.php
      test/unittests/GtkCellRendererComboTest.php
      test/unittests/GtkCellRendererPixbufTest.php
      test/unittests/GtkCellRendererProgressTest.php
      test/unittests/GtkCellRendererTest.php
      test/unittests/GtkCellRendererTextTest.php
      test/unittests/GtkCellRendererToggleTest.php
      test/unittests/GtkCellViewTest.php
      test/unittests/GtkCheckButtonTest.php
      test/unittests/GtkCheckMenuItemTest.php
      test/unittests/GtkClipboardTest.php
      test/unittests/GtkColorButtonTest.php
      test/unittests/GtkColorSelectionDialogTest.php
      test/unittests/GtkColorSelectionTest.php
      test/unittests/GtkComboBoxEntryTest.php
      test/unittests/GtkComboBoxTest.php
      test/unittests/GtkComboTest.php
      test/unittests/GtkContainerTest.php
      test/unittests/GtkCurveTest.php
      test/unittests/GtkDialogTest.php
      test/unittests/GtkDrawingAreaTest.php
      test/unittests/GtkEntryCompletionTest.php
      test/unittests/GtkEntryTest.php
      test/unittests/GtkEventBoxTest.php
      test/unittests/GtkExpanderTest.php
      test/unittests/GtkFileChooserButtonTest.php
      test/unittests/GtkFileChooserDialogTest.php
      test/unittests/GtkFileChooserWidgetTest.php
      test/unittests/GtkFileFilterTest.php
      test/unittests/GtkFileSelectionTest.php
      test/unittests/GtkFixedTest.php
      test/unittests/GtkFontButtonTest.php
      test/unittests/GtkFontSelectionDialogTest.php
      test/unittests/GtkFontSelectionTest.php
      test/unittests/GtkFrameTest.php
      test/unittests/GtkGammaCurveTest.php
      test/unittests/GtkHBoxTest.php
      test/unittests/GtkHButtonBoxTest.php
      test/unittests/GtkHPanedTest.php
      test/unittests/GtkHRulerTest.php
      test/unittests/GtkHScaleTest.php
      test/unittests/GtkHScrollbarTest.php
      test/unittests/GtkHSeparatorTest.php
      test/unittests/GtkHandleBoxTest.php
      test/unittests/GtkIMContextSimpleTest.php
      test/unittests/GtkIMContextTest.php
      test/unittests/GtkIMMulticontextTest.php
      test/unittests/GtkIconFactoryTest.php
      test/unittests/GtkIconInfoTest.php
      test/unittests/GtkIconSetTest.php
      test/unittests/GtkIconSourceTest.php
      test/unittests/GtkIconThemeTest.php
      test/unittests/GtkIconViewTest.php
      test/unittests/GtkImageMenuItemTest.php
      test/unittests/GtkImageTest.php
      test/unittests/GtkInputDialogTest.php
      test/unittests/GtkInvisibleTest.php
      test/unittests/GtkItemFactoryTest.php
      test/unittests/GtkItemTest.php
      test/unittests/GtkLabelTest.php
      test/unittests/GtkLayoutTest.php
      test/unittests/GtkListItemTest.php
      test/unittests/GtkListStoreTest.php
      test/unittests/GtkListTest.php
      test/unittests/GtkMenuBarTest.php
      test/unittests/GtkMenuItemTest.php
      test/unittests/GtkMenuShellTest.php
      test/unittests/GtkMenuTest.php
      test/unittests/GtkMenuToolButtonTest.php
      test/unittests/GtkMessageDialogTest.php
      test/unittests/GtkMiscTest.php
      test/unittests/GtkNotebookTest.php
      test/unittests/GtkObjectTest.php
      test/unittests/GtkOldEditableTest.php
      test/unittests/GtkOptionMenuTest.php
      test/unittests/GtkPanedTest.php
      test/unittests/GtkPixmapTest.php
      test/unittests/GtkPlugTest.php
      test/unittests/GtkPreviewTest.php
      test/unittests/GtkProgressBarTest.php
      test/unittests/GtkProgressTest.php
      test/unittests/GtkRadioActionTest.php
      test/unittests/GtkRadioButtonTest.php
      test/unittests/GtkRadioMenuItemTest.php
      test/unittests/GtkRadioToolButtonTest.php
      test/unittests/GtkRangeTest.php
      test/unittests/GtkRcStyleTest.php
      test/unittests/GtkRequisitionTest.php
      test/unittests/GtkRulerTest.php
      test/unittests/GtkScaleTest.php
      test/unittests/GtkScrollbarTest.php
      test/unittests/GtkScrolledWindowTest.php
      test/unittests/GtkSelectionDataTest.php
      test/unittests/GtkSeparatorMenuItemTest.php
      test/unittests/GtkSeparatorTest.php
      test/unittests/GtkSeparatorToolItemTest.php
      test/unittests/GtkSettingsTest.php
      test/unittests/GtkSizeGroupTest.php
      test/unittests/GtkSocketTest.php
      test/unittests/GtkSpinButtonTest.php
      test/unittests/GtkStatusbarTest.php
      test/unittests/GtkStyleTest.php
      test/unittests/GtkTableTest.php
      test/unittests/GtkTearoffMenuItemTest.php
      test/unittests/GtkTest.php
      test/unittests/GtkTextAttributesTest.php
      test/unittests/GtkTextBufferTest.php
      test/unittests/GtkTextChildAnchorTest.php
      test/unittests/GtkTextIterTest.php
      test/unittests/GtkTextMarkTest.php
      test/unittests/GtkTextTagTableTest.php
      test/unittests/GtkTextTagTest.php
      test/unittests/GtkTextViewTest.php
      test/unittests/GtkToggleActionTest.php
      test/unittests/GtkToggleButtonTest.php
      test/unittests/GtkToggleToolButtonTest.php
      test/unittests/GtkToolButtonTest.php
      test/unittests/GtkToolItemTest.php
      test/unittests/GtkToolbarTest.php
      test/unittests/GtkTooltipsTest.php
      test/unittests/GtkTreeIterTest.php
      test/unittests/GtkTreeModelFilterTest.php
      test/unittests/GtkTreeModelRowIteratorTest.php
      test/unittests/GtkTreeModelRowTest.php
      test/unittests/GtkTreeModelSortTest.php
      test/unittests/GtkTreeRowReferenceTest.php
      test/unittests/GtkTreeSelectionTest.php
      test/unittests/GtkTreeStoreTest.php
      test/unittests/GtkTreeViewColumnTest.php
      test/unittests/GtkTreeViewTest.php
      test/unittests/GtkUIManagerTest.php
      test/unittests/GtkVBoxTest.php
      test/unittests/GtkVButtonBoxTest.php
      test/unittests/GtkVPanedTest.php
      test/unittests/GtkVRulerTest.php
      test/unittests/GtkVScaleTest.php
      test/unittests/GtkVScrollbarTest.php
      test/unittests/GtkVSeparatorTest.php
      test/unittests/GtkViewportTest.php
      test/unittests/GtkWidgetTest.php
      test/unittests/GtkWindowGroupTest.php
      test/unittests/GtkWindowTest.php
      test/unittests/PangoAttrListTest.php
      test/unittests/PangoColorTest.php
      test/unittests/PangoContextTest.php
      test/unittests/PangoFontDescriptionTest.php
      test/unittests/PangoFontFaceTest.php
      test/unittests/PangoFontFamilyTest.php
      test/unittests/PangoFontMapTest.php
      test/unittests/PangoFontMetricsTest.php
      test/unittests/PangoFontTest.php
      test/unittests/PangoFontsetSimpleTest.php
      test/unittests/PangoFontsetTest.php
      test/unittests/PangoGlyphStringTest.php
      test/unittests/PangoLanguageTest.php
      test/unittests/PangoLayoutIterTest.php
      test/unittests/PangoLayoutTest.php
      test/unittests/PangoTabArrayTest.php
      test/unittests/PangoTest.php
      test/unittests/generator.php:
      Fix CVS catastrophe

2007-02-06  Christian Weiske  <cweiske@cweiske.de>

    * test/unittests/AtkHyperlinkTest.php
      test/unittests/AtkNoOpObjectFactoryTest.php
      test/unittests/AtkNoOpObjectTest.php
      test/unittests/AtkObjectFactoryTest.php
      test/unittests/AtkObjectTest.php
      test/unittests/AtkRegistryTest.php
      test/unittests/AtkRelationSetTest.php
      test/unittests/AtkRelationTest.php
      test/unittests/AtkStateSetTest.php
      test/unittests/AtkTest.php
      test/unittests/AtkUtilTest.php
      test/unittests/GdkAtomTest.php
      test/unittests/GdkColorTest.php
      test/unittests/GdkColormapTest.php
      test/unittests/GdkCursorTest.php
      test/unittests/GdkDeviceTest.php
      test/unittests/GdkDisplayManagerTest.php
      test/unittests/GdkDisplayTest.php
      test/unittests/GdkDragContextTest.php
      test/unittests/GdkDrawableTest.php
      test/unittests/GdkEventTest.php
      test/unittests/GdkFontTest.php
      test/unittests/GdkGCTest.php
      test/unittests/GdkImageTest.php
      test/unittests/GdkKeymapTest.php
      test/unittests/GdkPixbufAnimationIterTest.php
      test/unittests/GdkPixbufAnimationTest.php
      test/unittests/GdkPixbufLoaderTest.php
      test/unittests/GdkPixbufTest.php
      test/unittests/GdkPixmapTest.php
      test/unittests/GdkRectangleTest.php
      test/unittests/GdkScreenTest.php
      test/unittests/GdkTest.php
      test/unittests/GdkVisualTest.php
      test/unittests/GdkWindowTest.php
      test/unittests/GtkAboutDialogTest.php
      test/unittests/GtkAccelGroupTest.php
      test/unittests/GtkAccelLabelTest.php
      test/unittests/GtkAccessibleTest.php
      test/unittests/GtkActionGroupTest.php
      test/unittests/GtkActionTest.php
      test/unittests/GtkAdjustmentTest.php
      test/unittests/GtkAlignmentTest.php
      test/unittests/GtkArrowTest.php
      test/unittests/GtkAspectFrameTest.php
      test/unittests/GtkBinTest.php
      test/unittests/GtkBorderTest.php
      test/unittests/GtkBoxTest.php
      test/unittests/GtkButtonBoxTest.php
      test/unittests/GtkButtonTest.php
      test/unittests/GtkCListTest.php
      test/unittests/GtkCTreeTest.php
      test/unittests/GtkCalendarTest.php
      test/unittests/GtkCellRendererComboTest.php
      test/unittests/GtkCellRendererPixbufTest.php
      test/unittests/GtkCellRendererProgressTest.php
      test/unittests/GtkCellRendererTest.php
      test/unittests/GtkCellRendererTextTest.php
      test/unittests/GtkCellRendererToggleTest.php
      test/unittests/GtkCellViewTest.php
      test/unittests/GtkCheckButtonTest.php
      test/unittests/GtkCheckMenuItemTest.php
      test/unittests/GtkClipboardTest.php
      test/unittests/GtkColorButtonTest.php
      test/unittests/GtkColorSelectionDialogTest.php
      test/unittests/GtkColorSelectionTest.php
      test/unittests/GtkComboBoxEntryTest.php
      test/unittests/GtkComboBoxTest.php
      test/unittests/GtkComboTest.php
      test/unittests/GtkContainerTest.php
      test/unittests/GtkCurveTest.php
      test/unittests/GtkDialogTest.php
      test/unittests/GtkDrawingAreaTest.php
      test/unittests/GtkEntryCompletionTest.php
      test/unittests/GtkEntryTest.php
      test/unittests/GtkEventBoxTest.php
      test/unittests/GtkExpanderTest.php
      test/unittests/GtkFileChooserButtonTest.php
      test/unittests/GtkFileChooserDialogTest.php
      test/unittests/GtkFileChooserWidgetTest.php
      test/unittests/GtkFileFilterTest.php
      test/unittests/GtkFileSelectionTest.php
      test/unittests/GtkFixedTest.php
      test/unittests/GtkFontButtonTest.php
      test/unittests/GtkFontSelectionDialogTest.php
      test/unittests/GtkFontSelectionTest.php
      test/unittests/GtkFrameTest.php
      test/unittests/GtkGammaCurveTest.php
      test/unittests/GtkHBoxTest.php
      test/unittests/GtkHButtonBoxTest.php
      test/unittests/GtkHPanedTest.php
      test/unittests/GtkHRulerTest.php
      test/unittests/GtkHScaleTest.php
      test/unittests/GtkHScrollbarTest.php
      test/unittests/GtkHSeparatorTest.php
      test/unittests/GtkHandleBoxTest.php
      test/unittests/GtkIMContextSimpleTest.php
      test/unittests/GtkIMContextTest.php
      test/unittests/GtkIMMulticontextTest.php
      test/unittests/GtkIconFactoryTest.php
      test/unittests/GtkIconInfoTest.php
      test/unittests/GtkIconSetTest.php
      test/unittests/GtkIconSourceTest.php
      test/unittests/GtkIconThemeTest.php
      test/unittests/GtkIconViewTest.php
      test/unittests/GtkImageMenuItemTest.php
      test/unittests/GtkImageTest.php
      test/unittests/GtkInputDialogTest.php
      test/unittests/GtkInvisibleTest.php
      test/unittests/GtkItemFactoryTest.php
      test/unittests/GtkItemTest.php
      test/unittests/GtkLabelTest.php
      test/unittests/GtkLayoutTest.php
      test/unittests/GtkListItemTest.php
      test/unittests/GtkListStoreTest.php
      test/unittests/GtkListTest.php
      test/unittests/GtkMenuBarTest.php
      test/unittests/GtkMenuItemTest.php
      test/unittests/GtkMenuShellTest.php
      test/unittests/GtkMenuTest.php
      test/unittests/GtkMenuToolButtonTest.php
      test/unittests/GtkMessageDialogTest.php
      test/unittests/GtkMiscTest.php
      test/unittests/GtkNotebookTest.php
      test/unittests/GtkObjectTest.php
      test/unittests/GtkOldEditableTest.php
      test/unittests/GtkOptionMenuTest.php
      test/unittests/GtkPanedTest.php
      test/unittests/GtkPixmapTest.php
      test/unittests/GtkPlugTest.php
      test/unittests/GtkPreviewTest.php
      test/unittests/GtkProgressBarTest.php
      test/unittests/GtkProgressTest.php
      test/unittests/GtkRadioActionTest.php
      test/unittests/GtkRadioButtonTest.php
      test/unittests/GtkRadioMenuItemTest.php
      test/unittests/GtkRadioToolButtonTest.php
      test/unittests/GtkRangeTest.php
      test/unittests/GtkRcStyleTest.php
      test/unittests/GtkRequisitionTest.php
      test/unittests/GtkRulerTest.php
      test/unittests/GtkScaleTest.php
      test/unittests/GtkScrollbarTest.php
      test/unittests/GtkScrolledWindowTest.php
      test/unittests/GtkSelectionDataTest.php
      test/unittests/GtkSeparatorMenuItemTest.php
      test/unittests/GtkSeparatorTest.php
      test/unittests/GtkSeparatorToolItemTest.php
      test/unittests/GtkSettingsTest.php
      test/unittests/GtkSizeGroupTest.php
      test/unittests/GtkSocketTest.php
      test/unittests/GtkSpinButtonTest.php
      test/unittests/GtkStatusbarTest.php
      test/unittests/GtkStyleTest.php
      test/unittests/GtkTableTest.php
      test/unittests/GtkTearoffMenuItemTest.php
      test/unittests/GtkTest.php
      test/unittests/GtkTextAttributesTest.php
      test/unittests/GtkTextBufferTest.php
      test/unittests/GtkTextChildAnchorTest.php
      test/unittests/GtkTextIterTest.php
      test/unittests/GtkTextMarkTest.php
      test/unittests/GtkTextTagTableTest.php
      test/unittests/GtkTextTagTest.php
      test/unittests/GtkTextViewTest.php
      test/unittests/GtkToggleActionTest.php
      test/unittests/GtkToggleButtonTest.php
      test/unittests/GtkToggleToolButtonTest.php
      test/unittests/GtkToolButtonTest.php
      test/unittests/GtkToolItemTest.php
      test/unittests/GtkToolbarTest.php
      test/unittests/GtkTooltipsTest.php
      test/unittests/GtkTreeIterTest.php
      test/unittests/GtkTreeModelFilterTest.php
      test/unittests/GtkTreeModelRowIteratorTest.php
      test/unittests/GtkTreeModelRowTest.php
      test/unittests/GtkTreeModelSortTest.php
      test/unittests/GtkTreeRowReferenceTest.php
      test/unittests/GtkTreeSelectionTest.php
      test/unittests/GtkTreeStoreTest.php
      test/unittests/GtkTreeViewColumnTest.php
      test/unittests/GtkTreeViewTest.php
      test/unittests/GtkUIManagerTest.php
      test/unittests/GtkVBoxTest.php
      test/unittests/GtkVButtonBoxTest.php
      test/unittests/GtkVPanedTest.php
      test/unittests/GtkVRulerTest.php
      test/unittests/GtkVScaleTest.php
      test/unittests/GtkVScrollbarTest.php
      test/unittests/GtkVSeparatorTest.php
      test/unittests/GtkViewportTest.php
      test/unittests/GtkWidgetTest.php
      test/unittests/GtkWindowGroupTest.php
      test/unittests/GtkWindowTest.php
      test/unittests/PangoAttrListTest.php
      test/unittests/PangoColorTest.php
      test/unittests/PangoContextTest.php
      test/unittests/PangoFontDescriptionTest.php
      test/unittests/PangoFontFaceTest.php
      test/unittests/PangoFontFamilyTest.php
      test/unittests/PangoFontMapTest.php
      test/unittests/PangoFontMetricsTest.php
      test/unittests/PangoFontTest.php
      test/unittests/PangoFontsetSimpleTest.php
      test/unittests/PangoFontsetTest.php
      test/unittests/PangoGlyphStringTest.php
      test/unittests/PangoLanguageTest.php
      test/unittests/PangoLayoutIterTest.php
      test/unittests/PangoLayoutTest.php
      test/unittests/PangoTabArrayTest.php
      test/unittests/PangoTest.php
      test/unittests/generator.php:
      convert to phpunit3

    * test/unittests/GtkFileFilterTest.php:
      Unit tests for GtkFileFilter::add_custom/filter()

2007-02-06  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtktextview.overrides:
      GtkIter::forward/backward_find_char (UNTESTED!)

    * ext/gtk+/gdk.overrides:
      Seems there were changes since I last updated, rollback and recommit.

    * ext/gtk+/gdk.overrides:
      GdkWindow::set_icon_list()

2007-02-06  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/pango.overrides:
      add not_static

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktextview.overrides:
      GtkTextIter::get_char()
      GtkMenuItem::toggle_size_request()
      GtkFileFilter::add_custom()
      GtkFileFilter::filter()

    * generator/arg_types.php:
      Add PangoRectangle* support by using GdkRectangle* generator class

2007-02-05  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides:
      ignore widechar methods; we're using utf8

2007-02-05  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/pango.overrides:
      Oops. I hate emacs

    * ext/gtk+/pango.overrides:
      PangoFontFace::list_sizes(). Don't know how to test it yet, but it compile
      fine.

2007-02-05  Andrei Zmievski  <andrei@gravitonic.com>

    * build2/config-stubs:
      Make cross-shell compatible.

2007-02-05  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      gtk_idle_add_full isn't needed, since gtk_idle_add and _priority have
      everything a php programmer needs

    * ext/gtk+/gtk.overrides:
      Ignoring gtk_accel_group_query since it is marked as "internal"
      in gtk sources, and returns a list of accelgroupentry structs
      that don't have any value for php-gtk programmers since they contain
      only the key that was supplied to query() anyway, a closure that
      cannot be used here and a quark.

    * ext/gtk+/gtk.overrides:
      files set by gtk_rc_set_default_files are called at the
      end of gtk_init. Since php-gtk calls this method instantly without
      executing any other userland code before, we don't need this
      method at all

    * ext/gtk+/gdk.defs:
      Should shorten names, too

    * ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides:
      Gdk::keyval_convert_case
      move some static methods to pixbuf

    * TODO2:
      Removing information that is already in coverage analysis
      add scintilla note

2007-02-04  Christian Weiske  <cweiske@cweiske.de>

    * ext/sourceview/sourceview.overrides:
      Convert utf8 if necessary

    * ext/gtk+/gdk.overrides
      ext/gtk+/pango.overrides:
      Ignore some *_free() methods

    * ext/gtk+/gdk.overrides:
      Gdk::query_depths
      Gdk::query_visual_types

    * ext/gtk+/gdk.overrides:
      GdkDisplay::get_maximal_cursor_size

2007-02-03  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides
      ext/scintilla/scintilla.overrides:
      GtkCellRenderer::get_size()

    * ext/sourceview/sourceview.overrides:
      GtkSourceLanguagesManager::get_lang_files_dirs()

    * ext/sourceview/sourceview.overrides:
      I can't test it, but it compiles and should work

    * ext/scintilla/.cvsignore
      ext/sourceview/.cvsignore
      ext/spell/.cvsignore:
      add cvsignore for spell

    * ext/scintilla/.cvsignore
      ext/sourceview/.cvsignore:
      cvsignore for scintilla and sourceview

    * ext/gtk+/gtk.overrides
      ext/sourceview/sourceview.overrides:
      Add arginfo for GtkEntry::set_invisible_char
      Implement GtkSourceBuffer::{g,s}et_escape_char
      Implement GtkSourceLanguage::get_escape_char

2007-02-03  Anant Narayanan  <anant@kix.in>

    * build2/config-stubs:
      Revert to ugly matching

2007-02-03  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/spell/README
      ext/spell/config.w32:
      Fixed windows config to reflect removed file, added windows information to
      readme

2007-02-02  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/pango.overrides:
      Some love for PangoLayout

    * ext/spell/config.m4
      ext/spell/config.w32
      ext/spell/gen_spell.c
      ext/spell/php_spell.c:
      Move functions to php_spell.c and remove gen_spell.c

    * build2/config-stubs:
      Simplify expansion to expr

    * build2/config-stubs:
      Make Bourne Shell compatible

    * build2/config-stubs:
      Make script not specific to BASH

2007-02-02  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtk.overrides:
      override for GtkToolbar::prepend_item and fixes for GtkToolbar::append_item

    * ext/spell/config.w32
      ext/spell/demos/spell.php:
      Fixing weird characters (where did those come from?)

2007-02-02  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides
      main/php_gtk.h:
      Fix GtkPlug constructor (was not using the right object for
      gtk_plug_construct()).

2007-02-01  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Revitalize the GCC with GtkToolbar::append_item()

    * ext/mozembed/demos/README
      ext/spell/README
      ext/spell/demos/spell.php:
      Wrong directory; why is CVS acting weird?

    * ext/mozembed/demos/README
      ext/mozembed/demos/demos/spell.php:
      README and sample usage for GtkSpell

    * ext/spell/config.m4
      ext/spell/config.w32
      ext/spell/gen_spell.c
      ext/spell/php_spell.c
      ext/spell/php_spell.h:
      Check in the GtkSpell extension.

    * build2/config-stubs:
      Make sure the gtk+ extension builds before anything else.

2007-01-31  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * generator/generator.php
      generator/override.php
      generator/scheme.php:
      Allows the generator to build against different versions of gtk+ by passing
      a -v (version number) argument via the command line.  Files are then
      conditionally included by checking a version number after it [include
      "myfile" 2.8]

2007-01-30  Elizabeth Marie Smith  <emsmith@elizabethmariesmith.com>

    * ext/gtk+/gtktreeview.overrides:
      Rest of dnd support for gtktreeview with fixes Andrei requested

2007-01-23  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Let gtk_idle_add() be generated

2007-01-22  Anant Narayanan  <anant@kix.in>

    * generator/generator.php:
      Apparently 0 is incorrect, change to -1

    * generator/generator.php:
      Make memory_limit 0 for generator

2007-01-20  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtkclipboard.overrides
      ext/gtk+/gtkdrag.overrides
      ext/gtk+/gtkstyle.overrides
      main/php_gtk_util.c:
      More work on GCC (Grand Coverage Crusade)

2006-12-27  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c:
      -** empty log message ***

    * main/php_gtk_util.c:
      Fix TSRMLS issues.

2006-12-23  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Correct small Oops.

    * ext/gtk+/gtk.overrides:
      Help the GCC(TM) with a few GtkCList methods.

2006-12-22  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtktextview.overrides:
      Implement GtkTooltips::get_info_from_tip_window() and
      GtkTextBuffer::insert_with_tags_by_name().

2006-12-21  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c:
      Speed up parameter parsing for 0-arg functions by failing early.

    * ext/gtk+/gtk.overrides:
      Implement a bunch of GtkImage::get_* methods.

2006-12-17  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Clean up ignores.

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkcontainer.overrides
      ext/gtk+/gtktreeview.overrides:
      Ignore a lot of stuff in Gtk. This is surprisingly tedious work.

2006-12-17  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Correct safe_emalloc() usage.

2006-12-17  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      What the heck is gtk_menu_item_toggle_size_request() supposed to do?
      Remove this stub until we find out.

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides:
      Start the Grand Coverage Crusade [TM] (abbreviates to GCC, interestingly
      enough), since no one else seems eager to do it. The functions are
      untested; I only made sure that they compile, so please test on your own

    * main/php_gtk_util.c:
      Support 'u' in php_gtk_build_value for adding UTF-8 strings

2006-12-10  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Clarify safe_emalloc() calls.

2006-12-09  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      GtkAction::list_actions(); patch from Elizabeth

    * ext/scintilla/scintilla.overrides:
      get_cur_line, get_sel_text overrides; thanks to Pablo!

2006-12-07  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c
      main/phpg_gobject.c:
      Implement GObject::emit().

    * main/phpg_gobject.c:
      Implement GObject's freeze_notify() and thaw_notify().

    * main/phpg_gobject.c:
      Implement GObject::stop_emission()/emit_stop_by_name().

2006-12-02  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Correct constructor for GtkListItem

2006-11-22  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Override for GtkAction::get_proxies()

2006-11-21  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      That spinbutton was scott's test patch which shouldn't go live yet

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides
      test/unittests/GtkTreeStoreTest.php
      test/unittests/GtkTreeViewTest.php:
      - GtkTreeView::get_cell_area() and get_background_area()
      - unit tests for both
      - Switch treeview test to phpunit3

2006-11-13  Scott Mattocks  <scott@crisscott.com>

    * ext/gtk+/gtktreeview.overrides:
      GtkListStore::insert_before()

2006-10-31  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gdk.overrides:
      Kill few more gcc 4.1 warnings

2006-10-30  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Remove a few warnings for gcc 4.1

    * ext/sourceview/sourceview.defs:
      Remove GtkSourceViewPrintJob and its methods since libgnomeprint isn't
      handy enough.

2006-10-26  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      Need to find a better way to fix this msvc warning - it seems to have
      broken gcc.

2006-10-24  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/config.w32
      ext/gtk+/gtk.overrides
      ext/gtk+/phpg_custom_tree_model.c
      generator/arg_types.php
      main/phpg_gobject.c:
      ZTS fixes

2006-10-23  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Using safe_emalloc() instead of explicit allocation

2006-10-21  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Patch for GtkListStore::insert_after (Scott M)

2006-10-15  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      main/php_gtk.h
      main/phpg_gobject.c:
      Enhance GObject constructor to support creation of objects vai GType and
      properties.

2006-10-10  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Allow NULL to be passesd to set_default_sort_func().

2006-10-08  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c:
      Allow PhpGtkCustomTreeModel to expose itself through GtkTreeModelRow and
      GtkTreeModelRowIterator.

    * ext/gtk+/phpg_custom_tree_model.c:
      Fix possible crash in iter_n_children handler.

2006-10-06  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/phpg_custom_tree_model.c:
      Some error handling.

    * ext/gtk+/gtk-extrafuncs.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/phpg_custom_tree_model.c
      ext/gtk+/phpg_custom_tree_model.h:
      Support for custom tree models.

2006-10-04  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Overrides for GtkEntry::get/set_invisible_char

2006-10-03  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Ignore GtkTreeIter memory-related methods.

2006-10-02  Christian Weiske  <cweiske@cweiske.de>

    * generator/docmerger2.php:
      Reference isn't needed here

    * main/phpg_gobject.c:
      Seems I forgot to commit

2006-10-02  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/gtk.overrides:
      Overrides for GtkCurve::set/get_vector

2006-10-01  Anant Narayanan  <anant@kix.in>

    * ext/mozembed/config.m4
      ext/sourceview/config.m4:
      Allow mozembed to build against firefox

2006-09-30  Anant Narayanan  <anant@kix.in>

    * ext/gtk+/phpg_custom_tree_model.c:
      Add phpg_custom_tree_model_class_init() stub

2006-09-28  Christian Weiske  <cweiske@cweiske.de>

    * main/phpg_gobject.c:
      Reflection for block() and unblock()

2006-09-27  Anant Narayanan  <anant@kix.in>

    * build2/genext.sh:
      Allow nested extension directories

2006-09-23  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/config.m4
      ext/gtk+/php_gtk+.c
      ext/gtk+/phpg_custom_tree_model.c
      ext/gtk+/phpg_custom_tree_model.h:
      Framework for custom tree models.

    * ext/gtk+/gtkclipboard.overrides:
      A couple more clipboard methods.

2006-09-17  Andrei Zmievski  <andrei@gravitonic.com>

    * php_gtk.m4
      ext/gtk+/Makefile.frag
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkclipboard.overrides
      ext/gtk+/php_gdk.c
      ext/gtk+/php_gtk+.c
      generator/arg_types.php
      generator/generator.php
      generator/templates.php:
      Some clipboard support.

2006-09-14  Scott Mattocks  <scott@crisscott.com>

    * test/bug_gtkspinbutton_construct_value.phpw:
      Bug: default value for spin buttons does not show properly.

2006-09-09  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Reverse the order of colors/alpha if on little-endian platform.

    * ext/gtk+/gtk.overrides
      main/php_gtk.c
      main/phpg_closure.c:
      Clean-up after Gtk+ in case set_url_hook() was called.

2006-09-02  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      E_STRICT renamings: the last ones
      GtkCList::remove -> remove_row
      GtkCTree::is_ancestor -> row_is_ancestor
      GtkStatusbar::remove -> remove_message

    * ext/gtk+/gtk.overrides:
      E_STRICT renamings:
      GtkWindow::mnemonic_activate  -> window_mnemonic_activate
      GtkMenu::set_accel_path       -> set_menu_accel_path
      GtkMenuItem::set_accel_path   -> set_item_accel_path

    * ext/gtk+/gtk.overrides:
      E_STRICT renaming: GtkToolbar::get|set_style -> get|set_toolbar_style

2006-08-31  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Fix GtkColorSelection::palette_to_string().

2006-08-11  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php:
      docgen uses &seealso;

2006-08-06  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Moving ignores to correct place

    * ext/gtk+/gtk.overrides:
      Merging some GtkRadioMenuItem constructors, and removing some

2006-08-05  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      -** empty log message ***

    * ext/gtk+/gtk.overrides:
      Fix crash: phpg_from_utf8() returns string allocated by Gtk+, not by Zend.
      (bug #37304).

2006-07-31  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_atom.c:
      Declare the atom_name var.

2006-07-30  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/arg_types.php
      main/phpg_atom.c:
      Make GtkSelectionData GdkAtom fields be actual GdkAtom objects.

    * ext/gtk+/gtk.overrides:
      Implement GtkSelectionData's get_uris() and set_uris. (Patch by
      Christian W, updated by Andrei)

2006-07-20  Andrei Zmievski  <andrei@gravitonic.com>

    * AUTHORS:
      Fix

    * AUTHORS:
      Update

2006-07-17  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h:
      Back to -dev.

    * (php_gtk_2_0_0alpha)
      NEWS
      README.KNOWN-ISSUES:
      zeta -> alpha

    * (php_gtk_2_0_0alpha)
      main/php_gtk.h:
      Alas, our tools fail us again (zeta -> alpha)

2006-07-17  Steph Fox  <steph.fox@virgin.net>

    * win32/confutils.js:
      - Kill the reliance on markers
      - Versioning works properly now, whatever you do to it :)

    * win32/confutils.js:
      I've no idea why this stopped working, but it did.

2006-07-15  Andrei Zmievski  <andrei@gravitonic.com>

    * (php_gtk_2_0_0zeta)
      demos/phpgtk2-demo.php:
      Highlight only if tokenizer is available.

2006-07-15  Steph Fox  <steph.fox@virgin.net>

    * win32/README.txt
      win32/gtkpath.bat
      win32/php.ini:
      Bits and pieces around the win32 release

2006-07-13  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h:
      Bump to next greek letter.

    * (php_gtk_2_0_0zeta)
      NEWS
      NEWS.pre-2-0
      main/php_gtk.h:
      Split NEWS. Update version.

    * NEWS
      README:
      -** empty log message ***

    * (php_gtk_2_0_0zeta)
      README.KNOWN-ISSUES:
      Typo

2006-07-10  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.defs:
      Removing "factories_" to Andrei's wish

2006-07-08  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Regular methods shouldn't throw exceptions.

2006-07-05  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/scintilla.overrides:
      Fix UTF8 Issue?

2006-07-01  Christian Weiske  <cweiske@cweiske.de>

    * TODO2
      ext/gtk+/gtktreeview.overrides:
      Fixed NTRVTRP methods
      GtkTreeModelSort::convert_iter_to_child_iter
      GtkTreeModelSort::convert_child_iter_to_iter
      
      The script leaks memory, but this is because of
      http://bugzilla.gnome.org/show_bug.cgi?id=346341

    * ext/gtk+/gtktreeview.overrides:
      Fixed the both convert methods and added unit test for them

    * ext/gtk+/gtktreeview.overrides:
      Fixing the parameter type.
      I still don't know why virtual_root is null, although we set it.

    * ext/gtk+/gtktreeview.overrides:
      Wrong class in arginfo

2006-06-30  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.defs:
      Removing GtkTreeModel::filter_new, since we already have a
      GtkTreeModelFilter constructor

    * TODO2
      ext/gtk+/gtktreeview.overrides:
      While fixing the NTRVNRP methods
      GtkTreeModelFilter::convert_iter_to_child_iter
      GtkTreeModelFilter::convert_child_iter_to_iter
      I noted that the gtktreemodelfilter constructor
      does not really work, since the second parameter seems
      to be ignored at all.
      Further, there is a memleak when trying to get the
      virtual-root property of a tree model filter.
      Just check the unit test.

    * ext/gtk+/gtktreeview.overrides:
      Saving one bit of memory

    * TODO2
      ext/gtk+/gtktreeview.overrides:
      Fixing NTRVNRP method GtkCellView::get_size_of_row()

    * ext/gtk+/gtk.defs:
      Moving functions to static class methods

2006-06-28  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Setting the allocation type to mixed instead of the
      automatically defined, not existing GtkAllocation class

2006-06-26  Scott Mattocks  <scott@crisscott.com>

    * README
      README.KNOWN-ISSUES:
      Updates for zeta release.

2006-06-25  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Kill warning.

2006-06-25  Steph Fox  <steph.fox@virgin.net>

    * generator/templates.php
      main/php_gtk.h
      main/phpg_gpointer.c:
      Give GPointer types something to hold onto...

2006-06-24  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/atk.overrides:
      Update arg info to reflect PHP-GTK reality.

2006-06-24  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides:
      Commit Steph's GDK patches (add_alpha(), create_from_xpm[_data]())

2006-06-23  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/atk.defs:
      - Bring atk defs into line with the other defs layouts
      - correct typo that had us constructing something called 'AtkSetSet' :)
      (okay okay I'll do the usernotes next...)

    * ext/gtk+/atk.overrides:
      Override for AtkRelation constructor (sorry, couldn't resist that one)
      - thanks Andrei

2006-06-23  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Commit Steph's patch for GtkCList/GtkCTree constructors. Reworked it a
      bit for UTF-8 stuff.

    * generator/arg_types.php
      generator/generator.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gpointer.c:
      Rework Steph's pointer generation patch so that it works like boxed
      type.

    * makedist:
      Clean up after packaging.

2006-06-23  Anant Narayanan  <anant@kix.in>

    * INSTALL:
      Some more typos :-/

2006-06-22  Andrei Zmievski  <andrei@gravitonic.com>

    * INSTALL:
      Typo.

2006-06-22  Steph Fox  <steph.fox@virgin.net>

    * TODO2:
      We need a generic function for UTF-8 compat in arrays of strings.

2006-06-22  Anant Narayanan  <anant@kix.in>

    * INSTALL
      ext/scintilla/README:
      Added a basic INSTALL file and updated READMEs for the extensions.

2006-06-21  Steph Fox  <steph.fox@virgin.net>

    * generator/generator.php:
      pure code cleanups - nothing to see here, move along

    * ext/gtk+/gtk.overrides:
      s/return/construct exception

    * TODO2:
      A few more items gone from the TODO

2006-06-19  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtkdrag.overrides:
      Don't leak result of gdk_atom_name() into PHP land directly.

2006-06-19  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/v1.gdk.overrides
      ext/gtk+/v1.gtk.overrides:
      Removing old overrides

    * ext/gtk+/gtktreeview.overrides:
      GtkListStore constructor doesn't need any parameters

    * test/bug_gtkentry_activate.phpw:
      Works here, too

    * test/bug_dnd_segfault_end.phpw:
      Seems to be fixed

2006-06-17  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/gtkdrag.overrides:
      GtkWidget::drag_dest_find_target() needs to return a duplicate to avoid a
      buffer overflow in zend_variables (under doze, anyway).
      Let me know if any other platforms suffer as a result of this fix. There
      are relevant tests scripts for DND in the test directory.

    * TODO2:
      Found more stuff that's already done...

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktextview.overrides:
      - Override for GtkTextBuffer::get_iter_at_child_anchor()
      - If we're going to throw construct exceptions, it'd be good to have the
      right widget names :\\
      
      ** Andrei - Should we be throwing construct exceptions on parse_arg
      failure anyway? It feels wrong...

    * TODO2:
      Make the TODO a little shorter

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.defs:
      - Adding GtkMenuToolButton::new_from_stock() to the defs (it doesn't need
      an override)
      - GdkPixbuf::new_from_array() is a PyGTK invention. Adding it to the
      ignore list rather than deleting it in case Andrei has other ideas about
      its future.

    * main/php_gtk.h:
      - Workaround for the 'lookup' issue.
      - The only place 'lookup' was used by the end of the PHP 4.3 series was in
      ext/expat.
      - It isn't used anywhere in PHP 5 or its core extensions.

    * win32/config.w32.in:
      Fix bad flag (thanks Dmitry for finding this)

    * main/php_gtk.c:
      - Allow PHP-GTK to build against the new module API in PHP_5_2 branch
      - BC wasn't too bad thanks to our lack of module init routine
      - Cleaned out the 2001 module API checks and out-commented lines hanging
      over from PHP-GTK 1

2006-06-16  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/gdk.overrides:
      Kill a smattering of MSVC warnings

    * main/php_gtk_util.c:
      ZTS fixes

2006-06-16  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      Updating todo.
      
      You better see what's missing by looking at
      http://xml.cweiske.de/classcoverage.htm

    * ext/gtk+/gtktreeview.overrides:
      GtkTreeView::set_search_equal_func()
      This one doesn't leak :)

    * ext/gtk+/gtk.overrides:
      GtkEntryCompletion::set_match_func()
      When using it, it leaks memory the same way we had for set_visible_func.
      I already reported a bug: http://bugzilla.gnome.org/show_bug.cgi?id=345107
      and expect it to be fixed in the near future.

    * ext/gtk+/gtk.defs:
      GtkEntryCompletion::get_text_column() was missing

    * ext/gtk+/gtk.overrides:
      They shall user get_group()

    * ext/gtk+/gtk.overrides:
      GtkFileFilter::list_filters()
      GtkFileFilter::list_shortcut_folders()
      GtkFileFilter::list_shortcut_folder_uris()

2006-06-15  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      GtkTreeSelection::set_select_function

2006-06-15  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.c:
      Fix for bug #37787 (Memleak when using timeout in a class)

2006-06-14  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      GtkTreeSelection::selected_foreach()

    * ext/gtk+/gtk.defs:
      Moved Gtk:: methods to the class they belong to

    * ext/gtk+/gtk.overrides:
      PHP-Gtk users don't need *_quark methods

    * ext/gtk+/gtktreeview.overrides:
      GtkTreeView::set_column_drag_function

    * ext/gtk+/gtktextview.overrides:
      GtkTextTagTable::foreach

    * ext/gtk+/gtk.overrides:
      GtkColorSelection::get_color
      GtkColorSelection::set_color

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktextview.overrides:
      Adding NOT_STATIC_METHOD() where missing

2006-06-13  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      Updating TODO2

    * ext/gtk+/gtk.overrides:
      GtkIconView constructor reflection info
      GtkIconView::selected_foreach(callback), even without any leaks :)

    * ext/gtk+/gtk.overrides:
      GtkPixmap::get()

    * ext/gtk+/gtktextview.overrides:
      GtkTextChildAnchor::get_widgets

    * ext/gtk+/gtk.overrides:
      GtkWidget::list_mnemonic_labels()
      and a (probably) win32 fix for list_toplevels()

    * ext/gtk+/gtk.overrides:
      Last missing GtkWindow method, GtkWindow::set_geometry_hints

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides:
      - Moving get_from_tip_window to the right class
      - GtkWindow::list_toplevels()

    * ext/gtk+/gdk.overrides:
      GdkDisplayManager::list_displays()

    * ext/gtk+/gtktreeview.overrides:
      Re-enabling GtkTreeModelFilter::set_visible_func since
      all users will have a Gtk version with the mem leak fixed
       - sooner or later.

2006-06-12  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      GtkAboutDialog::set_* methods aren't static.

    * ext/gtk+/gtk.overrides:
      Reflection info for some GtkAboutDialog setters

    * ext/gtk+/gtk.overrides:
      Ignore the GtkActionGroup::*actions_full methods.
      PHP-Gtk users don't need destroynotify

    * ext/gtk+/gtk.overrides:
      GtkWidget::get_allocation()
      GtkWidget::class_path()
      GtkWidget::path()

    * ext/gtk+/gdk.overrides:
      Last missing GdkDevice method: GdkDevice::get_history

    * ext/gtk+/gtktreeview.overrides:
      gtk_tree_model_filter_new == new GtkTreeModelFilter()
      We have a problem:
      - gtk_tree_model_filter_new is the constructor of GtkTreeModelFilter
      - we used to have a GtkTreeModel::filter_new([path]) method
        that was an instance method for GtkTreeModel, constructing a filter
        with the object as childmodel. Both use gtk_tree_model_filter_new
        as base C function...
      
      So do we want to have both?

    * ext/gtk+/gtktreeview.overrides:
      gtk_tree_model_filter_new != GtkTreeModelFilter::new

    * ext/gtk+/gdk.overrides:
      Prop readers for GdkDevice::axes/keys

    * ext/gtk+/gtktreeview.overrides:
      Disabling gtk_tree_model_filter_set_visible_func until
      the Gtk people fix their mem error (as Andrei wanted)

2006-06-11  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides:
      Adding GdkDevice::get_axis
      With that, you can do funny things, e.g.
      http://xml.cweiske.de/Magnifier.phps

    * ext/gtk+/gdk.overrides:
      Adding GdkDevice::get_state(window)
      this allows us to track the location of the mouse pointers
      in the system, e.g.
      <?php
      $wnd = new GtkWindow();
      $wnd->show();
      $mouse = GdkDevice::get_core_pointer();
      $val = $mouse->get_state($wnd->window);
      var_dump($val[0]);
      ?>

    * ext/gtk+/gdk.defs:
      Moving devices_list to GdkDevice::list_devices and
      list_visuals to GdkVisual::list_visuals

    * ext/gtk+/gtk.overrides:
      Removing unused variable

2006-06-10  Andrei Zmievski  <andrei@gravitonic.com>

    * makedist:
      Changes for bundling generated sources.

    * (php_gtk_2_0_0zeta)
      config.m4
      php_gtk.m4
      main/Makefile.frag:
      Add gen-sources target.

2006-06-10  Christian Weiske  <cweiske@cweiske.de>

    * (php_gtk_2_0_0zeta)
      ext/gtk+/gtktreeview.overrides:
      Added last missing GtkTreeSortable method: get_sort_column_id()

    * (php_gtk_2_0_0zeta)
      ext/gtk+/gdk.defs:
      Some more renamings/movings to a class

    * ext/gtk+/gdk.defs:
      Moving some functions to classes and let them be methods

    * (php_gtk_2_0_0zeta)
      ext/gtk+/gdk.overrides:
      Ignoring gdk_pixbuf_savev as its already implemented in gdk_pixbuf_save

    * (php_gtk_2_0_0zeta)
      ext/gtk+/gdk-types.defs:
      Fixing GdkColorspace type (had an uppercase S)

2006-06-09  Christian Weiske  <cweiske@cweiske.de>

    * (php_gtk_2_0_0zeta)
      ext/gtk+/gtk.defs
      ext/gtk+/gtktreeview.overrides:
      Committing
      GtkTreeSortable::set_sort_func
      GtkTreeSortable::set_default_sort_func
      GtkTreeFilterModel constructor
      GtkTreeFilterModel::set_visible_func
      after applying Andrei's suggestions

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkcontainer.overrides:
      Committing
      GtkContainer::get_focus_chain
      GtkContainer::set_focus_chain
      GtkWindow::get_icon_list
      GtkWindow::set_icon_list
      GtkWindow::get_default_icon_list
      GtkWindow::set_default_icon_list
      GtkIconTheme::list_icons
      after applying Andrei's suggestions.

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides:
      Adding the patch for GtkComboBox/GtkTreeView::set_row_separator_func
      after changing it according to Andrei's suggestions.
      Also added the ability to unset the callbacks by passing
      NULL

    * ext/gtk+/gtk.overrides:
      Adding
      GtkAboutDialog::set_email_hook(callback);
      GtkAboutDialog::set_url_hook(callback);
      after changing the code according to Andrei's suggestions:
      - allow unsetting the hook by passing NULL as callback
      - add marshaller declaration in headers section

    * (php_gtk_2_0_0zeta)
      ext/gtk+/gtktextview.overrides:
      Committing
      - GtkTextIter::get_tags
      - GtkTextIter::get_marks
      - GtkTextIter::get_toggled_tags
      after Andrei said I should commit

    * (php_gtk_2_0_0zeta)
      generator/h2def.py:
      Committing the fixed generator as suggested by Andrei

2006-06-08  Christian Weiske  <cweiske@cweiske.de>

    * (php_gtk_2_0_0zeta)
      TODO2:
      I found some missing things while doccing

2006-06-07  Anant Narayanan  <anant@kix.in>

    * (php_gtk_2_0_0zeta)
      ext/scintilla/scintilla.overrides:
      Small Oops.

    * ext/scintilla/scintilla.overrides:
      Override for set_text() to fix UTF8 issue

2006-06-03  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c:
      Improve php_gtk_check_class() function.

    * TODO2
      TODO2:
      -** empty log message ***

    * generator/arg_types.php:
      Fix type registration for GtkAllocation*

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkcontainer.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      generator/generator.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      main/phpg_atom.c
      main/phpg_exceptions.c
      main/phpg_gpointer.c:
      Commit Steph's PHP_5_2 compat patch.

2006-06-01  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Adding last missing GtkBox method: query_child_packing
      and unit tests for GtkBox::query_child_packing and
      GtkNotebook::query_tab_label_packing

    * ext/gtk+/gtk.overrides:
      Implementing last missing GtkNotebook method: query_tab_label_packing

2006-05-30  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      Added scott's text

    * ext/gtk+/gdk.overrides:
      - Reflection info for a number of GdkPixbuf methods
      - Make fill() accept both pixel specification *and*
        rgba values

    * TODO2:
      GdkPixbuf::add_alpha note

2006-05-18  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      Added GtkTreeView::get_columns()

2006-05-16  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Fixed GtkMenu::popup reflection info

    * ext/gtk+/gtk.overrides:
      GtkWidget::size_requisition() needs to return a GtkRequisition object
      instead of modifying one

2006-05-13  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      iter_parent reflection info

2006-05-07  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      Fixed reflection info for GtkTreeViewColumn constructor

2006-05-05  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      reflection info for iter_nth

2006-05-03  Christian Weiske  <cweiske@cweiske.de>

    * main/phpg_gobject.c:
      Adding missing GObject::notify(property) method

    * TODO2
      ext/gtk+/gtkdrag.overrides:
      Allowing GtkWidget::drag_dest_find_target to omit the second parameter

    * ext/gtk+/gtk.defs:
      added drag_source_add_uri_targets drag_source_add_image_targets

    * ext/gtk+/gtkdrag.overrides:
      Reflection for drag methods

    * TODO2:
      Removing *_menu methods removes functionality as supplying NULL as menu
      widget automatically creates one. This is not done when using
      append_page()
      or such.

    * TODO2:
      GtkSelectionData is missing some important methods

    * TODO2:
      drag_dest_find_target note

    * test/bug_dnd_segfault_dump_selection.phpw:
      Another segfault, this time when var_dumping a selection

    * test/bug_dnd_segfault_end.phpw
      test/bug_dnd_segfault_get.phpw:
      Two drag and drop segfault bugs

2006-05-02  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Add GtkWidget::is_visible() method. (patch from Scott)

2006-05-01  Christian Weiske  <cweiske@cweiske.de>

    * generator/generator.php:
      GdkNativeWindow isn't used as class any more

2006-04-29  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      set_visible has reflection now

2006-04-28  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      -** empty log message ***

    * ext/gtk+/gtktreeview.overrides:
      Fix compile error.

2006-04-27  Christian Weiske  <cweiske@cweiske.de>

    * ext/libglade/libglade.overrides:
      Added reflection information

2006-04-26  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Implement a bunch of GtkTreeModel methods.

2006-04-24  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      GtkSocket/GtkPlug stuff.

    * generator/arg_types.php:
      Register GdkNativeWindow as a long.

    * TODO2:
      -** empty log message ***

    * main/php_gtk_util.c:
      Allow passing PHP NULL for objects which will result in C NULL.

    * ext/gtk+/gtk.overrides:
      Implement a bunch of get_group() and set_group() methods.

2006-04-14  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/Makefile.frag
      ext/scintilla/modifyGenerated.php
      ext/scintilla/scintilla.overrides:
      Make the extension building a little bit more smoother :)

2006-04-14  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/php_gdk.c:
      Kill two keysyms that shouldn't be there.

2006-04-10  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/scintilla.overrides:
      Fix memory leak.

    * ext/scintilla/scintilla.overrides:
      Override for GtkScintilla::get_text(). This makes basic code completion
      possible.

2006-04-09  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/scintilla.defs:
      Updated defs for GtkScintilla.
      Amazingly, this extension is now 99.7% complete :)

    * ext/scintilla/Makefile.frag
      ext/scintilla/modifyGenerated.php:
      Make the scintilla extension work again.

2006-04-08  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Add patch for GdkPixbuf::save() from Christian, with some modifications.

    * ext/gtk+/gtktreeview.overrides:
      Fix construction of GtkListStore() with 0 columns.

    * ext/gtk+/gdk.overrides:
      Add Christian's patches for new GdkPixbuf methods: get_pixel(),
      put_pixel(), and fill_area(). The last one may need some checking of
      area calculations.
      

2006-04-07  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      - Add set_column_types() method for GtkListStore and GtkTreeStore.
      - Allow constructors of those classes to take 0 arguments.

2006-04-06  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Override some GtkAboutDialog functions. (patch by Anant N)

    * ext/gtk+/gtk.overrides:
      Add GtkWidget::set_visible() method, which is not in Gtk+. (patch by
      ScottM, fixed by Andrei)

2006-04-04  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Add GtkIconView::get_selected_items() override. (patch by Christian)

2006-03-31  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+_types.c
      main/php_gtk_util.c
      main/phpg_atom.c
      main/phpg_gboxed.c
      main/phpg_gobject.c
      main/phpg_gpointer.c
      main/phpg_gtype.c:
      Destroy guards.

2006-03-31  Scott Mattocks  <scott@crisscott.com>

    * test/bug_gtkfilechooserbutton_actionselectfolder.phpw:
      Gtk+ errors on GtkFileChooserButton construction with
      Gtk::FILE_CHOOSER_ACTION_SELECT_FOLDER action.

2006-03-30  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Override GdkDrawable::draw_rgb_image() and draw_rgb_32_image().

2006-03-28  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gobject.c:
      Add $obj->gtype property.. I think we've been missing a way to get at
      the actual GType of an object.

2006-03-27  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides
      main/php_gtk.h
      main/phpg_closure.c
      main/phpg_support.c:
      Add rudimentary support for exceptions thrown inside callbacks. We just
      quit the current main loop and let PHP take it from there

    * generator/generator.php
      generator/override.php:
      -** empty log message ***

2006-03-22  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      reflection info for GtkTreeModel::get_iter()

2006-03-19  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/scintilla.defs:
      Remove the extra scintilla defs before they hurt anyone!

2006-03-19  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk-types.defs
      ext/gtk+/gdk.overrides:
      Add GdkPixbuf::get_pixels().

    * ext/gtk+/gdk.overrides:
      Implement GdkPixbuf::new_from_gd() that evidently allows creating
      pixbufs from GD images.

2006-03-18  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Add GdkPixbuf::new_from_xpm_data();

    * ext/gtk+/gdk.overrides:
      Fix TSRM stuff.

2006-03-17  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides:
      - Fix compile warning in set_cell_data_func().
      - Add some GtkUIManager overrides (patch by Tom Rogers, modified by
      Andrei)

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides:
      - GtkComboBox() constructor, GtkIconView constructor.
      * Move set_cell_data_func() into GtkCellLayout interface implementation
        so that all implementing classes get it.

2006-03-16  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_idle_add.php:
      Bug is fixed

2006-03-16  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Fix segfault in idle_add().

    * main/phpg_gboxed.c:
      Don't complain if boxed is NULL.

    * ext/gtk+/gtk.overrides:
      Add GtkCalendar::get_date().

2006-03-15  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_idle_add.php:
      Segfault demo

    * test/bug_callbackexception.php:
      Modified example

    * test/bug_callbackexception.php:
      Exception is not thrown when thrown in a callback.

2006-03-14  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Somebody forgot the arginfo

    * ext/gtk+/gtk.overrides:
      GtkFileSelection:
      - get_filename([convert])
      - get_filenames([convert])

    * ext/gtk+/gtk.overrides:
      GtkFileChooser:
      - get_filename([convert])
      - get_filenames([convert])
      - get_uris

2006-03-10  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Expose GdkGC fields

    * generator/generator.php
      generator/override.php:
      Allowing adding extra programmatic fields (properties).

2006-03-09  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides
      ext/gtk+/php_gtk+_types.c
      main/php_gtk.h:
      Implement GdkGC::set_dashes() and ::set_values().
      

2006-03-09  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      I meant to move GtkI*, not GtkFrame. Fscking clipboard

    * ext/gtk+/gtk.overrides:
      Moving GtkFrame to alphabetical order

2006-03-07  Christian Weiske  <cweiske@cweiske.de>

    * TODO2
      ext/gtk+/gdk.overrides:
      Fixing NTRVNRP method: GdkWindow::get_frame_extends and unit test

    * TODO2
      ext/gtk+/gtktextview.overrides
      ext/gtk+/gtktreeview.overrides:
      Fixed some NTRVNRP methods and added unit tests for them

2006-03-06  Anant Narayanan  <anant@kix.in>

    * ext/scintilla/scintilla.defs:
      Added some more defs to the GtkScintilla extension.

    * ext/extension_list:
      Added a list of deleted extension directories, just for the record.

    * ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/scintilla/scintilla.defs:
      Must be my lucky day! GtkScintilla also compiles now :)
      Also removed empty extension directories on Steph's request.

2006-03-06  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      I walked through all get_* methods and checked if there
      are parameters that should be return values

    * TODO2:
      that method was fixed

    * ext/gtk+/gtk.overrides
      test/bug_gtkcombobox_get_active_iter.php:
      Fixing the modified lines and mark the bug as fixed

    * ext/gtk+/gtk.overrides
      test/bug_gtkcombobox_get_active_iter.php:
      Fixing get_active_iter() to not require a parameter but return one

2006-03-04  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Hmm, I guess ALLOC_INIT_ZVAL should be used here..

    * ext/gtk+/gtk.overrides:
      Override GtkFileSelection::get_selections()

2006-03-03  Anant Narayanan  <anant@kix.in>

    * ChangeLog:
      Um, I think I supposed to update the ChangeLog. Hope I'm not doing anything
      wrong!

    * ext/scintilla/Makefile.frag
      ext/scintilla/config.m4
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/scintilla/scintilla.defs
      ext/scintilla/scintilla.overrides
      ext/scintilla/v1.scintilla.defs
      ext/scintilla/v1.scintilla.overrides:
      GtkScintilla and GtkSourceView base extension files.

2006-03-03  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      note

2006-03-03	Anant Narayanan  <anant@kix.in>
    * ext/scintilla/*: Base files for the GtkScintilla
      extension
    * ext/sourceview/*: Base files for the GtkSourceView
      extension.
	  
2006-03-02  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      ...

2006-02-24  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/php_gtk+_types.c:
      fix win32 build

2006-02-24  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+_types.c:
      Don't use int32_t.

    * ext/gtk+/gtktreeview.overrides:
      Override GtkTreeView::get_cursor() (patch by Adam Lebsack)

    * ext/gtk+/gtktextview.overrides:
      -** empty log message ***

    * ext/gtk+/gtktextview.overrides:
      Fix GtkTextBuffer::get_iter_at_mark().

2006-02-21  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+_types.c:
      Fix TSRM.

2006-02-20  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_inspector.phpw:
      inspector bug is fixed

2006-02-19  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      -** empty log message ***

    * generator/generator.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gobject.c:
      Use proper original handlers when creating custom ones.

2006-02-19  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_inspector.phpw:
      Bug test script for the strange segfault

2006-02-18  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c:
      Make GtkTreeStore and GtkListStore work like iterators (with some
      supporting classes). This allows for some cool tricks.

    * generator/generator.php
      generator/override.php:
      - Allow overriding additional object handlers.
      - Implement a way to add custom post-registration hooks.

    * main/phpg_gvalue.c:
      Support G_TYPE_INVALID in phpg_gvalue_to_zval().

2006-02-18  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      GtkNotebook todo

2006-02-14  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/arg_types.php:
      Initialize free_* variable to FALSE.

    * ext/gtk+/gtktreeview.overrides:
      Fix UTF-8 in GtkTreeViewColumn constructor.

2006-02-12  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Fix UTF-8 issues.

2006-02-11  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtkdrag.overrides:
      f...ing thread safety. and we don't even have threads.

2006-02-09  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtkdrag.overrides:
      Fix TSRM stuff.

    * generator/arg_types.php:
      Check for successful conversion from UTF-8 for return values.

    * ext/gtk+/gtktreeview.overrides
      ext/gtk+/php_gtk+_types.c:
      Adjust to the modified API.

    * main/php_gtk.h
      main/php_gtk_object.c
      main/phpg_closure.c
      main/phpg_gvalue.c
      main/phpg_support.c:
      UTF-8 conversions should now be handled automatically whenever we
      convert between GValue and zval.

    * ext/gtk+/gtktreeview.overrides:
      Revert accidental commit. set_visible_func() is not ready yet.

    * ext/gtk+/gtktreeview.overrides
      ext/gtk+/php_gtk+.c:
      Not really needed I guess. Plus, someone complained that this prevented
      debugging in Zend Studio.

2006-02-07  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/arg_types.php:
      Fix null value support for GtkTreePath.

    * ext/gtk+/gtk.defs:
      Since this is a constructor for all intents and purposes, the caller
      should own the return value.
      Gah, took me a while to find this one. I'm getting old.

2006-02-06  Andrei Zmievski  <andrei@gravitonic.com>

    * config.m4:
      Require PHP 5.1.1

2006-02-05  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      -** empty log message ***

2006-02-05  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_pixbuf-demo.php:
      Moved pixbufsegfaultdemo to test/ dir

    * ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides
      ext/gtk+/gtktreeview.overrides:
      Committing my GList overrides I sent on 2006-01-27 to the list

    * ext/gtk+/gtk.overrides:
      Merged GtkListItem() and GtkListItem::new_with_label()

    * ext/gtk+/gdk.overrides:
      Ported pixbufdemo from c sources to php-gtk.
      Unfortunately, php segfaults when trying to execute it.
      It does not segfault when disabling the draw_rgb_image_dithalign
      method in line #72, e.g. by adding a (false &&) to line #71
      
      Andrei, could you have a look into it or tell me how to debug correctly
      - I compiled php and php-gtk2 with debugging support, but a
      "gdb php pixbuf-demo.php" gives me the message that it's not a core dump
      and can't be read (file format not recognized)

2006-02-04  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/Makefile.frag
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkdrag.overrides:
      Implement a bunch of drag-n-drop methods.

    * generator/generator.php:
      Kill warning.

    * generator/generator.php:
      Gah, this was very, very nasty and took me an hour to figure out why
      breakpoints set for phpg_gdk_register_constant() were ending up in
      gdk.overrides. There needs to be a lot more work/thinking done if we
      want arginfo to have proper #line's.

    * ext/gtk+/gdk-types.defs
      ext/gtk+/php_gtk+.h:
      Supposed to be COLORSPACE_RGB not COLOR_SPACE_RGB.

2006-02-03  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/config.m4
      ext/gtk+/php_gdk.c
      ext/gtk+/php_gtk+.c:
      Register keysyms under Gdk:: class. Having them as class constants also
      means that they are case-sensitive and that we don't need the stupid
      doubule underscore trick anymore.

2006-02-01  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Fixing bug #36238:
      GtkColorButton wasn't phpish

2006-01-27  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides:
      Fixing the things Tom Rogers found

2006-01-24  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Do codepage conversion.

2006-01-20  Steph Fox  <steph.fox@virgin.net>

    * (PHP_GTK_1)
      ext/spaned/config.m4:
      fix spaned build on *nix-based systems

2006-01-19  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtktreeview.overrides:
      Parameter reflection for insert/insert_before/insert_after

2006-01-19  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides:
      overrides for GtkTreeStore insert()/insert_before()/insert_after().
      (Christian, Andrei)

2006-01-18  Christian Weiske  <cweiske@cweiske.de>

    * (RELEASE_1_0_4)
      ext/gtk+/gtk.overrides:
      GtkButton::get_alignment()
      GtkFrame::get_label_align()
      GtkScrolledWindow::get_policy()
      GtkSpinButton::get_range()
      GtkSpinButton::get_increments()
      GtkMisc::get_alignment()
      Gtk::rc_get_default_files()
      GtkRuler::get_range()
      GtkWidget::get_child_requisition()
      
      Reflection parameter info fix for GtkFileChooserDialog __construct

2006-01-15  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides:
      Some simple event overrides:
      GdkEvent::get_state
      GdkEvent::get_root_coords
      GdkEvent::get_coords
      GdkEvent::get_axis

    * ext/gtk+/gtk.overrides:
      Taking back the performance enhancements of GtkDialog constructor
      and GtkDialog::add_buttons, because that doesn't work on Steph's
      windows box

2006-01-15  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/generator.php:
      If override does not specify flags, base the flags on whether the method
      is static or not.

2006-01-14  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/gtktextview.overrides
      ext/gtk+/gtktreeview.overrides:
      GtkDialog::__construct()
      GtkDialog::add_buttons()
      Gtk::icon_size_lookup_for_settings()
      GtkEditable::insert_text()
      GtkTextView::get_line_yrange()
      GtkTextView::get_iter_at_position()
      GtkTextView::get_line_at_y()
      GtkTreeViewColumn::cell_get_size()
      GdkWindow::get_geometry()
      GdkWindow::get_position()
      GdkWindow::get_origin()
      GdkWindow::get_root_origin()
      GdkWindow::at_pointer() (previously Gdk::window_at_pointer())
      GdkDisplay::window_at_pointer()

2006-01-14  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.defs:
      Adjust gdk_window_at_pointer() defs.

    * ext/gtk+/gdk.defs:
      GdkWindow::at_pointer() is a static method.

    * ext/gtk+/gtk.overrides:
      NULL at the end

2006-01-14  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Reflection information for Andrei's GtkEntry constructor

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktextview.overrides
      ext/gtk+/gtktreeview.overrides:
      GtkEditable::get_selection_bounds()
      GtkWidget::get_size_request()
      GtkMisc::get_padding()
      GtkEntry::get_layout_offsets()
      GtkTreeView::tree_to_widget_coords()
      GtkTreeView::widget_to_tree_coords()
      GtkTextView::window_to_buffer_coords()
      GtkTextView::buffer_to_window_coords()
      GtkLayout::get_size()
      GtkScale::get_layout_offsets()
      GtkWidget::translate_coordinates()
      GtkTreeViewColumn::cell_get_position()

2006-01-14  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gvalue.c:
      Respect G_TYPE_INVALID/G_TYPE_NONE in phpg_gvalue_from_zval().

    * ext/gtk+/gtk.overrides:
      - Implement GtkEntry() constructor that allows setting initial text and
        max length
      - Fix potential bugs where free_text was not initialized for optional
        text parameters

2006-01-13  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gtk.overrides:
      Overrides for methods:
      GtkWindow::get_frame_dimensions
      GtkWidget::get_pointer
      GtkButtonBox::get_child_size
      GtkButtonBox::get_child_ipadding
      GtkCList::get_selection_info
      GtkAlignment::get_padding

    * ext/gtk+/gtk.overrides:
      Implement GtkWindow::get_default_size

    * test/bug_gtkentry_activate.phpw:
      Bug script I sent to php-gtk-dev

2006-01-12  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      -** empty log message ***

    * ext/gtk+/php_gtk+_types.c:
      Use a dummy destructor for StyleHelper object to avoid crashes in ZE2.

2006-01-08  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      Implement GtkWindow::get_size() and GtkWindow::get_position().
      Both take 0 arguments and return an array.

2006-01-05  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Implement Gtk::io_add_watch() and Gtk::io_add_watch_priority(). These
      should work with any stream that can be cast to a file descriptor
      (files, pipes, sockets, and maybe something else).
      

2005-12-27  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides:
      Was a bit too strict

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides:
      Added and fixed some reflection information

    * test/bug_gtkliststore_insert_before.phpw
      test/bug_gtktreeiter.phpw
      test/bug_gtktreemodel_filter_new.phpw
      test/bug_gtktreemodel_iter_nth_child.phpw:
      The bug tests requested by Steph

2005-12-16  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Expose "xid" property on Win32.

2005-12-12  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h
      win32/config.w32.in:
      Fix Win32 compilation errors.

2005-12-08  Steph Fox  <steph.fox@virgin.net>

    * TODO2:
      Add a couple of items to the TODO

2005-11-22  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gvalue.c:
      Fixed a bug where the values for G_TYPE_PHP_VALUE columns were overly
      restricted.

2005-11-19  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides
      main/phpg_atom.c:
      - Implement atom object comparison and string casting.
      - Override Gdk::atom_intern() to return objects

    * main/php_gtk.c:
      register GdkAtom class entry

    * TODO2
      config.m4
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+_types.c
      generator/arg_types.php
      main/php_gtk.h
      main/phpg_atom.c:
      Implement GdkAtom support.

    * ext/gtk+/Makefile.frag
      ext/libglade/Makefile.frag:
      Remove the build requirement that all generated files should be
      generated before compilation (since it requres regenerating all of them
      even if only one changes).

    * main/phpg_support.c:
      Adjust for the latest changes in PHP regarding __get/__set handlers.

2005-11-05  Steph Fox  <steph.fox@virgin.net>

    * ext/libglade/libglade.overrides:
      Eliminate need for tag

    * ext/libglade/libglade.overrides:
      Fix crash.

2005-11-05  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/libglade/libglade.overrides:
      - Re-implement GladeXML::signal_autoconnect() (too many changes)
      * Add GladeXML::signal_autoconnect_instance()
      * Adjust GladeXML::signal_connect() to use 'replace' type connection
        when appropriate

    * main/phpg_closure.c:
      Initialize structure member to NULL if no replacement object is provided.

    * main/php_gtk.h
      main/phpg_closure.c
      main/phpg_gobject.c:
      Extend closures with 'replace' type of connection that allows one to
      substitute a different object (any PHP value really) in place of the one
      that emitted the signal.

    * generator/generator.php:
      Generate extra class methods added in overrides.

    * ext/gtk+/gtktreeview.overrides:
      Make GtkTreeModel::iter_next() return the next iterator _without_
      changing the input one.

2005-11-02  Steph Fox  <steph.fox@virgin.net>

    * TODO2:
      Bring TODO up to date

    * ext/gtk+/gtktreeview.overrides:
      GtkCellRenderer::get_fixed_size() and GtkTreeModel::iter_next()

    * ext/libglade/libglade.overrides:
      Kill a few leaks.

    * ext/gtk+/gtk.overrides:
      Stem leaks in GtkMenu::popup()

    * main/php_gtk.h
      main/phpg_closure.c:
      Export the means of destroying callback data structures.

2005-11-01  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.c
      main/php_gtk.h
      main/phpg_support.c:
      Fix a few memory leaks by implementing a get_property_ptr_ptr handler
      that cleverly fails when necessary.

2005-10-31  Steph Fox  <steph.fox@virgin.net>

    * win32/buildconf.js
      win32/config.w32.in
      win32/confutils.js:
      Debug support #2

    * ext/gtk+/config.w32:
      Debug support #1

2005-10-30  Steph Fox  <steph.fox@virgin.net>

    * ext/gtk+/gtktreeview.overrides:
      Kill unreferenced variable.

2005-10-30  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      TODO2:
      -** empty log message ***

2005-10-29  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_support.c:
      Fix a nasty and convoluted crash bug that occurs when we have to create
      an internal class for a GType at runtime *and* there are any userspace
      classes declared.

2005-10-29  Steph Fox  <steph.fox@virgin.net>

    * win32/php.ini:
      Let's have both versions.  There are going to be so many queries about
      this...

    * win32/php.ini:
      Make extension loading more clear.
      A lot of people are going to be confused about what happened to SQLite in
      PHP 5.1...

2005-10-29  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_support.c:
      Fix a nasty and convoluted crash bug that occurs when we have to create
      an internal class for a GType at runtime *and* there are any userspace
      classes declared.

2005-10-29  Steph Fox  <steph.fox@virgin.net>

    * win32/php.ini:
      Let's have both versions.  There are going to be so many queries about
      this...

    * win32/php.ini:
      Make extension loading more clear.
      A lot of people are going to be confused about what happened to SQLite in
      PHP 5.1...

2005-10-28  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+_types.c:
      Check for gdkpixmap_ce in STYLE_PIXMAP_ARRAY case

2005-10-28  Steph Fox  <steph.fox@virgin.net>

    * ext/libglade/libglade.overrides:
      Missed a  NOT_STATIC_METHOD();

2005-10-28  Andrei Zmievski  <andrei@gravitonic.com>

    * CODING_STANDARDS:
      Might as well enforce the standards on the file itself.

2005-10-27  Steph Fox  <steph.fox@virgin.net>

    * TODO2:
      Missed a couple of genuine 'missing items'

    * TODO2:
      Cleaned up the TODO
      Threw out class/function 'not a bug' items
      Sorted classes and put log reports for each by them so we can see what
      _really_ needs doing at a glance
      *Note* the build log I used for this includes my GtkTreePath-as-boxed
      patch, which kills a lot of problems.

    * CODING_STANDARDS:
      Write 'PHP-GTK 2' in stone.

    * CODING_STANDARDS:
      Hopefully this is the final change.

2005-10-26  Steph Fox  <steph.fox@virgin.net>

    * CODING_STANDARDS:
      Clarification

    * CODING_STANDARDS:
      'Naming conventions' should be where the intro says.

    * CODING_STANDARDS:
      Initial commit of coding standards file.

    * ext/libglade/libglade.overrides:
      i18n is a Good Thing

2005-10-25  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_glade_signal_autoconnect.phpw:
      Added FIXED notice and fixed the passed parameters

2005-10-25  Steph Fox  <steph.fox@virgin.net>

    * ext/libglade/libglade.overrides:
      Peace offering for Christian
      (GladeXML::new_from_buffer())

    * ext/libglade/libglade.overrides:
      I should never have taken this out of ignore...

2005-10-25  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_glade_signal_autoconnect.phpw:
      Test script for gladexml::signal_autoconnect($obj)

2005-10-25  Steph Fox  <steph.fox@virgin.net>

    * ext/libglade/libglade.overrides:
      Rudimentary support for static GTK/GDK calls.
      This will probably get a hefty rethink after some sleep.

    * ext/libglade/libglade.overrides:
      Support signal_autoconnect() call from within a PHP class

2005-10-24  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      Added missing methods in GtkAboutDialog

2005-10-22  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      GtkIconView missing function

2005-10-21  Steph  <steph.fox@virgin.net>

    * ext/libglade/libglade.overrides:
      Remove new_from_buffer from the 'ignore' list so we can test the raw
      version

    * generator/generator.php:
      Guess this was the first time the generator had to cope with having nothing
      to generate...

    * main/php_gtk.h
      main/php_gtk_util.c:
      Export a couple of handy utility functions
      (Nicer way to shift hash members than php_array_merge)

    * ext/libglade/libglade.overrides:
      ext/libglade is now as complete as it's likely to get - please test

2005-10-20  Steph  <steph.fox@virgin.net>

    * ext/libglade/libglade.overrides:
      First draft for $glade->signal_connect()
      Note: passed object (as in 'connect_object' set via Glade) is not
      honoured.

2005-10-20  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_gtkdialog_title.phpw
      test/bug_gtkliststore_insert_with_array.php:
      Added the files and the rev numbers of the fix

    * test/bug_gtknotebook_switchpage.phpw:
      Bug fixed

    * test/bug_gtkiconview_toggle-cursor-item.phpw:
      Don't use deprecated things when trying to find bugs
      Bug still exists

    * test/bug_gtkliststore_insert_with_array.php:
      Bug has been fixed by Andrei

    * test/bug_gtkdialog_title.phpw:
      Bug has been fixed by steph

2005-10-19  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      - Fix crash in GtkListStore::insert();
      - Add GtkListStore::prepend() (patch by Scott Mattocks)

2005-10-19  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      Title was being free'd too early

2005-10-19  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_gtkdialog_title.phpw:
      Minimized the script

    * test/bug_gtkdialog_title.phpw:
      Weird title characters bug test script

2005-10-17  Steph  <steph.fox@virgin.net>

    * ext/libglade/libglade.defs
      ext/libglade/libglade.overrides:
      - get_widget_prefix()
      - expose GladeXML->filename property

    * ext/libglade/libglade.overrides:
      (char *) NULL != (const char*) NULL
      Problem solved.

    * ext/libglade/libglade.overrides:
      Still no answer to the 'root-free' problem, just tidying it up a little.

2005-10-16  Steph  <steph.fox@virgin.net>

    * ext/libglade/libglade.overrides:
      Make libglade constructor work out of the box in most cases.

    * ext/gtk+/gtk.overrides:
      win32 extensions are go (again)

2005-10-15  Scott Mattocks  <scott@crisscott.com>

    * test/bug_gtkliststore_insert_with_array.php:
      Bug with GtkListStore::insert()

2005-10-14  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h
      main/phpg_closure.c
      main/phpg_gobject.c:
      - Implement connect_simple()
      - Deprecate connect_object()

2005-10-13  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Add override for GtkListStore::insert() (based on patch from Scott M)

2005-10-12  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/Makefile.frag:
      Re-order gen sources.

2005-10-12  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/gtk+/Makefile.frag
      ext/libglade/Makefile.frag
      ext/skeleton/Makefile.frag:
      - Make sure generated files are generated before any of them are compiled.

2005-10-11  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      Broke unix builds.  Reverting.

    * ext/gtk+/gtktreeview.overrides:
      Typo fix
      get_iter() should work now at least.

    * TODO2:
      Adding Scott's list to TODO

    * generator/override.php:
      Minor fix for those pesky line ending tribbles

    * ext/libglade/config.w32:
      Make it possible to build more than 1 extension

    * ext/gtk+/gtk.overrides:
      Fix build for extensions.
      This _shouldn't_ break anything on *nix systems, but I'll revert if it
      does.

2005-10-11  Scott Mattocks  <scott@crisscott.com>

    * test/bug_gtktextbuffer_move_mark_by_name_selection_bound.php
      test/bug_gtktexttagtable_lookup_foreach.php:
      Bugs related to GtkTextBuffer and GtkTextTagTable.

2005-10-10  Andrei Zmievski  <andrei@gravitonic.com>

    * build2/build2.mk:
      Re-generate configure when config.m4 changes.

    * config.m4:
      Update php_gtk_ext.c during configuration, not during build.

2005-10-09  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/libglade/Makefile.frag
      ext/libglade/php_libglade.h:
      - Don't include gen_libglade.h from php_libglade.h
      - Adjust make files to remove extra gen_ prefix

2005-10-06  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/libglade/libglade.overrides
      generator/generator.php:
      Gah double.

    * ext/gtk+/config.m4
      ext/gtk+/php_gtk+.h:
      Gah!

2005-10-06  Steph  <steph.fox@virgin.net>

    * TODO2:
      set_ellipsize() _does_ work on win32 now...

    * win32/buildconf.js:
      27 new functions/methods for win32.
      * next time read what it says on the tin *

    * TODO2:
      It seems GtkLabel::set_ellipsize() works under *nix.  Oddly.

    * ext/gtk+/php_gtk+_types.c:
      Kill compiler warnings

2005-10-06  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/config.m4
      ext/gtk+/php_gtk+.h
      ext/libglade/Makefile.frag
      generator/generator.php
      main/php_gtk_api.h:
      I believe this should resolve the circular include problem.

2005-10-05  Steph  <steph.fox@virgin.net>

    * TODO2:
      Make a note about overriding GtkLabel::set_width_chars()

2005-10-04  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/config.m4:
      Generated files come first.

    * ext/gtk+/config.m4:
      Fix the compilation order, so that gen_gtk.c is compiled (and hence
      generated first).

2005-10-02  Steph  <steph.fox@virgin.net>

    * ext/libglade/config.w32
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h:
      libglade:: is now glade:: as per request from Andrei

2005-10-02  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/Makefile.frag:
      Adjust paths to common defs.

    * ext/gtk+/gdk.overrides
      ext/gtk+/php_gtk+_types.c:
      - Silence StyleHelper get_properties handler.
      - Finalize GdkEvent read_property handler (until GdkAtom support is
        implemented)

2005-10-02  Steph  <steph.fox@virgin.net>

    * main/phpg_gpointer.c:
      Revoke my CVS account if I'm wrong here...

    * win32/config.w32.in:
      Add phpg_gpointer.c to the win32 build

2005-10-02  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/atk.defs
      ext/gtk+/config.m4:
      - Require ATK 1.9.0.
      - Add AtkRelationSet::add_relation_by_type().

2005-10-01  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Restore xid warning.

    * main/phpg_gpointer.c:
      Forgot to commit phpg_gpointer.c

    * config.m4
      main/php_gtk.c
      main/php_gtk.h
      main/phpg_gboxed.c
      main/phpg_gvalue.c:
      Implement basic G_TYPE_POINTER support.

    * TODO2
      ext/gtk+/gtktreeview.overrides:
      Implement GtkTreeModel::foreach()

    * TODO2:
      -** empty log message ***

    * ext/gtk+/gtktreeview.overrides:
      Implement GtkTreeView::get_path_at_pos(). Untested.

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.h
      test/bug_gtknotebook_switchpage.phpw:
      - Include gen_gtk.h in  php_gtk+.h
      - Implement GtkCombo::set_popdown_strings() and GdkWindow::get_pointer()
        (patch by Steph)

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktextview.overrides
      main/php_gtk_util.c:
      - Add '#' modifier to 'u' specifier so that the utf8 length can be
        obtained.
      - Make GtkTextBuffer::set_text() work. Note that PHP-GTK version has
        only one parameter: text itself.
      - Make GtkTextView constructor be generated.

2005-10-01  Steph  <steph.fox@virgin.net>

    * win32/confutils.js:
      Bit of a tidy-up.

2005-09-28  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gdk.overrides:
      Return NULL in unhandled cases.  It's probably better not to return objects
      out of thin air...

2005-09-27  Steph  <steph.fox@virgin.net>

    * TODO2:
      Lest we forget.

    * ext/gtk+/gdk-types.defs:
      We're behind the times.  Adding GDK_OWNER_CHANGE

    * ext/gtk+/gdk.overrides:
      Handle the rest of the event types.
      Note: GdkAtom, GdkRegion, GdkNativeWindow and GdkDragContext aren't real
      types at present.  Marked.

2005-09-24  Steph  <steph.fox@virgin.net>

    * win32/confutils.js:
      - oops, that was a bit OTT

    * win32/confutils.js:
      There doesn't seem to be a way of picking up commandline arguments within
      NMAKE.
      This is the next best thing.

    * win32/config.w32.in:
      bad wording

    * TODO2:
      Cleaning up TODO as agreed.
      - Most of the items marked 'in progress' are sitting around as patches at
      present...

    * win32/buildconf.js
      win32/confutils.js:
      ws fixes

    * ext/libglade/config.w32:
      Allow ext/libglade to be configured on the --all switch

    * win32/buildconf.js
      win32/config.w32.in
      win32/confutils.js:
      - Tom's patch to allow individual extension builds, plus
      - general clean-up
      - new configure switch, --all
      - extension config.w32 scripts need to check for PHP_GTK_ALL to be
      included

2005-09-23  Steph  <steph.fox@virgin.net>

    * main/phpg_support.c:
      Export phpg_handle_gerror() part II

    * main/php_gtk.h:
      Export phpg_handle_gerror()

    * main/php_gtk_ext.w32.c:
      Allow extension to register.

    * ext/libglade/libglade.overrides
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h:
      Still need two minor changes in the core to make this build work.

    * win32/confutils.js:
      Missing flag.  Amongst other things.

2005-09-22  Steph  <steph.fox@virgin.net>

    * win32/confutils.js:
      More extension support changes.
      No need for dependency support here...

    * ext/libglade/config.w32
      ext/libglade/libglade.defs
      ext/libglade/libglade.overrides
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h:
      libglade's _almost_ compiling - some export problems still.

2005-09-21  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtktextview.overrides:
      Kill C++ compiler warning

    * ext/libglade/config.w32
      ext/libglade/libglade.defs:
      oops - this generates nicer files

    * ext/libglade/config.w32
      ext/libglade/libglade.defs
      ext/libglade/libglade.overrides
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h
      ext/libglade/v1.libglade.overrides:
      Module isn't registered, so this has no way to work at present.
      (config.m4 probably needs updating when it does work, there've been some
      function changes since 2.4)

    * ext/gtk+/gtk.overrides:
      Include textview overrides

    * win32/config.w32.in
      win32/confutils.js:
      Initial extension support.
      Half this patch came from Tom Rogers.  We're having a race :)

2005-09-20  Steph  <steph.fox@virgin.net>

    * win32/config.w32.in
      win32/confutils.js:
      dos -> nix line endings

2005-09-15  Steph  <steph.fox@virgin.net>

    * win32/php.ini:
      Prettifying our .ini file.  It makes sense to distribute a php.ini that
      people can actually use.

2005-09-14  Steph  <steph.fox@virgin.net>

    * TODO2:
      Two more items down (only 30 to go)

    * ext/gtk+/gtk.overrides:
      utf8 conversion for user input in existing gtk.overrides

    * ext/gtk+/gtk.overrides:
      Typos.

    * main/php_gtk_util.c:
      Fix the fix.

2005-09-13  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      GtkMenu::popup()

2005-09-13  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c:
      Bonehead.

2005-09-13  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      say hello to gtk::get_version()

    * ext/gtk+/gtk.defs:
      say goodbye to the last win32 compile warning

    * main/.cvsignore
      main/php_gtk.h:
      tag PHP-GTK version
      add new generated file to .cvsignore

    * win32/buildconf.js
      win32/config.w32.in
      win32/confutils.js
      win32/template.rc:
      clean up .dll versioning
      add a configure check for php.exe

2005-09-13  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c:
      Fix memory calculation bug.

2005-09-12  Jani Taskinen  <jani.taskinen@sci.fi>

    * build2/build.mk:
      - Fixed buildconf. (phpize creates these)

2005-09-12  Steph  <steph.fox@virgin.net>

    * generator/arg_types.php:
      Kill ~30 compilation errors under MSVC++6.0
      Patch from Tom Rogers <trogers@kwikin.com>

    * TODO2:
      Bring TODO up to date.

2005-09-11  Steph  <steph.fox@virgin.net>

    * win32/confutils.js:
      Hopefully this will work in every case now (thanks Tom)

    * TODO2:
      Moving along to gtk::get_version() (assuming this is what Andrei intended?)
      Patch to follow

2005-09-09  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      -** empty log message ***

    * ext/gtk+/gdk.overrides:
      Kill warning.

2005-09-09  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      Make buttons and menu items use_underline by default.
      GtkLabel should _not_ be updated in the same way.

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides:
      Removed unused arg infos

    * TODO2:
      Note my current obsession.

    * ext/gtk+/gtk.overrides:
      Expose gtk_get_current_event() and gtk_get_event_widget($event).
      Both are useful for event/signal checking.

2005-09-08  Steph  <steph.fox@virgin.net>

    * win32/confutils.js:
      More descriptive function name
      
      *moral - don't commit at 4am

    * win32/confutils.js:
      Let's make the gen_ stuff foolproof...

    * win32/confutils.js:
      buildconf -> configure -> get coffee -> nmake
      is now
      buildconf -> configure -> nmake

    * win32/README.win32.txt:
      Fix cvs checkout line.  Thanks to Tom Rogers for noticing.

2005-09-07  Steph  <steph.fox@virgin.net>

    * TODO2:
      Remove two items from TODO:
      
      1. There is no gtk_label_get_pattern() in the GTK 2 source to wrap (don't
      shoot the messenger!)
      2. The reported bug stems from a user-side coding error

    * ext/gtk+/config.w32
      win32/README.win32.txt
      win32/config.w32.in:
      Clean up include paths, alter instructions to reflect changes.  Give
      config.w32 dos line-endings.

2005-09-06  Steph  <steph.fox@virgin.net>

    * win32/README.win32.txt:
      Typo

2005-09-05  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtktreeview.overrides:
      Typo

2005-09-04  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gtk.overrides:
      GtkColorSelection::get_current_color(),
      GtkColorSelection::get_previous_color()
      
      Based on a patch by Tom Rogers <trogers@kwikin.com>

    * ext/gtk+/config.w32
      generator/generator.php
      generator/lineoutput.php
      generator/override.php
      win32/README.win32.txt
      win32/config.w32.in
      win32/confutils.js:
      The win32 build system should now work out of the box.  Instructions
      attached.

2005-09-03  Steph  <steph.fox@virgin.net>

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides
      generator/arg_types.php
      generator/generator.php
      generator/lineoutput.php
      generator/override.php
      win32/buildconf.js:
      Generator fixes for win32

    * win32/.cvsignore:
      ignore the win32 logging directory

2005-09-03  Jani Taskinen  <jani.taskinen@sci.fi>

    * config.m4
      php_gtk.m4
      build2/build.mk
      build2/build2.mk
      build2/config-stubs
      ext/gtk+/config.m4
      ext/gtk+/config0.m4:
      - Merged ext/gtk+/config0.m4 and php_gtk.m4
      - Moved all calls of macros and such from php_gtk.m4 to config.m4
        and ext/gtk+/config.m4 files
      - Nuked unnecessary creation of ext.m4
      - Bye bye aclocal: aclocal.m4 is generated "manually" by concatenating
        acinclude.m4, build/libtool.m4 and php_gtk.m4

    * ext/gtk+/Makefile.frag
      ext/libglade/Makefile.frag
      ext/skeleton/Makefile.frag
      main/Makefile.frag:
      Generated files must always be referred to via builddir

    * ext/libglade/config.m4:
      Style cleanup (no operational changes)

    * Makefile.in
      ext/Makefile.in
      ext/gtk+/Makefile.in
      ext/libglade/Makefile.in
      ext/skeleton/Makefile.in:
      Nuked unused files

    * .cvsignore
      main/.cvsignore:
      missing entry

2005-09-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * .cvsignore:
      missing entry

2005-09-02  Steph  <steph.fox@virgin.net>

    * buildconf.bat:
      Forgot the buildconf.bat :)
      
      Please don't correct the DOS endings - earlier versions of Windows need
      them.

    * win32/php.ini:
      Get rid of unusable parts of php.ini

    * win32/buildconf.js
      win32/config.w32.in
      win32/confutils.js
      win32/template.rc:
      Initial commit of new win32 build system

    * win32/.cvsignore:
      add temp file to .cvsignore

    * ext/gtk+/config.w32:
      Slightly unconventional config.w32 file, but working.

    * ext/gtk+/php_gtk+_types.c:
      uint > int

    * .cvsignore:
      Add generated files/dirs and .lnk to .cvsignore

    * main/phpg_exceptions.c:
      Use exported exception function

    * main/php_gtk_ext.w32.c:
      don't register extensions we can't use yet

    * ext/gtk+/php_gtk+_types.c
      main/php_gtk_util.c
      main/phpg_gobject.c
      main/phpg_gtype.c
      main/phpg_gvalue.c
      main/phpg_support.c:
      ZTS fixes

2005-09-01  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      Fix ZTS.

2005-08-31  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk-types.defs:
      Fix trimmed defs.

    * ext/gtk+/gdk-types.defs:
      Don't define GdkColorSpace enum twice.

    * ext/gtk+/gtktreeview.overrides:
      Fix ZTS.

2005-08-25  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Implement property acces for a few more event types.

    * ext/gtk+/gtk.overrides:
      Implement GtkAdjustment() and GtkProgressBar() constructors.

    * main/phpg_gvalue.c:
      Fix a case where a G_TYPE_DOUBLE property was set incorrectly.

    * ext/gtk+/gtktreeview.overrides:
      Implemented GtkTreeSelection::get_selected_rows().

2005-08-21  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+_types.c
      main/php_gtk.c:
      Remove ZEND_API from a couple of funcs.

2005-08-02  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php
      generator/docgen_enum.php:
      Enumeration generator for php-gtk2

2005-08-01  Christian Weiske  <cweiske@cweiske.de>

    * generator/templates.php:
      Telling Zend engine that NULL values are allowed

2005-07-31  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/pango.overrides:
      I promise to compile before committing in the future *duck*

    * ext/gtk+/gtktextview.overrides
      ext/gtk+/gtktreeview.overrides
      ext/gtk+/pango.overrides:
      Rest of arginfos for override files

    * ext/gtk+/gtk.overrides:
      The slave wrote arginfos for all overriden functions :)
      I noted that gtk_file_chooser_dialog_new_with_backend and
      gtk_dialog_new_with_buttons aren't created? Andrei?

    * generator/generator.php:
      Arginfos for "add"ed methods and a fix for not-linked arginfos for
      overrridden methods

    * ext/gtk+/gdk.overrides
      generator/generator.php:
      Small gdk arginfo fix and generator fixes for problematic gdk classes

    * ext/gtk+/gdk.overrides:
      Arginfos for all overridden gdk methods

    * ext/gtk+/gdk.overrides
      generator/generator.php
      generator/override.php:
      Constructors can have arginfo overrides now

2005-07-31  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      -** empty log message ***

    * ext/gtk+/php_gtk+_types.c:
      Fix StyleHelper so that it does not crash var_dump().

2005-07-30  Christian Weiske  <cweiske@cweiske.de>

    * ext/gtk+/gdk.overrides
      generator/generator.php
      generator/override.php:
      Changed the add-arginfo override to Andrei's wish:
      
      %%
      add-arginfo GdkColor parse
      static
      ZEND_BEGIN_ARG_INFO(ARGINFO_NAME, 0)
          ZEND_ARG_INFO(0, color)
      ZEND_END_ARG_INFO();

    * ext/gtk+/gdk.overrides
      generator/generator.php
      generator/override.php:
      Modified arginfo override notation so that one just has to write:
      
      %%
      add-arginfo gdk_color_parse
      static
      ZEND_BEGIN_ARG_INFO(ARGINFO_NAME, 0)
          ZEND_ARG_INFO(0, color)
      ZEND_END_ARG_INFO();

2005-07-30  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/Makefile.frag
      ext/gtk+/gdk.overrides
      ext/gtk+/gtktextview.overrides
      ext/gtk+/gtktreeview.overrides
      ext/libglade/config.m4
      generator/arg_types.php
      main/phpg_gobject.c:
      - Fixed a bug in generator that result in event args not being aast
      properly.
      * Implemented GdkPixbuf::render_pixmap_and_mask();
      * Implemented a bunch of GtkTextBuffer iterator methods.
      * Implemented GtkTreeModel::get_iter().
      * Modified libglade's build config to use pkg-config

2005-07-30  Christian Weiske  <cweiske@cweiske.de>

    * generator/generator.php:
      Removed debugging var_dump

    * ext/gtk+/gdk.overrides
      generator/generator.php
      generator/override.php:
      Overridden functions don't get an arginfo by default now.
      Instead, it is possible to define your own arginfo in
      the override file, e.g.
      
      %%
      add-arginfo arginfo_gdk_gdkcolor_color_parse
      static
      ZEND_BEGIN_ARG_INFO(arginfo_gdk_gdkcolor_color_parse, 0)
          ZEND_ARG_INFO(0, color)
      ZEND_END_ARG_INFO();
      
      which will be associated with the overridden function.
      Parameter reflection is enabled now.

2005-07-30  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/canvas/.cvsignore:
      -** empty log message ***

    * ext/canvas/Makefile.frag
      ext/canvas/Makefile.in
      ext/canvas/canvas.defs
      ext/canvas/canvas.overrides
      ext/canvas/canvas.php
      ext/canvas/config.m4
      ext/canvas/php_canvas.c
      ext/canvas/php_canvas.h
      ext/combobutton/.cvsignore
      ext/combobutton/Makefile.frag
      ext/combobutton/Makefile.in
      ext/combobutton/README
      ext/combobutton/combobutton.defs
      ext/combobutton/combobutton.dsp
      ext/combobutton/combobutton.overrides
      ext/combobutton/config.m4
      ext/combobutton/gtkcombobutton.c
      ext/combobutton/gtkcombobutton.h
      ext/combobutton/php_combobutton.c
      ext/combobutton/php_combobutton.h
      ext/extra/.cvsignore
      ext/extra/Makefile.frag
      ext/extra/Makefile.in
      ext/extra/config.m4
      ext/extra/extra.defs
      ext/extra/extra.dsp
      ext/extra/extra.overrides
      ext/extra/php_extra.c
      ext/extra/php_extra.h
      ext/extra/plot.php
      ext/extra/sheet.php
      ext/gdkpixbuf/.cvsignore
      ext/gdkpixbuf/Makefile.frag
      ext/gdkpixbuf/Makefile.in
      ext/gdkpixbuf/config.m4
      ext/gdkpixbuf/gdk-pixbuf.php
      ext/gdkpixbuf/gdkpixbuf.defs
      ext/gdkpixbuf/gdkpixbuf.dsp
      ext/gdkpixbuf/gdkpixbuf.overrides
      ext/gdkpixbuf/php_gdkpixbuf.c
      ext/gdkpixbuf/php_gdkpixbuf.h
      ext/gtkhtml/.cvsignore
      ext/gtkhtml/Makefile.frag
      ext/gtkhtml/Makefile.in
      ext/gtkhtml/config.m4
      ext/gtkhtml/gtkhtml.defs
      ext/gtkhtml/gtkhtml.overrides
      ext/gtkhtml/gtkhtml.php
      ext/gtkhtml/php_gtkhtml.c
      ext/gtkhtml/php_gtkhtml.h
      ext/imlib/Makefile.frag
      ext/imlib/Makefile.in
      ext/imlib/arg_types.php
      ext/imlib/config.m4
      ext/imlib/imlib.defs
      ext/imlib/imlib.overrides
      ext/imlib/php_imlib.c
      ext/imlib/php_imlib.h
      ext/piemenu/.cvsignore
      ext/piemenu/Makefile.frag
      ext/piemenu/Makefile.in
      ext/piemenu/README
      ext/piemenu/config.m4
      ext/piemenu/gdkaddons.c
      ext/piemenu/gdkaddons.h
      ext/piemenu/gtkaddons.c
      ext/piemenu/gtkaddons.h
      ext/piemenu/gtkpiemenu.c
      ext/piemenu/gtkpiemenu.h
      ext/piemenu/php_piemenu.c
      ext/piemenu/php_piemenu.h
      ext/piemenu/piemenu.defs
      ext/piemenu/piemenu.overrides
      ext/scintilla/.cvsignore
      ext/scintilla/Makefile.frag
      ext/scintilla/Makefile.in
      ext/scintilla/config.m4
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/scintilla/scintilla.defs
      ext/scintilla/scintilla.dsp
      ext/scintilla/scintilla.overrides
      ext/scrollpane/.cvsignore
      ext/scrollpane/Makefile.frag
      ext/scrollpane/Makefile.in
      ext/scrollpane/README
      ext/scrollpane/config.m4
      ext/scrollpane/gtkscrollpane.c
      ext/scrollpane/gtkscrollpane.h
      ext/scrollpane/php_scrollpane.c
      ext/scrollpane/php_scrollpane.h
      ext/scrollpane/scrollpane.defs
      ext/scrollpane/scrollpane.dsp
      ext/scrollpane/scrollpane.overrides
      ext/spaned/.cvsignore
      ext/spaned/Makefile.frag
      ext/spaned/Makefile.in
      ext/spaned/README
      ext/spaned/config.m4
      ext/spaned/gtkshpaned.c
      ext/spaned/gtkshpaned.h
      ext/spaned/gtkspaned.c
      ext/spaned/gtkspaned.h
      ext/spaned/gtksvpaned.c
      ext/spaned/gtksvpaned.h
      ext/spaned/php_spaned.c
      ext/spaned/php_spaned.h
      ext/spaned/spaned.defs
      ext/spaned/spaned.dsp
      ext/spaned/spaned.overrides
      ext/sqpane/.cvsignore
      ext/sqpane/Makefile.frag
      ext/sqpane/Makefile.in
      ext/sqpane/README
      ext/sqpane/config.m4
      ext/sqpane/gtksqpane.c
      ext/sqpane/gtksqpane.h
      ext/sqpane/php_sqpane.c
      ext/sqpane/php_sqpane.h
      ext/sqpane/sqpane.defs
      ext/sqpane/sqpane.dsp
      ext/sqpane/sqpane.overrides:
      Remove extensions that are either unsupported or have not been ported
      yet, from HEAD. They are still on PHP_GTK_1 branch.

2005-07-29  Christian Weiske  <cweiske@cweiske.de>

    * test/bug_gtkiconview_toggle-cursor-item.phpw
      test/bug_gtknotebook_switchpage.phpw
      test/bugconfig.php.in
      test/bugrunner.php:
      Small test suite for bugs.
      To use it:
      - install xautomation program (xte) from
      http://hoopajoo.net/projects/xautomation.html
      - copy bugconfig.php.in to bugconfig.php and change the location of your
         php5 executable
      - run bugrunner.php: It will execute all bug_*.phpw.
      - If this scripts echo 'ok' means that everything was ok, the bug doesn't
         exist any more. However, if anything other than 'ok' is echoed: The bug
         still exists.
      - All the single bug scripts can be run with "debug" as parameter
         which shows the real error message
      
      I know that it's not nice, but it works for now.

2005-07-15  Frank M. Kromann  <frank@kromann.info>

    * (PHP_GTK_1)
      ext/gtk+/php_gtk+.h:
      Adding missing export

2005-07-14  Andrei Zmievski  <andrei@gravitonic.com>

    * (PHP_GTK_1)
      NEWS:
      -** empty log message ***

    * (PHP_GTK_1)
      main/php_gtk.h:
      Up version to 1.0.2.

    * (PHP_GTK_1)
      config.m4:
      Accept PHP 4.4.x as well.

2005-07-12  Pablo Dall'Oglio  <pablo@univates.br>

    * TODO2:
      -** empty log message ***

2005-07-03  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides
      generator/generator.php
      main/php_gtk.h:
      Some GdkColor and GdkColormap related stuff.

2005-06-18  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      generator/arg_types.php:
      Make functions understand event arg type.

    * TODO2
      ext/gtk+/Makefile.frag
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkcontainer.overrides
      generator/generator.php
      main/phpg_gobject.c:
      - Implement some signal_handler_* methods.
      - Implemeng GtkContainer::children(), get_children()

2005-06-16  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/gtk.overrides:
      Some menu item stuff.

    * TODO2:
      Says who.

2005-06-02  Jani Taskinen  <jani.taskinen@sci.fi>

    * buildconf:
      - Use the $PHPIZE from environment if it is not empty

2005-05-23  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/gtktreeview.overrides:
      Implement GtkTreeModel::iter_children(). (patch by Markus Fischer)

2005-05-20  Christian Weiske  <cweiske@cweiske.de>

    * generator/generator.php:
      static functions have parameter reflection.
      Overridden methods not.

    * generator/generator.php:
      constructor reflection is in now

    * generator/generator.php:
      Commented out conditional reflection generation

    * TODO2:
      some more missing things

2005-05-17  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtktreeview.overrides:
      - Fix unboxing of parent iter in GtkTreeStore::append().
      - Return iter unless setting the row fails.
      Patch by Markus Fischer.

2005-05-16  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/gtktreeview.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      generator/arg_types.php
      main/phpg_support.c:
      Implement support for GtkTreePath as arg type.

2005-05-15  Christian Weiske  <cweiske@cweiske.de>

    * generator/templates.php:
      I forgot to commit the templates... thanks Markus

2005-05-13  Christian Weiske  <cweiske@cweiske.de>

    * generator/generator.php
      generator/reflection.php
      generator/reflection_class_checker.php:
      The generator writes reflection information for normal
      functions now. If you want to compile them, add
      to config.h (Andrei, could you add a configure switch?)
      
      The time difference between a build with and without reflection
      is minimal (0.4s), so I vote for enabling it by default.
      
      The reflection.php is a small helper script if you want to write
      reflection code by hand (e.g. for phpg_object.c or so), and
      reflection_class_checker.php checks the generated .c files
      for unsupported classes which might cause php5 to behave
      weird when reflection is used.

    * main/phpg_gobject.c:
      Created reflection info for GObject.
      Has to be enabled with
      
      Andrei, where could you extend the config file for this?

2005-05-10  Christian Weiske  <cweiske@cweiske.de>

    * generator/docgen.php:
      same space stuff

2005-05-10  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      -** empty log message ***

    * ext/gtk+/gtktreeview.overrides:
      Commit an adjusted patch from Markus for some GtkTreeStore methods.

2005-05-09  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gobject.c:
      Expose signal name in the error message (patch from Markus Fischer).

    * main/phpg_exceptions.c:
      Make PhpGtkException the parent exception class for all other ones.

2005-05-08  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c:
      - Make GtkTreeModel::append() accept an optional array with data values.
      - Implement GtkRadioMenuItem constructor and set/get_group() methods.

2005-05-04  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      One new demo, php-gtk2demo embeds demos scrollable now

    * TODO2:
      some more missing things

    * TODO2:
      some problems

2005-05-03  Christian Weiske  <cweiske@cweiske.de>

    * TODO2:
      thing

2005-04-28  Pablo Dall'Oglio  <pablo@univates.br>

    * TODO2:
      -** empty log message ***

2005-04-28  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c:
      -** empty log message ***

2005-04-28  Pablo Dall'Oglio  <pablo@univates.br>

    * TODO2:
      Included General Fixes section with some methods to fix.

2005-04-28  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Fix some NULL issues.

2005-04-28  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php
      generator/docgen.php:
      refentries for *-functions.xml are generated now

    * generator/docgen.php:
      Generates better signal callback signature now (with the widgets itself as
      first parameter)

2005-04-28  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Fix GtkMenuItem constructor.

2005-04-26  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      generator/generator.php:
      Fix generation of static constructors without parameters.

    * ext/gtk+/gtk.overrides
      generator/arg_types.php
      main/php_gtk.h
      main/phpg_gtype.c
      main/phpg_support.c:
      Fix static property based constructors by using phpg_gtype_from_class()
      since this_ptr is NULL.

2005-04-25  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/arg_types.php
      main/php_gtk.h
      main/php_gtk_util.c:
      Support utf8 conversion in property-based constructors. Optimize string
      handling by avoiding strlen()'s.

    * generator/arg_types.php
      main/php_gtk_util.c:
      Use 'u' specifier to force strings to be utf-8.

    * TODO2
      generator/arg_types.php
      generator/generator.php
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_module.h
      main/php_gtk_util.c:
      Implement automatic conversion to/from UTF-8 when passing or receiving
      strings. The conversion is based on php-gtk.codepage setting, which
      defaults to ISO-8859-1 if not specified.
      
      Note that Gtk+ expects all input string parameters to be in UTF-8, so we
      do the conversion where we can, to save users trouble. However, if a
      functions takes an array of strings as a parameter, we cannot convert it
      automatically. The user should convert each value using iconv().

    * generator/definitions.php:
      Fix caller-owns-return output.

    * ext/gtk+/gdk.defs
      ext/gtk+/gtk.defs:
      Fix caller-owns-return values.

    * config.m4:
      Check for CLI version.

    * ext/gtk+/config.m4:
      -** empty log message ***

2005-04-25  Jani Taskinen  <jani.taskinen@sci.fi>

    * ext/gtk+/config.m4:
      - Fixed error messages to point at right package

2005-04-24  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO
      TODO2
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides:
      -** empty log message ***

2005-04-22  Andrei Zmievski  <andrei@gravitonic.com>

    * build2/build2.mk:
      aclocal.m4 depends on ext.m4.

2005-04-22  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php
      generator/docgen.php:
      - docgen generates signals now
      - some stats when generating the docs from source:
        we have
         classes        10+17+146+8     =181
         constructors    3+10+143+2     =158
         functions      87+426+2072+111 =2696
         properties      0+34+138+0     =172
         signals         7+9+310+0      =326
        now. That's really cool!

2005-04-18  Jani Taskinen  <jani.taskinen@sci.fi>

    * buildconf
      cvsclean
      makedist
      build2/build.mk
      build2/build2.mk:
      - Added cvsclean script
      - Fixed buildconf with new phpize which does not run aclocal anymore

    * .cvsignore:
      - php_gtk.m4 is not generated file, ext.m4 is.

    * ext/gdkpixbuf/config.m4
      ext/gtk+/config.m4
      ext/gtkhtml/config.m4
      ext/libglade/config.m4:
      - Quote properly

2005-04-16  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/config0.m4:
      Add Glib/Gtk+ macros.

    * README.KNOWN-ISSUES
      ext/gtk+/gtktreeview.overrides
      main/php_gtk_util.c
      main/phpg_gobject.c:
      - Add GObject::get/set_data().
      - Add GtkTreeSelection::get_selected().
      - Fix a couple of bugs in parameter parsing.

2005-04-14  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/Makefile.frag
      ext/gtk+/gtk.overrides
      ext/gtk+/gtktreeview.overrides
      generator/override.php
      main/php_gtk.h
      main/php_gtk_util.c
      main/phpg_closure.c
      main/phpg_gobject.c
      main/phpg_gvalue.c:
      - Implement GObject::get/set_property()
      - Add some helper functions for dealing with varargs functions and
        simple callback marshalling.
      - Implement some tree view stuff
      
      damn, i need a beer and a cookie

2005-04-12  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/gtk.overrides
      generator/templates.php:
      Static constructors should unref the created object after calling
      phpg_gobject_new() since the refcount will be 2 after the call.

    * config.m4:
      Require PHP 5.1.0 or higher. Let's play with the latest toys.

    * ext/gtk+/gtk.overrides:
      Implement a few more tree view/store related methods.

    * main/phpg_gvalue.c:
      Support G_TYPE_INTERFACE in conversions to/from zval.

    * generator/generator.php:
      Register interface arg types.

2005-04-10  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php
      generator/docgen.php:
      Some more changes for php-gtk2-doc

2005-04-10  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gobject.c:
      Support interface too in signal querying.

2005-04-10  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php
      generator/docgen.php:
      Don't remember

2005-04-10  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      main/phpg_gobject.c
      main/phpg_gtype.c:
      Implement GObject methods signal_list_ids(), signal_list_names(),
      signal_query().

2005-04-08  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php
      generator/docgen.php:
      - XML requires <constructors> tag now
      - fixed generation for classes with no constructor

2005-04-08  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides:
      Implement some functions and crap.

2005-04-07  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      - Register some fundamental GTypes as constants.
      - Implement GtkListStore::append(), GtkListStore::set(), and
        GtkTreeModel::get_value().
      
      All this allows things like:
      
      class mine {
          var $a = 5;
          var $b;
      
          function __construct($b) {
              $this->b = $b;
          }
      }
      
      $store = new GtkListStore(Gtk::TYPE_PHP_VALUE);
      $iter = $store->append();
      $o = new Mine(99);
      $store->set($iter, 0, $o);
      var_dump($store->get_value($iter, 0));

    * main/php_gtk.c
      main/php_gtk.h
      main/phpg_gtype.c
      main/phpg_gvalue.c:
      - Better detection of valid GTypes in phpg_gtype_from_zval().

    * main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_util.c
      main/phpg_gboxed.c
      main/phpg_gobject.c
      main/phpg_gtype.c
      main/phpg_gvalue.c:
      Register our own boxed type to represent non-Gtk derived PHP objects.

2005-04-05  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Implement GtkListStore() constructor.

2005-04-04  Christian Weiske  <cweiske@cweiske.de>

    * generator/doc_templates.php
      generator/docgen.php
      generator/docmerger2.php:
      modified docgen to create php-gtk2 docs

2005-04-04  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/templates.php
      main/Makefile.frag
      main/phpg_gvalue.c:
      - Fix phpg_parse_ctor_props() return value check.
      - Fix phpg_gvalue_from_zval() to check the proper variable in some
        cases.

    * ext/gtk+/gtk-types.defs
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides:
      Implement a few more constructors.

2005-03-31  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Implement override for GtkRadioToolButton constructor.

    * TODO2
      php_gtk.m4
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      generator/override.php:
      - Implement override version for GtkRadioButton() constructor.
      - Fix silly bug in ignore-glob processing

2005-03-30  Andrei Zmievski  <andrei@gravitonic.com>

    * main/Makefile.frag:
      Add clean-gen and clean-caches targets.

    * generator/scheme.php:
      Don't sort objects.

    * ext/gtk+/gdk.defs
      ext/gtk+/gtk-extrafuncs.defs
      ext/gtk+/gtk-types.defs
      ext/gtk+/gtk.defs
      ext/gtk+/pango-types.defs:
      Update Gtk+ defs to the latest (2.6).

2005-03-29  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/merge_defs.php
      generator/missing_defs.php:
      Add scripts for merging and listing missing defs.

    * generator/Getopt.php
      generator/definitions.php
      generator/scheme.php:
      Framework for merging different sets of diffs.

2005-03-27  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      -** empty log message ***

    * generator/arg_types.php
      generator/definitions.php
      generator/generator.php
      generator/templates.php:
      Make most of GObject-derived classes use property constructors. This
      allows for widget subclassing in the future.

    * ext/gtk+/gtk.defs:
      We do need constructor property information after all.

    * main/phpg_gobject.c:
      Throw an exception if unable to construct the object.

    * main/php_gtk.h
      main/phpg_support.c:
      Implement phpg_parse_ctor_props() that is used to convert a list of PHP
      function parameters to a form suitable for g_object_newv().

    * main/phpg_gvalue.c:
      Add enum and flags cases to phpg_gvalue_from_zval().

    * main/php_gtk_util.c:
      Fix ^ case for 'i' and 'l' specifiers.

2005-03-26  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c:
      Modify parameter parsing: if ^ is encountered before a specifier,
      perform all the necessary checks, but return the parameter as zval. This
      is necessary for property-based constructors.

    * ext/gtk+/gtk.overrides:
      Ignore gtk_true/false.

    * ext/gtk+/gtk.overrides
      main/php_gtk.h
      main/phpg_gobject.c
      main/phpg_support.c:
      - Move generic phpg_handler_marshal() to phpg_support.c.
      - Implement gtk::quit_add().

    * generator/generator.php:
      Typo.

    * ext/gtk+/gtk.overrides:
      Adjust to use g_object_new() for instantiation. First move towards
      complete freedom of widget subclassing.

    * ext/gtk+/config.m4:
      Require newer versions of libraries.

    * generator/generator.php:
      -** empty log message ***

    * generator/generator.php
      generator/lineoutput.php:
      Implementn coverage statistics.

    * main/phpg_support.c:
      Ah, what the hell, let's support interfaces too in phpg_create_class().

    * main/php_gtk.h
      main/phpg_support.c:
      - Implement phpg_create_class() (no interface support yet).
      - Use phpg_create_class() to register PHP class wrappers for those
        GType's that are not listed in .defs files but can find their way to
        userland.

2005-03-25  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/generator.php:
      - Allow addition of __construct method.
      - Do not generate constructors for abstract types.

    * main/php_gtk.h
      main/phpg_gobject.c:
      Implement default GObject constructor.

2005-03-24  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides:
      Implement GdkRectangle::intersect() and ::union().

    * ext/gtk+/Makefile.frag:
      Fix generation error that resulted in a wrong header file being created.

    * php_gtk.m4
      build2/build.mk
      build2/build2.mk
      build2/config-stubs:
      Some modifications to the build system to avoid aclocal problems.

2005-03-22  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.c
      generator/definitions.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gobject.c
      main/phpg_support.c:
      Whew. It all started with because I had to
      
      - Implement GtkFileChooserDialog
      
      But then I reliazed that it implemented GtkFileChooser interface so I had
      to:
      
      - Put in support for interfaces and access to object's interface
        implementations.
      
      The rest was easy:
      
      - Register stock item constants (Gtk::STOCK_OK, etc)

2005-03-20  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Implement GtkDialog constructor().

    * ext/gtk+/gtk.overrides
      generator/arg_types.php
      generator/generator.php:
      If any of the argument type handlers fail in constructors, we need to
      throw an exception.

    * ext/gtk+/Makefile.frag
      generator/arg_types.php
      generator/generator.php
      generator/scheme.php:
      Adjust Makefile slightly so that the #line directives refer to full path.

    * ext/gtk+/gtk.overrides:
      Implement GtkMessageDialog constructor.

2005-03-19  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      generator/arg_types.php
      main/php_gtk_util.c:
      Make error messages display Class::method().

    * TODO2
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/gtkstyle.overrides
      ext/gtk+/pango.overrides
      generator/generator.php
      generator/override.php
      test/fileselection.php:
      Make it that "PHP_METHOD" in overrides only indicates the start of the
      function and its class/method are provided by the generator.

    * ext/gtk+/gtk.overrides:
      Fix class naming.

    * generator/generator.php
      generator/lineoutput.php
      generator/override.php
      generator/templates.php:
      - Make generator output '#line' references in the generated file, so
        that we can much more easily pinpoint which line in overrides caused
        the compilation error or warning.
      - Get rid of large chunks of old/unused generator code.

2005-03-18  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides:
      Register priority constants.

    * main/php_gtk.h
      main/phpg_support.c:
      Add phpg_register_int_constant().

2005-03-17  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/Makefile.frag
      generator/generator.php:
      Finally make our generation display and logging better. Too many people
      were apparently getting confused by "Could not write function..".

    * main/phpg_gboxed.c:
      Fix typo.

2005-03-16  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.c:
      Move php_gtk_ext_registry init/destroy into module cycle.

2005-03-15  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_support.c:
      Add phpg_support.c file. Please run ./buildconf again.

    * ext/gtk+/gtkstyle.overrides:
      -** empty log message ***

    * ext/gtk+/gtk.overrides:
      Implement gtk::timeout_add_priority().

    * generator/generator.php
      generator/override.php:
      Implement ability to add extra methods in overrides.

    * TODO2
      php_gtk.m4
      main/php_gtk_util.c
      main/phpg_gobject.c:
      Move some support functions to phpg_support.c.

    * ext/gtk+/gtk.overrides
      main/php_gtk.h:
      Implement gtk::timeout_add();

2005-03-14  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/Makefile.frag
      ext/gtk+/gtk.overrides
      generator/override.php:
      Make it possible to include files from inside overrides.

2005-03-13  Andrei Zmievski  <andrei@gravitonic.com>

    * generator/arg_types.php
      generator/generator.php:
      -** empty log message ***

    * TODO2:
      Update.

    * ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      main/php_gtk.h
      main/phpg_closure.c
      main/phpg_gboxed.c
      main/phpg_gvalue.c:
      Implement support for fine-grained custom marshalling of boxed types,
      which will usually happen when invoking callbacks.

2005-03-12  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h
      main/phpg_gobject.c:
      Since we lack a garbage collector, we need to fake it. We need to override
      del_ref handler on the object, which will make sure that our wrapper is
      destroyed only if the referent gobject also has refcount of 1, which we
      means
      that only we own it. Otherwise, we need to keep our wrapper from being
      destroyed and save a pointer to the wrapper in the gobject with
      notification
      turned on, so that when gobject is destroyed by Gtk+ our wrapper is
      destroyed
      as well.

2005-03-11  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      Thoughts on reference counting and wrappers.

2005-03-10  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gobject.c:
      If a closure is connected to the 'destroy' signal, then it will be
      invalidated after the GObject is destroyed, so we cannot call
      g_closure_invalidate() on it in phpg_free_gobject_storage(). Instead, we
      install another invalidation notifier that will remove the closure from
      the watched list.

    * main/phpg_gobject.c:
      In phpg_get_properties_helper() we need to set the refcount on read
      zvals to 1 since the actual read_property handler sets them to 0.

2005-03-05  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/pango.overrides:
      Implement PangoFontDescription() constructor and
      PangoLayout::get_pixel_extents().

    * ext/gtk+/php_gtk+_types.c:
      - Use phpg_gboxed_check() with TRUE parameter for a complete check.
      - Implement write_dimension and has_dimension handlers for style helper.

    * generator/arg_types.php
      generator/generator.php:
      - Fix check for return value of phpg_gvalue_get_enum/flags().
      - Call phpg_gboxed_check() with FALSE parameter for a quick check only.

    * main/phpg_closure.c
      main/phpg_gboxed.c
      main/phpg_gobject.c:
      Use our own phpg_return_* macros.

    * main/php_gtk.h:
      Implement phpg_return_* macros, some of which mirror g_return_* ones,
      but we sometimes need to be able to return a value quietly.

    * ext/gtk+/gdk.defs:
      Add deprecation notices.

    * ext/gtk+/gtk.overrides:
      PHP_GTK_GET() is no more. Use PHPG_GOBJECT().

    * main/php_gtk_util.c:
      Use instanceof_function() instead of our own one.

    * ext/gtk+/gtk.overrides:
      Make GtkStyle properties use the new style helper object.

    * ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c:
      Implement internal style helper object for access to style property
      arrays.

2005-03-04  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.c
      main/php_gtk.h
      main/phpg_gboxed.c
      main/phpg_gobject.c
      main/phpg_gtype.c:
      - Fix "Invalid library: php_gtk2.so" message.
      - Pass TSRM parameters where needed.

    * ext/gtk+/gdk.overrides
      main/phpg_gboxed.c:
      Implement EXPOSE event type in GdkEvent properties.

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides:
      - Implement GdkFont::extents().
      - Fix php_gtk_build_value() calls due to API changes.

    * main/php_gtk.h
      main/php_gtk_util.c:
      Make php_gtk_build_value() behave like other functions: if a NULL zval*
      is passed in, create a value, otherwise work on the passed in one.
      Cleans up the mess it used to create before.

    * generator/templates.php:
      Fix boxed type access.

2005-03-01  Andrei Zmievski  <andrei@gravitonic.com>

    * php_gtk.m4
      ext/gtk+/config.m4:
      Make the build system produce php_gtk2.so instead of php_gtk.so.

    * generator/arg_types.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_exceptions.c
      main/phpg_gobject.c:
      Implement support for GError type. This allows us to do something like:
      
      try {
      	$pixbuf = GdkPixbuf::new_from_file($image_file);
      } catch (PhpGtkGErrorException $e) {
      	echo $e->message, $e->code,"\n";
      }

    * ext/gtk+/gdk.defs:
      Mark GdkPixbuf constructors.

    * main/php_gtk_util.c:
      Fix deprecation message.

    * main/phpg_gvalue.c:
      Fix type check.

    * php_gtk.m4
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      generator/arg_types.php
      main/php_gtk.h
      main/phpg_gvalue.c:
      Add a custom arg type for GdkRectangle* so that one can pass either a
      full GdkRectangle object or 4-element array instead.

2005-02-27  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides
      generator/generator.php
      main/php_gtk.h
      main/phpg_gobject.c:
      - Add support for accessing properties for a couple of event types.
      - Also implement a way to easier get properties of classes that overrode
        read_property handler.

    * main/phpg_closure.c
      main/phpg_gobject.c:
      Fix a couple of egregious bugs.
      - phpg_closure_marshal(): need to NULL-out the emalloc'ed parameter.
      - phpg_free_object_storage(): have to remove the cached handle
        information since the current object wrapper is going away.

    * ext/gtk+/gdk.overrides
      generator/generator.php
      generator/override.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gboxed.c
      main/phpg_gobject.c
      main/phpg_gvalue.c:
      Implement infrastructure for overriding object handlers per-class. This
      allows us to do things like custom read/write handler for all of
      GdkEvent properties, and making objects behave like arrays when
      necessary.

2005-02-26  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/atk.overrides:
      Typo

    * ext/gtk+/v1.gdk.overrides:
      -** empty log message ***

    * ext/gtk+/atk.overrides
      ext/gtk+/gdk.overrides
      ext/gtk+/pango.overrides
      generator/arg_types.php
      generator/definitions.php
      generator/generator.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gboxed.c
      main/phpg_gobject.c
      main/phpg_gtype.c:
      Too much to describe.

    * generator/arg_types.php:
      Add fold markers.

    * TODO2
      generator/arg_types.php
      main/php_gtk.h
      main/phpg_closure.c
      main/phpg_gvalue.c:
      - Support GBoxed and GObject types in conversion from zval to the
        GValue.
      - Rework the underlying object access macros a bit.

    * main/phpg_gvalue.c:
      Support boxed type in converstion from GValue to zval.

    * generator/arg_types.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gobject.c:
      Rename PHPG_GET() to PHPG_GOBJECT() to better reflect its function.

    * main/phpg_gobject.c:
      Implement the rest of connect_*() methods.

2005-02-24  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk_util.c
      main/phpg_closure.c
      main/phpg_gobject.c:
      - Implement GObject::connect().
      - I guess the return value of read_property handler really does have to
        have refcount = 0 since it's a temporary value.

    * main/phpg_gvalue.c:
      Make sure that a valid zval is returned even in an error case.

    * main/php_gtk.h
      main/phpg_closure.c
      main/phpg_gobject.c
      main/phpg_gvalue.c:
      - Make pi_hash persistent.
      - Change phpg_gvalue_to_zval() to operate on zval**, similar to
        phpg_gobject_new().
      - Implement closure marshalling and cleanup.

    * main/php_gtk.c:
      Move prop info hash handling into module init/shutdown function, since
      it needs to be persistent.

2005-02-13  Andrei Zmievski  <andrei@gravitonic.com>

    * php_gtk.m4
      main/php_gtk.h
      main/phpg_closure.c
      main/phpg_gobject.c:
      Initial work on closures.

    * main/phpg_gtype.c:
      Fix exception throwing to return a value as well.

    * main/phpg_gobject.c:
      - Fix memory leaks with class constants.
      - Fix premature object destruction for GtkWindow class. Argh. You cannot
        imagine how long it took to figure out that GtkWindow needs to be
        "sunk" after creation. After hours of wading through guts of
        GLib's type and object system written entirely in C.. I should have
        just looked at PyGTK implementation.

2005-02-06  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+.c:
      Big oops. Can't call gtk_exit() here since it simply calls exit() on us
      and does not return back to ZE.

    * main/php_gtk.c:
      Fix no_direct_constructor message.

    * ext/gtk+/gtk.overrides:
      Fix compilation warning.

    * ext/gtk+/gdk.overrides:
      Expose GdkDrawable->xid property.

    * generator/generator.php
      generator/templates.php:
      We cannot simply mark classes without constructors as abstract, because
      we may need to instantiate them internally. We just need to forbid the
      users to use them directly.

2005-02-03  Andrei Zmievski  <andrei@gravitonic.com>

    * build2/build2.mk:
      We do need to run aclocal to rebuild configure in case php_gtk.m4 or
      other .m4 files changed.

    * ext/gtk+/gtk.overrides:
      Implement several properties of GtkTextAttributes.

2005-01-29  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/pango.defs
      ext/gtk+/pango.overrides:
      Fix Pango compilation for now.

2005-01-28  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2
      main/phpg_closure.c:
      Starting work on closures..

    * main/php_gtk.c:
      typo

2005-01-27  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.overrides
      generator/generator.php:
      - Stop ignoring gtk_style_new constructor.
      - Fix the class entry flags for abstract classes.

    * main/php_gtk.c
      main/phpg_gobject.c:
      - Merge parent's properties into child's table upon registration. This
        way we can look at any property in the chain quickly.
      - Fix access to nested properties, like $separator->style->ythickness.
      - NULL-out the get_property_ptr_ptr handler for now so that writes to
        nested properties work correctly.

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      generator/generator.php
      generator/override.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gobject.c
      main/phpg_gvalue.c:
      This started as an attempt to implement property access for boxed types,
      but turned out supporting regular properties as well. Writing to
      properties is not yet implemented. Testing is appreciated. Now I damn
      well deserve a beer.

    * generator/arg_types.php:
      Switch to using RETVAL_*() macros instead of RETURN_*().

    * TODO2:
      -** empty log message ***

2005-01-25  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gdk.overrides:
      Implement GdkRectangle() constructor.

    * main/php_gtk.c
      main/phpg_gobject.c:
      Fix definitino of phpg_class_id and phpg_class_key.

2005-01-24  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO2:
      Some edits.

    * TODO
      TODO2
      php_gtk.m4
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      generator/arg_types.php
      generator/definitions.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      main/phpg_gboxed.c
      main/phpg_gobject.c
      main/phpg_gtype.c:
      Initial support for boxed types. Things will compile, but there is still
      work to be done.

    * TODO2:
      -** empty log message ***

2005-01-20  Andrei Zmievski  <andrei@gravitonic.com>

    * main/phpg_gobject.c:
      Add note about some issues with internal properties not supporting
      objects.

    * generator/generator.php:
      Support function overrides.

2005-01-18  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.defs
      generator/definitions.php
      generator/generator.php:
      - Make generator support static methods.
      - Adjust gtk.defs to move some methods that were in gtk:: namespace into
        the proper classes.

    * .cvsignore:
      Add .gdb* files.

    * ext/gtk+/gdk.defs
      ext/gtk+/gtk.defs
      ext/gtk+/pango.defs
      generator/generator.php
      generator/templates.php
      main/php_gtk.h
      main/php_gtk_util.c:
      Implement deprecation warnings.

    * ext/gtk+/gtk.defs:
      Add is-constructor-of to certain functions to indicate that they are, in
      fact, static constructors.

2005-01-17  Andrei Zmievski  <andreiz@gravitonic.com>

    * ext/gtk+/gtk.defs
      generator/generator.php:
      - Fix static constructor generation.
      - Adjust GtkComboBox and GtkComboBoxEntry static constructors so they
        are not in the Gtk:: namespace, but rather in GtkComboBox:: and such.

    * ext/gtk+/gtk.overrides
      generator/arg_types.php
      main/php_gtk.c
      main/php_gtk.h
      main/phpg_gobject.c:
      A few other small fixes.

    * generator/generator.php
      generator/templates.php:
      Support static constructors better.

    * ext/extra/extra.defs:
      Merge from branch (GtkSheetRange struct)

    * (PHP_GTK_1)
      ext/extra/extra.defs:
      Add GtkSheetRange struct.

    * (PHP_GTK_1)
      generator/generator.php:
      Fix the structure constructor function entry.

    * build2/build.mk:
      Use $PHPIZE.

    * buildconf:
      buildconf now takes an optional parameter to specify the location of
      'phpize' script. This is needed if you have both PHP 5 and PHP 4
      installed and the default location is incorrect. The switch is
      --with-phpize=<path to phpize>.

    * generator/generator.php
      generator/scheme.php
      generator/templates.php:
      - Sort method definitions alphabetically, but put constructors at the
        top.
      - Allow specification of function entry flags via overrides.
      - Allow more than one constructor per class. The first constructor in
        the .defs file will be considered the 'default' one and will be
        generated or overriden as __construct. The rest become static methods
        and are named the same as the C function without the class name at the
        beginning, i.e. gtk_button_new_with_mnemonic become new_with_mnemonic.

    * main/php_gtk.h:
      Fix typo.

    * generator/templates.php:
      Throw the PhpGtkConstructException in constructors.

    * generator/override.php:
      Allow specification of function entry flags for each override.

    * ext/gtk+/v1.gtk.overrides:
      Add overrides from version 1, for reference.

    * ext/gtk+/gtk.overrides:
      Only new and vetted overrides will appear in this file. The previous
      ones are in v1.gtk.overrides.

    * ext/gtk+/gtk.defs:
      Indicate additional GtkButton constructors.

    * ext/gtk+/Makefile.frag:
      Log the generation messages to a file gen_<id>.log

2005-01-07  Andrei Zmievski  <andreiz@gravitonic.com>

    * main/php_gtk.h
      main/phpg_exceptions.c:
      Implement PhpGtkConstructException.

2004-11-13  Andrei Zmievski  <andreiz@gravitonic.com>

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      generator/arg_types.php:
      Modify .defs to use old-style parameters. Property-based constructors
      are not of much use to us since PHP does not support keyword function
      arguments.

    * php_gtk.m4
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides:
      Get some things to compile.

    * generator/arg_types.php
      generator/definitions.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php:
      This commit implements.. eh.. what does it implement. Hmm, I just had it
      a second ago.. Screw it, I'm too tired to explain it. It's just closer
      to the goal, that's all. I need a drink.

2004-11-10  Andrei Zmievski  <andreiz@gravitonic.com>

    * generator/arg_types.php
      generator/generator.php
      main/php_gtk.h
      main/phpg_gvalue.c:
      Implement support for flags arg type.

2004-11-07  Andrei Zmievski  <andreiz@gravitonic.com>

    * generator/arg_types.php
      generator/generator.php:
      Support Char, Double, Bool. and Enum parameters and return values.

2004-11-06  Andrei Zmievski  <andreiz@gravitonic.com>

    * generator/arg_types.php
      generator/array_printf.php
      generator/generator.php
      generator/templates.php
      main/php_gtk.h:
      More work on generator. We can now generate some methods - only those
      that work with strings and integers, basically.

2004-10-26  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      .cvsignore:
      Stop ignoring php_gtk.m4

2004-10-21  Andrei Zmievski  <andreiz@gmail.com>

    * generator/arg_types.php
      generator/array_printf.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.h:
      More work on the generator.

2004-08-14  Andrei Zmievski  <andreiz@gmail.com>

    * ext/gtk+/atk-types.defs
      ext/gtk+/pango-types.defs:
      Forgot to add types defs.

    * ext/gtk+/atk.defs
      ext/gtk+/atk.overrides
      ext/gtk+/pango.defs
      ext/gtk+/pango.overrides:
      Add Pango and Atk defs and overrides.

    * ext/gtk+/Makefile.frag
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.h
      main/phpg_gobject.c:
      - Modified generator.php to take -f option that specifies the output
        file. If -f is not specified, the output goes to stdout.
      * Move object sorting code into defs parser.
      * Implement enum/flags registration. They now live inside top-level
        classes, e.g. Gtk::, Atk::, etc.

    * main/php_gtk.c
      main/php_gtk.h
      main/phpg_gtype.c:
      Rename to phpg_ prefix.

    * main/phpg_gobject.c:
      ZE2 doesn't "support" objects as static properties? Sure it does, you
      just have to hack it in manually.

    * php_gtk.m4
      ext/gtk+/Makefile.frag
      ext/gtk+/php_gtk+.c
      main/php_gtk.h:
      Add GDK and Pango to the build. Only class shells are registered.

    * php_gtk.m4
      ext/gtk+/Makefile.frag
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.c
      generator/templates.php:
      - Fix "underquoted definition" warnings in php_gtk.m4.
      * Add atk*.defs to the mix.
      * Simplify building even more via implicit rules: gen_*.h is now
        generated right after gen_*.c. Thus, adding 'atk' definitions was a
        snap.
      

    * php_gtk.m4
      ext/gtk+/Makefile.frag
      generator/generator.php:
      Fix build and optimize .defs -> .c conversion.

2004-08-13  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      ext/canvas/Makefile.frag
      ext/combobutton/Makefile.frag
      ext/extra/Makefile.frag
      ext/gdkpixbuf/Makefile.frag
      ext/gtk+/Makefile.frag
      ext/gtkhtml/Makefile.frag
      ext/imlib/Makefile.frag
      ext/libglade/Makefile.frag
      ext/piemenu/Makefile.frag
      ext/scintilla/Makefile.frag
      ext/scrollpane/Makefile.frag
      ext/skeleton/Makefile.frag
      ext/spaned/Makefile.frag
      ext/sqpane/Makefile.frag:
      Fix for 4.3.x semantics.

    * generator/generator.php
      generator/templates.php
      main/phpg_gobject.c:
      Commit #n out of 1..infinity to come.

    * main/php_gtk.h
      main/phpg_gobject.c:
      Rename phpg_set_wrapper() to phpg_gobject_set_wrapper() so its usage is
      clear.

2004-08-12  Andrei Zmievski  <andreiz@gmail.com>

    * config.m4
      php_gtk.m4
      ext/gtk+/Makefile.frag
      ext/gtk+/gdk-types.defs
      ext/gtk+/gdk.defs
      ext/gtk+/gtk-extrafuncs.defs
      ext/gtk+/gtk-types.defs
      ext/gtk+/gtk.defs
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      generator/arg_types.php
      generator/definitions.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      main/phpg_gobject.c
      main/phpg_gtype.c:
      A whole bunch of stuff that I'm too tired right now to talk about. New
      GTK/GDK defs are in and parsing works. So does object registration, but
      that's about it for now. If this compiles for you, you can do
      var_dump(get_declared_classes()) and see all the Gtk classes there.

2004-08-09  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      NEWS:
      Typo.

    * (PHP_GTK_1)
      ext/extra/config.m4
      ext/imlib/config.m4:
      Argh.

    * (PHP_GTK_1)
      ext/canvas/config.m4
      ext/extra/config.m4
      ext/imlib/config.m4:
      Fix alignment.

    * (PHP_GTK_1)
      NEWS:
      Tell people about --with-phpize option.

    * (PHP_GTK_1)
      buildconf
      build2/build.mk:
      buildconf now takes an optional parameter to specify the location of
      'phpize' script. This is needed if you have both PHP 5 and PHP 4
      installed and the default location is incorrect. The switch is
      --with-phpize=<path to phpize>.

2004-08-08  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      NEWS:
      Update.

    * (PHP_GTK_1)
      README
      config.m4:
      Implement check for required PHP version.

    * (PHP_GTK_1)
      config.m4
      php_gtk.m4
      php_gtk_new.m4
      php_gtk_old.m4
      build2/build.mk
      build2/build2.mk:
      Remove support for both build systems. It was transitionary anyway. I
      think we can require 4.3.x PHP to build without any problems.

2004-08-07  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      build2/build.mk:
      Generate lists before phpize'ing.

    * (PHP_GTK_1)
      build2/build.mk:
      Create php_gtk.m4 explicitly on the first run, as newer versions of
      aclocal seem to care about that.

    * (PHP_GTK_1)
      config.m4:
      Forgot the space.

    * (PHP_GTK_1)
      ext/canvas/php_canvas.c
      ext/canvas/php_canvas.h
      ext/combobutton/php_combobutton.c
      ext/combobutton/php_combobutton.h
      ext/extra/php_extra.c
      ext/extra/php_extra.h
      ext/gdkpixbuf/php_gdkpixbuf.c
      ext/gdkpixbuf/php_gdkpixbuf.h
      ext/gtk+/php_gdk.c
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      ext/imlib/php_imlib.c
      ext/imlib/php_imlib.h
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h
      ext/piemenu/php_piemenu.c
      ext/piemenu/php_piemenu.h
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/scrollpane/php_scrollpane.c
      ext/scrollpane/php_scrollpane.h
      ext/skeleton/php_skeleton.c
      ext/skeleton/php_skeleton.h
      ext/spaned/php_spaned.c
      ext/spaned/php_spaned.h
      ext/sqpane/php_sqpane.c
      ext/sqpane/php_sqpane.h
      generator/arg_types.php
      generator/definitions.php
      generator/doc_templates.php
      generator/docgen.php
      generator/generator.php
      generator/override.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_ext.c.in
      main/php_gtk_ext.w32.c
      main/php_gtk_module.h
      main/php_gtk_object.c
      main/php_gtk_util.c:
      Update Copyright notice.

    * (PHP_GTK_1)
      ChangeLog
      NEWS
      config.m4:
      Update.

2004-08-06  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides:
      Reimplement gdk::cursor_new_from_pixmap() so it actually works. (Tom
      Rogers <trogers@kwikin.com>).

2004-08-05  Andrei Zmievski  <andreiz@gmail.com>

    * generator/generator.php
      generator/override.php:
      Tabs -> spaces.

    * generator/arg_types.php
      generator/definitions.php
      generator/doc_templates.php
      generator/docgen.php
      generator/docmerger.php
      generator/generator.php
      generator/override.php
      generator/scheme.php
      generator/templates.php:
      Finished definitions, except for Pointer_Def.

2004-08-01  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      ext/gtk+/gtk.defs:
      Expose the following (read-only) GtkToolbar properties:
        - style
        - space_style
        - space_size
        - orientation
      
      To set these, use the API calls.

2004-07-31  Andrei Zmievski  <andreiz@gmail.com>

    * generator/definitions.php:
      Fix access to static vars.

    * generator/definitions.php:
      Update Function_Def and Method_Def with more parameters.

    * generator/definitions.php:
      - Add Definition::$true_values static property;
      * Fix accumulation of parameters in Function_Defs.

2004-07-30  Andrei Zmievski  <andreiz@gmail.com>

    * generator/definitions.php:
      Whitespace: tabs to spaces.

    * generator/definitions.php
      generator/scheme.php:
      More work on parser update. Added some new stuff to Function_Defs.

    * generator/scheme.php:
      Convert tabs to spaces.

    * generator/scheme.php:
      Redo the scheme parser to support new-style .defs files. This breaks the
      parsing until further changes are complete.

2004-07-29  Andrei Zmievski  <andreiz@gmail.com>

    * (PHP_GTK_1)
      ext/gtk+/gtk.overrides:
      Implement append_element(), prepend_element(), and insert_element()
      methods of GtkToolbar class.

    * (PHP_GTK_1)
      ext/gtk+/gtk.overrides:
      Implement GtkToolbar::prepend_item() and GtkToolbar::insert_item().

    * (PHP_GTK_1)
      ext/canvas/canvas.php:
      Update.

    * (PHP_GTK_1)
      ext/extra/plot.php:
      Update example.

    * (PHP_GTK_1)
      ext/extra/extra.overrides
      ext/extra/php_extra.c
      ext/extra/sheet.php
      ext/gtk+/php_gtk+.c
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c:
      Revert Alan's callback registry patch until later.

    * (PHP_GTK_1)
      ext/gtk+/gtk.overrides:
      - Implement GtkToolbar::append_item().
      * Revert Alan's callback registry patch until later.

2004-07-27  Andrei Zmievski  <andreiz@gmail.com>

    * main/php_gtk.h
      main/phpg_gobject.c
      main/phpg_gvalue.c:
      Implemented GObject::__tostring() method (very simple).

    * main/phpg_gtype.c
      main/phpg_gvalue.c:
      Update error messages.

    * main/phpg_gtype.c:
      Some comments.

    * php_gtk.m4:
      Update for new file names.

    * main/php_gtk.h
      main/phpg_gobject.c:
      Implement:
       * phpg_sink_object(): sinks GObject's (currently only GtkObject's)
       * phpg_set_wrapper(): registers PHP object as wrapper for GObject

2004-07-22  Andrei Zmievski  <andreiz@gmail.com>

    * main/phpg_object.c:
      Sink only GTK_TYPE_OBJECT.

    * main/php_gtk.h
      main/phpg_object.c:
      - Adjust to PHP 5 API
      * Use g_object_unref() as GObject dtor.

    * php_gtk.m4
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtype.c
      main/phpg_object.c:
      - Adjust to PHP 5 release API.
      * Move generic object management functions into phpg_object.c.

2004-07-20  Andrei Zmievski  <andreiz@gmail.com>

    * main/php_gtk_util.c:
      test

2004-01-13  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h
      main/php_gvalue.c:
      Implemented php_gvalue_flags_get().

2004-01-05  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.h
      main/php_gvalue.c:
      Implement php_gvalue_enum_get().

2004-01-04  Andrei Zmievski  <andrei@gravitonic.com>

    * php_gtk.m4
      main/php_gtk.h
      main/php_gvalue.c:
      Some GValue functions.

2003-12-31  Andrei Zmievski  <andrei@gravitonic.com>

    * php_gtk.m4
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtype.c
      main/phpg_exceptions.c:
      -** empty log message ***

2003-12-21  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      ext/libglade/libglade.defs:
      testing new libglade defs

2003-12-15  Andrei Zmievski  <andrei@gravitonic.com>

    * main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtype.c:
      Made work with latest Zend.

    * php_gtk.m4
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      main/Makefile.in
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_module.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      main/php_gtype.c:
      Okay, let's break stuff. The property getters/setters are split up now,
      so that each property gets its own function. This saves us from having
      to do a bunch of strcmp() calls. Only one class is implemented now,
      GType, manually at that. But it provides an example.

2003-12-06  Andrei Zmievski  <andrei@gravitonic.com>

    * .cvsignore:
      -** empty log message ***

    * config.m4
      php_gtk.m4
      php_gtk_new.m4
      php_gtk_old.m4
      build2/build.mk
      build2/build2.mk
      ext/gtk+/config.m4:
      - No longer need two versions of php_gtk.m4 as PHP 4 has only one build
        system.
      - Start using external aclocal macros for Gtk+ checks. This requires
        gathering all extension config.m4 files and configure.in into
        configure.ac, because aclocal won't find them otherwise. This might
        result in a warning from aclocal too but it's okay for now.

2003-12-04  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      ext/gtk+/php_gtk+_types.c
      main/php_gtk_object.c
      test/hello.php:
      most objects now supported - fetching $object->style->fg etc. works,
      setting fails badly...

2003-12-02  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      ext/gtk+/php_gtk+_types.c
      main/php_gtk.h
      main/php_gtk_object.c
      test/hello.php:
      object setters mostly working

2003-11-30  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      main/php_gtk_object.c
      test/hello.php:
      fetching object properties which are objects works

    * (GTK2)
      ext/gtk+/php_gtk+_types.c
      main/php_gtk.h
      main/php_gtk_object.c
      test/gtk.php
      test/hello.php:
      provisional object getter support for gobject

2003-11-12  Alan Knowles  <alan@akbkhome.com>

    * ext/gtkhtml/gtkhtml.defs_for_gtkhtml.1.1
      ext/gtkhtml/gtkhtml.defs_for_gtkhtml.1.1
      ext/gtkhtml/gtkhtml.overrides_for_gtkhtml.1.1
      ext/gtkhtml/gtkhtml.overrides_for_gtkhtml.1.1:
      
      file gtkhtml.defs_for_gtkhtml.1.1 was initially added on branch PHP_GTK_1.

2003-10-23  Andrei Zmievski  <andrei@gravitonic.com>

    * (PHP_GTK_1)
      README:
      -** empty log message ***

    * (PHP_GTK_1)
      NEWS:
      Version and name.

2003-10-21  Alan Knowles  <alan@akbkhome.com>

    * (PHP_GTK_1)
      NEWS:
      update NEWS pre-1.0

    * (PHP_GTK_1)
      ext/gtk+/php_gtk+.c:
      fix gtknotebook switch-page signal pointer not handled

2003-10-18  Alan Knowles  <alan@akbkhome.com>

    * (PHP_GTK_1)
      ext/extra/extra.defs:
      allow retreiving of the data in the cells.. - obviously nobody has actually
      used this...

    * (PHP_GTK_1)
      ext/extra/extra.defs:
      get_entry to enable changing selections of pulldowns etc.

    * (PHP_GTK_1)
      ext/extra/extra.overrides:
      make GTK_TYPE_ITEM_ENTRY available so you can reset the entry type for a
      sheet

2003-10-15  Alan Knowles  <alan@akbkhome.com>

    * ext/gdkpixbuf/gdkpixbuf.overrides
      ext/gdkpixbuf/php_gdkpixbuf.c:
      update php_gtk_set_object with boxed argument

2003-10-13  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+.c
      main/php_gtk_object.c:
      Updating to match PHP 5 handler changes.

2003-10-12  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      ext/gtk+/php_gtk+_types.c
      main/php_gtk_object.c
      test/gtk.php:
      remove gtkstyle calls for the time being.. clist and ctree examples work

2003-10-11  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+_types.c
      generator/templates.php
      test/gtk.php:
      gtkStyle basically working..

    * (GTK2)
      main/php_gtk_object.c:
      fix object handling on callbacks

2003-10-10  Frank M. Kromann  <frank@kromann.info>

    * win32/php_gtk.dsw:
      Adding GtkExtra project to workspace

    * ext/extra/extra.overrides:
      Free unused memory

    * ext/extra/extra.dsp:
      Fixing debug build

    * (PHP_GTK_1)
      ext/extra/extra.dsp:
      Adding missing library to debug build

    * (PHP_GTK_1)
      ext/extra/extra.overrides:
      Free alocated memory

    * (PHP_GTK_1)
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      main/php_gtk.h:
      Adding a few PHP_GTK_API's needed for GtkExtra

2003-10-10  Alan Knowles  <alan@akbkhome.com>

    * ext/gtkhtml/gtkhtml.defs
      ext/gtkhtml/gtkhtml.overrides:
      merge gtkhtml search changes from php4 branch

    * (PHP_GTK_1)
      ext/gtkhtml/gtkhtml.defs
      ext/gtkhtml/gtkhtml.overrides:
      add search capabilites to gtkhtml (Radko Sharkov)

2003-10-10  Andrei Zmievski  <andrei@gravitonic.com>

    * TODO
      ext/combobutton/combobutton.dsp
      ext/extra/config.m4
      ext/extra/extra.dsp
      ext/extra/php_extra.h
      ext/extra/plot.php
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      ext/gtk+/php_gtk.dsp
      ext/libglade/libglade.dsp
      ext/scintilla/scintilla.dsp
      ext/scintilla/scintilla.overrides
      ext/scrollpane/scrollpane.dsp
      ext/spaned/spaned.dsp
      ext/sqpane/sqpane.dsp
      generator/arg_types.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      test/hello.php
      test/list.php
      test/scribble.php
      win32/README.win32.txt
      win32/php_win.c:
      Merged ZE2_PORT branch to HEAD. All PHP4 specific work needs to be done
      on PHP_GTK_1 branch now.

    * (ZE2_PORT)
      ext/extra/config.m4:
      -** empty log message ***

2003-10-09  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      generator/generator.php:
      sync with ZE2_PORT - oops do it properly

    * (GTK2)
      generator/generator.php:
      sync with ZE2_PORT

2003-10-08  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      main/php_gtk.h
      main/php_gtk_object.c:
      Remove the add ref call for now..

    * (ZE2_PORT)
      ext/extra/config.m4
      generator/generator.php:
      -** empty log message ***

2003-10-07  Alan Knowles  <alan@akbkhome.com>

    * generator/h2def.php
      generator/h2def.php:
      
      file h2def.php was initially added on branch GTK2.

    * (GTK2)
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      main/php_gtk.h
      main/php_gtk_object.c
      test/gtk.php:
      connect_object and connect() now work, albeit very kludgy..
      added h2defs.php (the php port - heavily improved of the .h parser)
      updated defs file using latest h2defs parser

    * (GTK2)
      main/php_gtk.h
      main/php_gtk_object.c
      test/gtk.php:
      callbacks mostly working, - reverting gtk.php to original to try and find
      last remaining issues :)

2003-10-06  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      main/php_gtk.h
      main/php_gtk_object.c:
      basic prelim work done for callback GValue to zval conversion

2003-10-01  Frank M. Kromann  <frank@kromann.info>

    * (GTK2)
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c:
      Adding missing TSRMLS_FETCH() and TSRMLS_CC

    * (GTK2)
      main/php_gtk.h
      main/php_gtk_object.c:
      Adding missing TSRMLS_FETCH()

2003-09-30  Alan Knowles  <alan@akbkhome.com>

    * (GTK2)
      main/php_gtk_object.c:
      slowly converting GArgs into GValues

    * (GTK2)
      ext/gtk+/php_gtk+.c:
      revert a change done while trying to fix another issue

    * (GTK2)
      test/gtk.php:
      fudges for callbacks and gdkstyle not working

    * (GTK2)
      test/gtk.php:
      disable gtk.php code that uses callback data for the time being.

    * (GTK2)
      ext/gtk+/gtk.overrides:
      gtk.php - button box demo works

    * (GTK2)
      generator/scheme.php:
      comment out speed monitoring code

    * (GTK2)
      ext/gtk+/Makefile.frag
      ext/gtk+/gtk-extrafuncs.defs
      ext/gtk+/gtk.defs.extra
      ext/gtk+/gtk.defs.extra
      generator/scheme.php:
      moving gtk-extrafuncs.def to gtk.defs.extra - a generic additional
      non-autogenerated defs file

    * (GTK2)
      test/gtk.php:
      comment out unimplemented features in gtk.php

    * (GTK2)
      ext/extra/config.m4:
      fix broken config.m4 for extra - needs doing for ZE2_PORT?

    * (GTK2)
      main/php_gtk.c
      main/php_gtk.h:
      add more missing files for gtk2 port

    * (GTK2)
      ext/gtk+/php_gtk+_types.c:
      adding missing file to GTK2 port

    * ext/gtk+/gtk.defs.defaults
      ext/gtk+/gtk.defs.defaults
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h:
      
      file gtk.defs.defaults was initially added on branch GTK2.

    * (GTK2)
      ext/gtk+/config.m4
      ext/gtk+/gdk.defs
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.defs
      generator/arg_types.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk_object.c:
      Upload of Gtk2 bindings to GTK2 branch.

2003-09-22  Frank M. Kromann  <frank@kromann.info>

    * ext/libglade/libglade.dsp
      ext/libglade/libglade.dsp:
      Latest libglade library is named libglade.lib

    * win32/README.win32.txt
      win32/README.win32.txt:
      Adding missing include path

    * win32/README.win32.txt
      win32/README.win32.txt:
      Updating the build instructions to match current files

2003-09-07  Alan Knowles  <alan@akbkhome.com>

    * ext/extra/extra.defs:
      fix totally irrelivant type in plot defs file

    * ext/canvas/canvas.overrides
      ext/extra/config.m4:
      prevent compilation of extra when not requested

2003-09-04  Frank M. Kromann  <frank@kromann.info>

    * (ZE2_PORT)
      main/php_gtk_object.c:
      Update to match zend api

2003-09-04  Alan Knowles  <alan@akbkhome.com>

    * ext/canvas/canvas.overrides:
      add gtkCanvasItem::get_bounds()

2003-08-24  Alan Knowles  <alan@akbkhome.com>

    * ext/canvas/canvas.overrides
      ext/canvas/canvas.php:
      allow polygons to work with integers as well as doubles.

2003-08-21  Alan Knowles  <alan@akbkhome.com>

    * ext/extra/extra.overrides
      ext/extra/php_extra.c
      ext/extra/sheet.php:
      add the one and only example of callback registry and
      php_gtk_simple_signal_callback

    * ext/gtk+/gtk.overrides:
      relay signal connect through new handler - which checks the callback
      registry

    * main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c:
      register_callback code added - this needs to be applied to the ZE2 PORT.. -
      Its need for gtksheet, and probably removing a few warnings from gtk+ -
      most of it is a copy/paste from other parts.. - discussed with
      frank/steph, we will stick it in for the time being as we can test build
      gtksheet. - revert if necessary...

2003-07-18  Frank M. Kromann  <frank@kromann.info>

    * ext/extra/config.m4
      ext/extra/config.m4
      ext/extra/extra.overrides:
      Make include paths consistent

2003-07-17  Frank M. Kromann  <frank@kromann.info>

    * (ZE2_PORT)
      ext/gtk+/php_gtk+.h
      main/php_gtk.h
      main/php_gtk_object.c:
      Export some symbols to allow compilation with gtkextra

    * (ZE2_PORT)
      ext/extra/.cvsignore
      ext/extra/Makefile.frag
      ext/extra/Makefile.in
      ext/extra/config.m4
      ext/extra/extra.defs
      ext/extra/extra.dsp
      ext/extra/extra.overrides
      ext/extra/php_extra.c
      ext/extra/php_extra.h
      ext/extra/plot.php
      ext/extra/sheet.php:
      Adding gtkextra to the ZE2_PORT branch

    * ext/extra/plot.php
      ext/extra/sheet.php:
      
      Get rid of errors etc. (Steph)

    * ext/extra/plot.php:
      ws

    * ext/extra/sheet.php:
      Allow loading of gtk on Win32

    * ext/extra/extra.defs:
      
      Allw the generator to generate compileable code

    * generator/arg_types.php
      generator/arg_types.php:
      php_type is not defined for GtkDrawable

2003-07-16  Frank M. Kromann  <frank@kromann.info>

    * ext/extra/.cvsignore:
      Ignore MSVC output

    * ext/extra/extra.dsp:
      Adding project for GtkExtra on Win32

2003-07-15  Frank M. Kromann  <frank@kromann.info>

    * (ZE2_PORT)
      win32/php_win.c:
      look for the exe in c:\php5

    * (ZE2_PORT)
      ext/gtk+/php_gtk.dsp:
      Fixing bad formated include path for ze2

2003-07-10  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      main/php_gtk_object.c:
      Fix object allocation.

2003-07-09  Frank M. Kromann  <frank@kromann.info>

    * (ZE2_PORT)
      ext/scintilla/.cvsignore
      ext/scintilla/.cvsignore:
      Ignore output from Visual Studio

    * (ZE2_PORT)
      ext/scintilla/scintilla.overrides:
      Fixing wrong function name

    * (ZE2_PORT)
      ext/scintilla/scintilla.dsp:
      Adding missing Win32 project file (ported to ZE2)

    * (ZE2_PORT)
      ext/combobutton/combobutton.dsp
      ext/combobutton/combobutton.overrides
      ext/libglade/libglade.dsp
      ext/scrollpane/scrollpane.dsp
      ext/spaned/spaned.dsp
      ext/sqpane/sqpane.dsp:
      Make the extensions for the ZE2_PORT work on Win32

    * (ZE2_PORT)
      ext/combobutton/combobutton.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      ext/gtk+/php_gtk.dsp
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtk_util.c:
      Make the ZE2_PORT work on Win32

2003-06-28  Alan Knowles  <alan@akbkhome.com>

    * ext/extra/extra.defs
      ext/extra/extra.overrides:
      gtksheet->get_active_cell returns array(row,col)

    * NEWS:
      updating News to match current situation at end of June 2003

    * ext/skeleton/config.m4:
      making life easier for extension builders - putting in missing "then"

    * ext/extra/Makefile.frag
      ext/extra/Makefile.in
      ext/extra/config.m4
      ext/extra/extra.defs
      ext/extra/extra.overrides
      ext/extra/php_extra.c
      ext/extra/php_extra.h
      ext/extra/plot.php
      ext/extra/sheet.php:
      uploading Angel Maza s bindings for gtkextra - have added gtksheet to it.

2003-06-23  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      main/php_gtk.h:
      -** empty log message ***

2003-06-16  Alan Knowles  <alan@akbkhome.com>

    * generator/generator.php:
      set the default memory_limit, to try and reduce support questions a bit

2003-05-30  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      ext/gtk+/gdk.overrides
      ext/gtk+/php_gtk+_types.c
      main/php_gtk_object.c:
      Fix a few bugs.

2003-05-29  Alan Knowles  <alan@akbkhome.com>

    * ext/canvas/canvas.defs
      ext/canvas/canvas.overrides:
      provisional support for item scaling - gtk_canvas_item_scale and i2c_affine
      etc.

    * ext/imlib/imlib.defs
      ext/imlib/php_imlib.c
      ext/imlib/php_imlib.h:
      imlib now builds and loads

    * ext/canvas/canvas.overrides:
      get scroll region and offsets added

    * ext/canvas/Makefile.frag
      ext/canvas/canvas.defs
      ext/canvas/canvas.overrides:
      adding Makefile.frag - was missing.

    * generator/generator.php:
      adding hook into generator to enable extra boxed types to be added by
      extensions

    * ext/imlib/imlib.defs.cache:
      last of wrongly uploaded files removed

    * ext/imlib/gen_ce_imlib.h
      ext/imlib/gen_imlib.c
      ext/imlib/gen_imlib.lo
      ext/imlib/gen_imlib.o
      ext/imlib/php_imlib.lo
      ext/imlib/php_imlib.o:
      removing files that shouldnt have been uploaded - cvsignore didnt work..

    * ext/imlib/Makefile.frag
      ext/imlib/Makefile.in
      ext/imlib/arg_types.php
      ext/imlib/config.m4
      ext/imlib/gen_ce_imlib.h
      ext/imlib/gen_imlib.c
      ext/imlib/gen_imlib.lo
      ext/imlib/gen_imlib.o
      ext/imlib/imlib.defs
      ext/imlib/imlib.defs.cache
      ext/imlib/imlib.overrides
      ext/imlib/php_imlib.c
      ext/imlib/php_imlib.h
      ext/imlib/php_imlib.lo
      ext/imlib/php_imlib.o:
      first upload of gdk_imlib binding - it builds at present

2003-05-28  Alan Knowles  <alan@akbkhome.com>

    * ext/canvas/canvas.defs
      ext/canvas/canvas.overrides
      ext/canvas/canvas.php:
      GtkCanvasGroup - constructor added - removed redundant GtkCanvasItem
      constructor

    * ext/canvas/canvas.defs
      ext/canvas/canvas.overrides
      ext/canvas/canvas.php:
      coordinate systems mapping methods working

    * ext/canvas/canvas.defs
      ext/canvas/canvas.overrides
      ext/canvas/canvas.php:
      antialias support added

    * ext/extra/.cvsignore:
      adding empty directory so Angel Maza can work on this

2003-05-27  Alan Knowles  <alan@akbkhome.com>

    * ext/canvas/canvas.php:
      updated example with the polygon

    * ext/canvas/canvas.defs
      ext/canvas/canvas.overrides
      ext/canvas/config.m4
      ext/canvas/php_canvas.c:
      supprised myself there - solved the polygon points problem - polygons now
      work..

    * ext/canvas/.cvsignore
      ext/canvas/Makefile.in
      ext/canvas/canvas.defs
      ext/canvas/canvas.overrides
      ext/canvas/canvas.php
      ext/canvas/config.m4
      ext/canvas/php_canvas.c
      ext/canvas/php_canvas.h:
      first upload of gtk-canvas widget bindings - mostly working except polygon
      - which needs more brainpower than I have today :)

2003-05-14  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/gtk.defs:
      Accept any drawable here.

2003-05-07  Alan Knowles  <alan@akbkhome.com>

    * (ZE2_PORT)
      generator/generator.php:
      generator should use _SERVER now, as it borks the build when using an old
      php.ini

2003-04-22  Alan Knowles  <alan@akbkhome.com>

    * ext/scintilla/scintilla.defs:
      adding in bindings for get_wrap_mode and set_wrap_mode by benjamin smith

2003-03-19  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      ext/gtk+/php_gtk+.c
      generator/templates.php
      main/php_gtk_object.c:
      -** empty log message ***

2003-02-07  Frank M. Kromann  <frank@kromann.info>

    * win32/php_win.c:
      Extend search to look for php.exe in the same directory where php_win.exe
      is located

2003-02-06  Frank M. Kromann  <frank@kromann.info>

    * win32/php_win.dsp:
      Move output to the same directory as the rest of the files

    * ext/gtk+/gtk.overrides:
      Fixing build

2003-01-30  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      ext/gtk+/php_gtk+_types.c
      main/php_gtk.h
      main/php_gtk_object.c:
      Make property writing work. Except it doesn't work on something like:
      $style->fg[GTK_STATE_NORMAL] yet.

2003-01-25  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      main/php_gtk_object.c:
      -** empty log message ***

2003-01-20  Frank M. Kromann  <frank@kromann.info>

    * win32/README.txt:
      Fixing the readme file a bit

    * win32/makedist.cmd:
      System32 directory is not used in the dist.

2003-01-10  Alan Knowles  <alan@akbkhome.com>

    * ext/gtk+/gtk.overrides:
      ok this is it - from dericks site:  "What QA did you do on it?" "the
      usual?" "ah... none :)"

    * ext/gtk+/gtk.overrides:
      consolidate error message for array mismatch - ok going to get this right
      eventually

    * ext/gtk+/gtk.overrides:
      consolidate error message for array mismatch

    * ext/gtk+/gtk.overrides:
      fixed bug Bug #21538 - segfaults if you give ctree->insert_node too many
      elements in the text array

2003-01-09  Frank M. Kromann  <frank@kromann.info>

    * win32/makedist.cmd:
      include the scintilla extension in the distribution

    * ext/scintilla/.cvsignore
      ext/scintilla/php_scintilla.h
      ext/scintilla/scintilla.dsp
      ext/scintilla/scintilla.overrides
      win32/php_gtk.dsw:
      Enabling the compilation of scintilla on WIn32

2003-01-08  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      generator/scheme.php:
      Clean up scheme.php:
       - &new to new
       - Redo serialization scheme as $this is not changeable in methods now.

2003-01-04  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      TODO
      ext/gtk+/php_gtk+_types.c
      generator/generator.php
      generator/templates.php
      main/php_gtk_object.c:
      - Update property lists for boxed types. Now all properties are shown.
        Whether that's a good thing or not is debatable - a simple var_dump()
        on GtkWindow with a GtkButton inside produced over 16,000 lines of
        output due to highly nested nature of Gtk objects and the abundant
        properties.
      - Fix the infinite recursion problem when obtaining properties. Required
        a hack which seems to work for now.

2003-01-02  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      main/php_gtk_util.c:
      Implement PHPGTKException object and use it when object construction fails.
      No idea what kind of interface to make for that exception - the class is
      empty for now.

2002-12-31  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      TODO
      ext/gtk+/php_gtk+_types.c
      generator/generator.php
      generator/templates.php
      main/php_gtk.h
      main/php_gtk_object.c:
      
      - Once again cache the zval wrappers for GTK+ objects. No leaks so far.
      - Do some experimental work to support var_dump($gtkobj). It's nice to see
        all the properties, even the dynamic ones, but right now it results in
      an
        infinite recursion for a lot of objects since the children reference
      their
        parents, etc. Need to fix somehow. This work depends on some custom
      fixes
        to ZE2 that are not merged in yet.

2002-12-28  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      generator/templates.php
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      test/scribble.php:
      Make boxed types work. This required some changes in php_gtk_object.
      Property setting still doesn't work.

2002-12-26  Andrei Zmievski  <andrei@gravitonic.com>

    * (ZE2_PORT)
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      generator/generator.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c
      test/hello.php:
      Made property reading work, but not for boxed types yet. As expected,
      $button->child->get() works as a charm under ZE2.

    * (ZE2_PORT)
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      generator/generator.php
      generator/templates.php
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      test/hello.php
      test/list.php:
      First shot at making the object system work under ZE2. Boxed types don't
      work yet, neither does property access. But hello.php runs.

2002-12-10  Frank M. Kromann  <frank@kromann.info>

    * ext/spaned/gtkshpaned.c
      ext/spaned/gtkshpaned.h
      ext/spaned/gtkspaned.c
      ext/spaned/gtkspaned.h
      ext/spaned/gtksvpaned.c
      ext/spaned/gtksvpaned.h:
      Change line breaks from 0d 0d 0a to 0d 0a
      Nuke compiler warnings

    * ext/sqpane/gtksqpane.c
      ext/sqpane/gtksqpane.h:
      Nuke compiler warnings

    * ext/combobutton/gtkcombobutton.c:
      Removing unused variables
      Adding type casts to nuke warnings

    * main/php_gtk_util.c:
      Removing unused variables

    * ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+_types.c
      main/php_gtk_object.c:
      Forcing some type casts

    * generator/arg_types.php
      generator/generator.php:
      Adding extra paramter to write_from_prop() function to avoid compiler
      warnings from missing type casts

    * test/combobutton.php
      test/fileselection.php
      test/gtk.php
      test/hello.php
      test/list.php
      test/piemenu.php
      test/scribble.php
      test/scrollpane.php
      test/spaned.php
      test/sqpane.php:
      Use the constant PHP_SHLIB_SUFFIX when loading the extension

    * win32/makedist.cmd:
      Adding the new extensions to distribution

    * win32/makedist.cmd
      win32/php.ini
      win32/php_gtk.dsw:
      Adding scrollpane related files to distribution and workspace

    * ext/scrollpane/.cvsignore
      ext/scrollpane/scrollpane.dsp:
      Adding Win32 project for scrollpane

    * win32/makedist.cmd
      win32/php.ini
      win32/php_gtk.dsw:
      Adding spaned related files to distribution and workspace

    * ext/spaned/.cvsignore
      ext/spaned/spaned.dsp:
      Adding Win32 project for spaned

    * main/php_gtk.c
      main/php_gtk.h:
      Exporting symbols to make spaned compilable on WIn32

    * win32/php_gtk.dsw:
      Include the new pixpuf project in the workspace

    * ext/gdkpixbuf/.cvsignore
      ext/gdkpixbuf/gdkpixbuf.dsp:
      Adding WIn32 project for gdk-pixbuf
      Addin a few files to the ignore file

    * win32/README.txt:
      New version of the readme to match version 0.5.2a

    * test/combobutton.php
      test/fileselection.php
      test/hello.php
      test/list.php
      test/piemenu.php
      test/scrollpane.php
      test/spaned.php
      test/sqpane.php:
      Adding CVS Id and changing <? to <?php

    * win32/makedist.cmd:
      Added an copy of php.ini-gth with gtk related options.

    * win32/makedist.cmd:
      Updating script to include new GTK+ dll's
      Adding extra samples and removing php4isapi.dll

    * ext/combobutton/combobutton.defs:
      Well, spelling can be hard with both upper and lower case letters.

    * ext/combobutton/combobutton.defs:
      Fixing spelling of object name

    * win32/php.ini:
      adding combobutton.dll and php-gtk.codepage option to ini file

    * ext/libglade/libglade.dsp:
      Use libglade-0.1-lib to build.
      This will force the libglade extension to use same versions ofGTK+
      libraries as used ing php_gtk

    * generator/generator.php:
      Introducing a Win32 hack to avoid naming conflict with macros.

    * ext/combobutton/combobutton.dsp
      ext/gtk+/php_gtk.dsp
      ext/libglade/libglade.dsp
      ext/sqpane/sqpane.dsp:
      Updated to build with the latest version of GTK+ libraries.

    * win32/README.win32.txt:
      Updated source locations for libs needed to build this on Win32

2002-11-14  Andrei Zmievski  <andrei@gravitonic.com>

    * ext/gtk+/php_gtk+.c:
      Don't bail out if argc/argv aren't found, just fall back onto an empty set.

2002-11-04  Frank M. Kromann  <frank@kromann.info>

    * win32/makedist.cmd:
      Modify script for easy versioning and adding ComboButton to the
      distribution.

2002-11-01  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/gtk.defs: Make GdkPixmap constructor accept null for the mask.

    * NEWS: New release.

2002-10-29  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/php_gtk+_types.c
      ext/gdkpixbuf/gdkpixbuf.defs
      ext/gdkpixbuf/gdkpixbuf.overrides:
    - Simplify GdkPixbuf constructor parameters.
    - Fix check for GdkPixmap when setting style's bg_pixmap property.

2002-10-22  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/php_gtk+_types.c
      ext/gdkpixbuf/php_gdkpixbuf.h
      ext/gdkpixbuf/gdk-pixbuf.php
      ext/gdkpixbuf/gdkpixbuf.defs
      ext/gdkpixbuf/gdkpixbuf.overrides:
    - Small fixes to gdk-pixbuf test script.
    - gdk-pixbuf 2.0 has a fill function. Implemented a manual emulation of
      it for now.
    - Made interpolation parameter for GdkPixbuf::scale_simple() optional.
    - Realized that the code to set tile/stipple/clip_mask of GdkGC was broken
      and only accepted GdkWindow's instead of GdkPixmap/GdkBitmap.

2002-10-17  Andrei Zmievski  <andrei@php.net>

    * main/php_gtk_object.c
      ext/gtk+/gtk.overrides
      ext/libglade/libglade.overrides:
    Fix a bunch of compilation warnings. Helps to enable -Wall.

    * ext/gtk+/php_gtk+_types.c:
    - Make depth parameter of GdkPixmap() constructor optional.
    - Do better type checking of copy_area() src_window parameter.
    - Fixed up warnings unveiled with -Wall flag.

    * ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+_types.c:
    - Failure to allocate color should really be a notice.
    - Fix GtkCheckButton constructor.

2002-10-12  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/php_gtk+_types.c:
    Added copy_area() method for GdkWindow/GdkPixmap/GdkBitmap classes.

2002-10-10  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/gtk.overrides:
    Added GtkRadioButton/GtkRadioMenuItem methods group() and set_group().
    group() can be used to find out which group of radio buttons this one
    belongs to, and set_group() can be used to move button from one group
    to another.

    * ext/gtk+/gdk.defs:
    Added gdk::pointer_grab(), gdk::pointer_ungrab(), gdk::keyboard_grab(),
    gdk::keyboard_ungrab().

2002-09-23  Frank M. Kromann  <frank@kromann.info>

    * ext/combobutton/combobutton.dsp: fixing path to .overrides file

    * ext/combobutton/combobutton.defs:
    Renaming object to avoid problems with wrong function names in autogenerated functions.
    gtk_combobutton_get_type becomes gtk_combo_button_get_type without this change.

2002-09-22  Frank M. Kromann  <frank@kromann.info>

    * ext/combobutton/combobutton.dsp
      ext/combobutton/gtkcombobutton.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtk_util.c:
    Fixes needed to make GtkComboButton compile in WIn32

2002-09-21  Frank M. Kromann  <frank@kromann.info>

    * main/php_gtk_object.c: Fixing ZTS build

2002-09-19  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/gtk.overrides
      ext/gtkhtml/gtkhtml.overrides
      ext/libglade/libglade.overrides:
    Fixing php_array_merge() call for ZTS builds.

2002-06-04  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * ext/gtk+/gtk.overrides
      ext/gdkpixbuf/Makefile.frag: Fix GdkPixbuf generation.
    Fix UTF8 stuff for menu items and radio buttons.

2002-05-28  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * config.m4
      main/php_gtk_object.c: Added --enable-debug option.
    Fixed a crash bug that occurred when trying to use a non-string variable
    to access properties of overloaded objects.

2002-05-22  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/gtk.overrides
      ext/scintilla/.cvsignore: Fix a bug in GtkCheckButton.

2002-05-20  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides:
    Adding utf8 encoding to GtkRadioButton and GtkToggleButton

    * ext/gtk+/gtk.overrides:
    Adding utf8 encoding to gtk_check_menu_item_new and gtk_check_button_new

2002-04-30  Andrei Zmievski  <andrei@ispi.net>

    * ext/piemenu/config.m4
      ext/spaned/config.m4: Fixing a few build problems.

2002-04-27  Andrei Zmievski  <andrei@ispi.net>

    * ext/gdkpixbuf/Makefile.frag
      ext/gdkpixbuf/config.m4: *** empty log message ***

2002-04-26  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides: Adding missing argument

2002-04-26  Andrei Zmievski  <andrei@ispi.net>

    * main/php_gtk.h
      NEWS: Prepare for release.

2002-04-25  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/php_gtk+_types.c:
    Allow set_cursor() to take no parameters thus reverting cursor to the default
    one.

2002-04-21  Andrei Zmievski  <andrei@php.net>

    * TODO: *** empty log message ***

2002-04-17  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * ext/gtk+/gtk.overrides: Finally fix the gtk::input_add() for all cases.

2002-04-17  Alan Knowles  <alan@akbkhome.com>

    * ext/scintilla/scintilla.defs:
    modified return value of gtkscintilla::marker_add to an integer as corrected in gtkscintilla >= 0.8

    * ext/scintilla/scintilla.overrides:
    removed define for FIND_DOWN - no longer supported by gtkscintilla

2002-04-17  Andrei Zmievski  <andrei@php.net>

    * build2/build.mk: Use standard 'if' syntax (patch from Alan).

2002-04-15  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * build2/build.mk
      php_gtk_new.m4: Some build system fixes.

2002-04-11  Andrei Zmievski  <andrei@php.net>

    * main/php_gtk_ext.c.in
      main/php_gtk_ext.w32.c
      main/php_gtk_module.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      test/gtk.php
      generator/arg_types.php
      generator/definitions.php
      generator/doc_templates.php
      generator/docgen.php
      generator/docmerger.php
      generator/generator.php
      generator/override.php
      generator/scheme.php
      generator/templates.php
      main/Makefile.frag
      main/php_gtk.c
      main/php_gtk.h
      ext/scrollpane/Makefile.frag
      ext/scrollpane/config.m4
      ext/scrollpane/php_scrollpane.c
      ext/scrollpane/php_scrollpane.h
      ext/skeleton/Makefile.frag
      ext/skeleton/config.m4
      ext/skeleton/php_skeleton.c
      ext/skeleton/php_skeleton.h
      ext/spaned/Makefile.frag
      ext/spaned/config.m4
      ext/spaned/php_spaned.c
      ext/spaned/php_spaned.h
      ext/sqpane/Makefile.frag
      ext/sqpane/config.m4
      ext/sqpane/php_sqpane.c
      ext/sqpane/php_sqpane.h
      ext/libglade/Makefile.frag
      ext/libglade/config.m4
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h
      ext/piemenu/Makefile.frag
      ext/piemenu/config.m4
      ext/piemenu/php_piemenu.c
      ext/piemenu/php_piemenu.h
      ext/scintilla/Makefile.frag
      ext/scintilla/config.m4
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/combobutton/php_combobutton.h
      ext/gdkpixbuf/php_gdkpixbuf.c
      ext/gdkpixbuf/php_gdkpixbuf.h
      ext/gtk+/Makefile.frag
      ext/gtk+/config.m4
      ext/gtk+/gtk.defs
      ext/gtk+/php_gdk.c
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      ext/gtkhtml/Makefile.frag
      ext/gtkhtml/config.m4
      ext/gtkhtml/php_gtkhtml.c
      ext/gtkhtml/php_gtkhtml.h
      .cvsignore
      Makefile.in
      build2/build.mk
      build2/build2.mk
      config.m4
      ext/combobutton/Makefile.frag
      ext/combobutton/config.m4
      ext/combobutton/php_combobutton.c
      ext/ext_skel
      php_gtk.m4
      php_gtk_new.m4
      php_gtk_old.m4:
    This mega-patch adjusts the build system so that it can work automatically
    with either old or new PHP build system. It also updates copyright years
    and fixes loading of rc files by test/gtk.php.

    Extension writers should take notice of the changes in the build system.

2002-04-09  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/gtk.overrides
      main/php_gtk.h
      main/php_gtk_object.c:
    Newer PHP version have streams, which can be used as inputs to gtk::input_add().
    We need to handle them differently depending on what version of PHP we are
    compiling with.

2002-04-03  Andrei Zmievski  <andrei@php.net>

    * NEWS: *** empty log message ***

    * ext/gtk+/gtk.overrides: Make gtk::input_add() work with PHP streams.

2002-03-29  Andrei Zmievski  <andrei@php.net>

    * makedist: *** empty log message ***

2002-03-28  Andrei Zmievski  <andrei@php.net>

    * ext/gtk+/php_gtk+_types.c:
    A little fix to make sure that only GdkWindow really has access to these props.

    * NEWS
      TODO: *** empty log message ***

    * ext/gtk+/php_gtk+_types.c:
    Fixed GdkBitmap mess, it now has its own set of functions and you can
    access its properties without getting an error. Also, some of the window
    properties make sense only for GdkWindow so GdkPixmap/GdkBitmap get a
    restricted set.

2002-03-25  Andrei Zmievski  <andrei@ispi.net>

    * TODO: New stuff.

2002-03-04  Alan Knowles  <alan@akbkhome.com>

    * ext/gtkhtml/gtkhtml.defs:
    set_indent_by_delta should have been modify_indent_by_delta

2002-02-14  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.defs: Expose GtkLayout's bin_window property.

2002-01-29  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gtk+/gtk.overrides:
    - gtk_clist_append(): fix possible crash when array size `> columns

2002-01-29  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/php_gtk+_types.c: Fix constructor name.

2002-01-24  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: Fix.

2002-01-23  Frank M. Kromann  <frank@frontbase.com>

    * win32/makedist.cmd:
    Make sure the dist. file is copied to the web directory

    * ext/gtk+/php_gtk.dsp:
    Fixing build. adding -r gdk.defs to the gen of gen_gtk.c

2002-01-23  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: Fix date.

2002-01-23  Frank M. Kromann  <frank@frontbase.com>

    * win32/makedist.cmd
      win32/php.ini: php.ini section for php-gtk.
    This file is added to php.ini from PHP when the binary distribution is created

2002-01-23  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: fix version

2002-01-23  Alan Knowles  <alan@akbkhome.com>

    * ext/gtkhtml/gtkhtml.defs:
    commenting out lines from defs file to keep BC with older versions of gtkhtml

2002-01-23  Andrei Zmievski  <andrei@ispi.net>

    * generator/docgen.php
      generator/generator.php:
    Fix to retain backwards compatibility even when running under sapi/cli.

2002-01-23  Frank M. Kromann  <frank@frontbase.com>

    * win32/makedist.cmd:
    Setting the name of the zip file to match latest dist.

2002-01-22  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      README
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      main/php_gtk.h: Prepare for 0.5.0 release.

2002-01-22  Frank M. Kromann  <frank@frontbase.com>

    * win32/php_gtk.dsw: dsp file moved to ..\ext\gtk+

2002-01-22  Andrei Zmievski  <andrei@ispi.net>

    * AUTHORS: Add Alan.

    * TODO: Clean TODO list.

    * win32/README.win32.txt: Link changed.

2002-01-15  Alan Knowles  <alan@akbkhome.com>

    * generator/generator.php:
    fatal_error function added to generator\nadditional checks for argv added to generator

2002-01-14  Andrei Zmievski  <andrei@ispi.net>

    * main/php_gtk.h: Fix compilation for non-ZTS cases.

2002-01-14  Frank M. Kromann  <frank@frontbase.com>

    * win32/php_win.dsp: Changed temp dir for php_win

    * win32/makedist.cmd:
    Adding shared extensions to distribution command file

    * ext/combobutton/.cvsignore
      ext/combobutton/combobutton.dsp: Adding project file for ComboButton.

    This does not work yet !

    * win32/php_gtk.dsp
      win32/php_gtk.dsw
      win32/scheme.dsp: parser files are moved to the extensions

    * ext/sqpane/sqpane.dsp
      ext/libglade/libglade.dsp: Mooving parser files to extension

    * ext/gtk+/.cvsignore
      ext/gtk+/php_gtk.dsp: Moving Project for gtk+ from Win32
    Mooving parser files

    * ext/sqpane/sqpane.dsp: Fixing wrong path for Debug_TS output

    * ext/sqpane/.cvsignore
      ext/sqpane/sqpane.dsp:
    Adding project file for building php_gtk_sqpane.dll

2002-01-12  Frank M. Kromann  <frank@frontbase.com>

    * ext/libglade/libglade.dsp:
    Fixing the debug compilation of libglade as shared object

    * win32/php_gtk.dsp
      win32/php_gtk.dsw
      win32/scheme.dsp
      ext/libglade/.cvsignore
      ext/libglade/libglade.dsp:
    Making libglade compile as a shared object under win32

    * main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_module.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h:
    Using PHP_GTK_API to export functions used by shared extensions

2002-01-11  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides: Changed return value from empty string to null

2002-01-04  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides: Fixing crash when returned texts is null

    * generator/arg_types.php
      ext/gtk+/gtk.overrides: Fixing codepage convertion for returned strings

    * ext/gtk+/gtk.overrides: More UTF-8 stuff. This time in

    ctree_insert_node and ctree_new_with_titles

    * ext/gtk+/gtk.overrides: Fixing GtkCombo to use UTF-8 convertion on Win32
    The first fix was too much a copy and paste. Items should not be freed.
    Next time I'll actually test before commiting :-)

2002-01-03  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides: Fixing GtkCombo to use UTF-8 convertion on Win32

2002-01-03  Alan Knowles  <alan@akbkhome.com>

    * ext/gtkhtml/gtkhtml.defs
      ext/gtkhtml/gtkhtml.overrides:
    Fixed GtkHTML parentage, added gtkhtml->set_cursor_xy

2001-12-19  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides: Ignore internal function.

2001-12-18  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides: Ignore non-public methods.

    * ext/gtk+/gtk.defs: Satisfy our ruthless editor.

2001-12-15  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gdkpixbuf/gdkpixbuf.overrides: - Typo.

2001-12-12  Andrei Zmievski  <andrei@ispi.net>

    * ext/gdkpixbuf/gdkpixbuf.overrides:
    Added GdkPixbuf::render_pixmap_and_mask().

2001-12-12  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides: - Use the force.

    * ext/gtk+/gtk.overrides:
    - Removed unused variables from php_gtk_free_gchar_ptr_array() and set_filter().
    - Made second parameter to GtkTooltips::set_tip() optional per Stephs request.

2001-12-10  Markus Fischer  <mfischer@guru.josefine.at>

    * generator/generator.php
      generator/definitions.php:
    - Fix problem with sTuDyCaPs in struct definnitions.

2001-12-08  Markus Fischer  <mfischer@guru.josefine.at>

    * generator/generator.php: - Wrong variable passed to constructor.

    * ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.h:
    - Separate to a more finer grained function and make them available for
      other extensions.

    * ext/gtk+/gtk.overrides: - Function has been renamed.

    * ext/piemenu/php_piemenu.h
      ext/scintilla/php_scintilla.h
      ext/scrollpane/php_scrollpane.h
      ext/skeleton/php_skeleton.h
      ext/spaned/php_spaned.h
      ext/sqpane/php_sqpane.h
      ext/combobutton/php_combobutton.h
      ext/gtkhtml/php_gtkhtml.h
      ext/libglade/php_libglade.h: - Add missing includes.

    * ext/skeleton/config.m4: - Wrong path order.

    * ext/skeleton/config.m4: - Removed tabs.

2001-12-07  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gdkpixbuf/config.m4: - Format configure --help output.

    * ext/gtkhtml/config.m4:
    - Some more work to proper detect gtkhtml (still not perfect).

    * NEWS:
    - added new widgets with samples: GtkComboButton, GtkSPaned, GtkScrollPane
      and GtkPieMenu. (Markus)

    * ext/sqpane/README: - Added README.


    * test/piemenu.php
      ext/piemenu/.cvsignore
      ext/piemenu/Makefile.in
      ext/piemenu/README
      ext/piemenu/config.m4
      ext/piemenu/gdkaddons.c
      ext/piemenu/gdkaddons.h
      ext/piemenu/gtkaddons.c
      ext/piemenu/gtkaddons.h
      ext/piemenu/gtkpiemenu.c
      ext/piemenu/gtkpiemenu.h
      ext/piemenu/php_piemenu.c
      ext/piemenu/php_piemenu.h
      ext/piemenu/piemenu.defs
      ext/piemenu/piemenu.overrides: - Initial commit of GtkPieMenu widget.

    * ext/scrollpane/.cvsignore
      ext/scrollpane/Makefile.in
      ext/scrollpane/README
      ext/scrollpane/config.m4
      ext/scrollpane/gtkscrollpane.c
      ext/scrollpane/gtkscrollpane.h
      ext/scrollpane/php_scrollpane.c
      ext/scrollpane/php_scrollpane.h
      ext/scrollpane/scrollpane.defs
      ext/scrollpane/scrollpane.overrides
      test/scrollpane.php: - Initial commit of GtkScrollPane widget.

    * ext/spaned/.cvsignore
      ext/spaned/Makefile.in
      ext/spaned/README
      ext/spaned/config.m4
      ext/spaned/gtkshpaned.c
      ext/spaned/gtkshpaned.h
      ext/spaned/gtkspaned.c
      ext/spaned/gtkspaned.h
      ext/spaned/gtksvpaned.c
      ext/spaned/gtksvpaned.h
      ext/spaned/php_spaned.c
      ext/spaned/php_spaned.h
      ext/spaned/spaned.defs
      ext/spaned/spaned.overrides
      test/spaned.php: - Initial commit of GtkSPaned widget.

    * ext/combobutton/.cvsignore
      ext/combobutton/Makefile.in
      ext/combobutton/README
      ext/combobutton/combobutton.defs
      ext/combobutton/combobutton.overrides
      ext/combobutton/config.m4
      ext/combobutton/gtkcombobutton.c
      ext/combobutton/gtkcombobutton.h
      ext/combobutton/php_combobutton.c
      ext/combobutton/php_combobutton.h
      test/combobutton.php: - Initial commit of GtkComboButton widget.

2001-12-06  Andrei Zmievski  <andrei@ispi.net>

    * generator/generator.php: Turn off notices temporarily.

2001-12-06  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gtkhtml/config.m4: - Name it properly.

    * ext/gtkhtml/config.m4: - Typo causing this test to fail.

2001-12-05  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.defs: Allow $mask argument to set_pixmap() to be NULL.

2001-12-05  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gtk+/gtk.overrides: - Remove macro where not needed.

    * NEWS: - Fix last NEWS entry.

    * ext/gtk+/gtk.overrides: - Typo.

    * NEWS: - Update News.

    * ext/gtk+/gtk.overrides:
    - Implemented set_filter() for GtkFontSelection and GtkFontSelectionDialog.
    - Implemented gtk_button_box_get_child_size(),
      gtk_button_box_get_child_ipadding_default() and get_widget_get_pointer()
      (for completeness).

2001-12-01  Andrei Zmievski  <andrei@ispi.net>

    * ext/gdkpixbuf/gdkpixbuf.overrides
      NEWS:
    Implemented GdkPixbuf::new_from_data().

2001-11-30  Andrei Zmievski  <andrei@ispi.net>

    * ext/gdkpixbuf/gdk-pixbuf.php: Added GdkPixbuf example.

2001-11-30  Frank M. Kromann  <frank@frontbase.com>

    * main/php_gtk.h: Adding missing prototype

2001-11-30  Andrei Zmievski  <andrei@ispi.net>

    * generator/definitions.php
      generator/generator.php
      generator/scheme.php:
    Fixed generator to properly account for the gtk object hierarchy.

    * ext/gdkpixbuf/Makefile.in: Typo.

    * generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk_object.c
      TODO
      generator/arg_types.php
      generator/definitions.php:
    Modified generator to have better support for objects that are not GtkObject
    descendants. Made it use typed enums only when generating ext/gtk+, enums
    in other extensions are handled as simple integers. Added -c option to
    generator that allows specifying what class the non-method functions should
    go into (this allows merging some of them into a defined class). And a few
    optimizations of course.

    * NEWS
      ext/gdkpixbuf/.cvsignore
      ext/gdkpixbuf/Makefile.in
      ext/gdkpixbuf/config.m4
      ext/gdkpixbuf/gdkpixbuf.defs
      ext/gdkpixbuf/gdkpixbuf.overrides
      ext/gdkpixbuf/php_gdkpixbuf.c
      ext/gdkpixbuf/php_gdkpixbuf.h: Implemented gdk-pixbuf extension.

2001-11-29  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides
      NEWS:
    - Added GtkCTree::find_by_row_data(), find_all_by_row_data().

    * test/scribble.php: Fix scribble example.

    * ext/gtk+/gtk.overrides:
    gtk.overrides was getting too unwieldy, so I grouped all overrides by classes
    and also introduced the folding markers so that it is easier to navigate in
    editors that support them. Like Vim.

    * NEWS: One more extension.

    * ext/gtkhtml/gtkhtml.overrides: Formatting.

    * ext/gtkhtml/.cvsignore: Ignore generated files.

    * ext/gtkhtml/gtkhtml.overrides
      ext/gtkhtml/php_gtkhtml.c
      ext/gtkhtml/php_gtkhtml.h:
    - The proper place to register list destructors is in XINIT function.
    - Combine two constructors into one, now it's possible to pass a string
      containing HTML to GtkHTML constructor.

2001-11-28  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtkhtml/config.m4
      ext/gtkhtml/php_gtkhtml.c
      ext/libglade/config.m4:
    Some gtkhtml fixes.

2001-11-28  Alan Knowles  <alan_k@hklc.com>

    * ext/gtkhtml/Makefile.in
      ext/gtkhtml/config.m4
      ext/gtkhtml/gtkhtml.defs
      ext/gtkhtml/gtkhtml.overrides
      ext/gtkhtml/gtkhtml.php
      ext/gtkhtml/php_gtkhtml.c
      ext/gtkhtml/php_gtkhtml.h: first import of gtkhtml widget

2001-11-27  Andrei Zmievski  <andrei@ispi.net>

    * config.m4
      ext/libglade/config.m4
      ext/scintilla/config.m4
      ext/sqpane/config.m4:
    Prettify 'configure --help' output a bit.

    * ext/gtk+/gtk.overrides
      NEWS:
    Added GtkClist::get_pixmap().

    * ext/gtk+/gtk.overrides:
    Added GtkCList::find_row_from_data() method.

    * NEWS
      ext/gtk+/gtk.overrides:
    Added GtkList::remove_items() method.

2001-11-21  Andrei Zmievski  <andrei@ispi.net>

    * ext/skeleton/Makefile.in
      ext/sqpane/Makefile.in
      ext/gtk+/Makefile.in
      ext/libglade/Makefile.in
      config.m4:
    Use php-config --prefix to locate PHP executable.

    * generator/scheme.php:
    Suppress warnings on checking cache file existence.

    * TODO: Some accomplished stuff removal action.

    * ext/scintilla/php_scintilla.c
      php_gtk.m4: A couple of small fixes.

2001-11-20  Andrei Zmievski  <andrei@ispi.net>

    * README: Update README.

    * php_gtk.m4: Added PHP_GTK_ARG_WITH() macro.

    * ext/sqpane/config.m4
      ext/sqpane/php_sqpane.c
      generator/scheme.php
      main/php_gtk.c
      main/php_gtk.h
      ext/gtk+/.cvsignore
      ext/libglade/.cvsignore
      ext/libglade/Makefile.in
      ext/libglade/config.m4
      ext/libglade/php_libglade.c
      ext/scintilla/.cvsignore
      ext/scintilla/Makefile.in
      ext/scintilla/config.m4
      ext/scintilla/php_scintilla.c
      ext/skeleton/.cvsignore
      ext/skeleton/Makefile.in
      ext/skeleton/config.m4
      ext/skeleton/php_skeleton.c
      ext/sqpane/.cvsignore
      ext/sqpane/Makefile.in
      AUTHORS
      NEWS
      build2/genext.sh
      php_gtk.m4:
    Implemented ability to build shared extensions.

2001-11-18  Andrei Zmievski  <andrei@ispi.net>

    * NEWS:
    Unless someone can figure out better wording..

    * AUTHORS: *** empty log message ***

    * main/php_gtk.c: Fix crud.

    * main/php_gtk.c
      main/php_gtk.h
      ext/gtk+/.cvsignore
      ext/libglade/.cvsignore
      ext/skeleton/.cvsignore
      ext/sqpane/.cvsignore:
    Mainly finished with the support of shared extensions.

    * generator/scheme.php:
    Implemented caching of parsed definitions to save time when developing.
    Each parsed .defs file will result in a corresponding .defs.cache file in
    the same directory and the cache file will be used to load definitions unless
    .defs file changes.

2001-11-17  Markus Fischer  <mfischer@guru.josefine.at>

    * test/gtk.php
      test/hello.php
      test/list.php
      test/scribble.php
      test/sqpane.php: Do proper checking if class already exists or not.

2001-11-16  Andrei Zmievski  <andrei@ispi.net>

    * main/php_gtk.c
      main/php_gtk.h: More work on loading dyna^H^H^H^H shared extensions.

    * main/php_gtk.c: Started work on the loading of dynamic extensions.

    * ext/skeleton/php_skeleton.c:
    Add the extension retrieval function for skeleton as well.

    * ext/scintilla/php_scintilla.c
      ext/sqpane/php_sqpane.c
      main/php_gtk.h
      ext/libglade/php_libglade.c:
    Second step towards supporting shared extensions: add function to retrieve
    extension entry dynamically.

    * ext/scintilla/.cvsignore
      ext/skeleton/.cvsignore
      ext/sqpane/.cvsignore
      ext/libglade/.cvsignore: Ignore generated .slo files.

    * build2/genext.sh
      ext/libglade/Makefile.in
      ext/libglade/config.m4
      ext/scintilla/Makefile.in
      ext/scintilla/config.m4
      ext/skeleton/Makefile.in
      ext/skeleton/config.m4
      ext/sqpane/Makefile.in
      ext/sqpane/config.m4
      php_gtk.m4: First step towards supporting shared extensions.

2001-11-15  Andrei Zmievski  <andrei@ispi.net>

    * generator/doc_templates.php
      generator/docgen.php:
    Generate properties. James, I didn't do anything about merging property
    definitions, do you want to take care of that?

2001-11-13  Frank M. Kromann  <frank@frontbase.com>

    * win32/php_gtk.dsp: Cleanup override files

    * ext/gtk+/gtk.overrides: Fix UTF8 texts on WIn32 in GtkCList

2001-11-13  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      ext/gtk+/gtk.overrides
      ext/gtk+/gtk.defs: Add support for GtkTableChild (Steph Fox).

    * ext/gtk+/gtk.overrides: Fix compilation.

2001-11-12  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides: Fixing string problems in win32.

2001-11-11  Frank M. Kromann  <frank@frontbase.com>

    * win32/makedist.cmd: Rename samples to test according to the docs.

2001-10-26  Andrei Zmievski  <andrei@ispi.net>

    * TODO: *** empty log message ***

2001-10-24  Markus Fischer  <mfischer@guru.josefine.at>

    * generator/generator.php: - Expose object when throwing an error.

2001-10-24  Andrei Zmievski  <andrei@ispi.net>

    * generator/arg_types.php: Support pointer to struct in return handler.

2001-10-23  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/skeleton/config.m4:
    - 'Gtk' prefix seems more appropriate in most cases.

2001-10-22  Markus Fischer  <mfischer@guru.josefine.at>

    * generator/arg_types.php:
    - Revert Struct_Arg::write_return() fix. It actually broke ext/gtk+.

    * generator/arg_types.php:
    - Added property read/write for bool and double types.
    - Fixed Struct_Arg::write_return().
    - Recognize 'const' modifier with 'struct' and 'object' types.

2001-10-19  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.defs:
    Remove internal compute_position() method from GtkPaned.

    * NEWS: Update news.

    * NEWS
      ext/gtk+/gtk.defs
      generator/arg_types.php:
    - Modified generator to allow omitting struct based classes for specified
      functions.
    - Made GdkRectangle argument to GtkWidget::draw() optional.

2001-10-18  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides
      generator/arg_types.php
      ext/gtk+/Makefile.in:
    - Register types defined in gdk.defs when generating files from gtk.defs.
    - Remove outdated Rect_Arg type and use struct based GdkRectangle instead.

2001-10-17  mfischer  <mfischer@pb1.pair.com>

    * ext/ext_skel
      ext/skeleton/config.m4:
    Remove '^dnl  ' from config.m4 when generating new skeleton.

2001-10-17  Andrei Zmievski  <andrei@pb1.pair.com>

    * ext/sqpane/config.m4
      test/sqpane.php
      ext/skeleton/config.m4:
    - Don't show skeleton in configure.
    - Adjust sqpane a bit.

    * main/php_gtk.c
      main/php_gtk.h: Adjust to new module structure in PHP 4.1.0.

2001-10-16  Frank M. Kromann  <frank@frontbase.com>

    * win32/scheme.dsp: Adding generation of gen_ce_libglade.h

    * win32/php_gtk.dsp: Movong source files to sub folders

2001-10-15  Frank M. Kromann  <frank@frontbase.com>

    * generator/Getopt.php: Fix warning from Getopt.

2001-10-14  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/sqpane/gtksqpane.c: Remove Win32 warnings

    * win32/php_gtk.dsp
      win32/scheme.dsp
      main/php_gtk_ext.w32.c: Add SQPane to Win32 build

    * ext/sqpane/gtksqpane.c:
    Fix gtk_sqpane_hxor_line() not called on button release

    * ext/sqpane/php_sqpane.c
      ext/sqpane/php_sqpane.h: Prepare for Win32 build

    * ext/ext_skel: Use only specified files instead of all.

    * ext/skeleton/php_skeleton.h: Wrong header file included

    * ext/skeleton/php_skeleton.c
      ext/skeleton/php_skeleton.h:
    Add missing header file and update php_skeleton.c

    * test/sqpane.php: Added SQPane exmaple.

    * ext/ext_skel
      ext/skeleton/.cvsignore
      ext/skeleton/Makefile.in
      ext/skeleton/config.m4
      ext/skeleton/php_skeleton.c
      ext/skeleton/skeleton.overrides:
    Added simple skeleton for new widgets and helper script.

    * ext/sqpane/.cvsignore
      ext/sqpane/Makefile.in
      ext/sqpane/config.m4
      ext/sqpane/gtksqpane.c
      ext/sqpane/gtksqpane.h
      ext/sqpane/php_sqpane.c
      ext/sqpane/php_sqpane.h
      ext/sqpane/sqpane.defs
      ext/sqpane/sqpane.overrides:
    - Added initial support for SQPane widget. 
    - Added initial support for SQPane widget. (Markus)

2001-10-13  Markus Fischer  <mfischer@guru.josefine.at>

    * ext/gtk+/gtk.overrides:
    - get_widget_draw() doesn't necessarily needs the allocation properties

2001-10-12  Frank M. Kromann  <frank@frontbase.com>

    * win32/scheme.dsp: Fixing debug build

    * win32/scheme.dsp: Fixing arg_types for objects on win32

    * generator/arg_types.php: Undo last change to arg_types

    * win32/php_gtk.dsp: Fixing debug build with libGlade

    * generator/arg_types.php: Adding match-handler fro GtkWidget.
    This makes libGlade happy.

    * win32/makedist.cmd: Updating makedist to include libglade dll's

    * ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h: Fixing prototypes needed for win32

    * main/php_gtk_ext.w32.c: Including the libglade headers in win32

    * win32/php_gtk.dsp: Defining HABE_LIBGLADE helps a lot

    * win32/php_gtk.dsp: Adding  libglade files to the project

    * main/php_gtk.c:
    Fixing module structure to match the latest version stuff in PHP

    * ext/libglade/libglade.overrides: adding missing 'void'.
    This is needed to have libglade working on win32

2001-10-04  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: *** empty log message ***

    * ext/gtk+/gtk.overrides: Added GtkCList::get_pixtext.

2001-10-01  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/php_gtk+.c: Fix crash bug when no script name is available.

2001-09-25  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: forgot that one

    * NEWS: Releasing 0.1.1.

2001-09-21  Andrei Zmievski  <andrei@ispi.net>

    * main/php_gtk.c: Fix compilation error.

2001-09-16  Frank M. Kromann  <frank@frontbase.com>

    * generator/generator.php:
    Adding hack to prevent gutter_size property generation on Win32

2001-09-06  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides
      main/php_gtk.h:
    ZEND_EXTERN_MODULE_GLOBALS(gtk); moved to header as it is used in more than one generated file.

2001-09-05  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gdk.defs: Revert accidental commit.

    * main/php_gtk.c: Use php-gtk as the INI prefix.

    * ext/gtk+/gdk.defs
      main/php_gtk.c: Unregister ini entries.

2001-09-05  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides
      generator/arg_types.php
      main/php_gtk.c
      main/php_gtk_module.h:
    Adding PHP.INI setting for selecting the codepage used on Win32
    Fixing missing CP1252 to UTF-8 convertion in GtkButton("") function

2001-08-31  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/php_gtk+_types.c: Fix warning.

2001-08-30  Frank M. Kromann  <frank@frontbase.com>

    * win32/php_win.c: Adding a "nice" error message if PHP.EXE was not found

2001-08-29  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides:
    Invalidate object in places where construction fails.

    * generator/templates.php: Invalidate object if construction failed.

2001-08-28  Andrei Zmievski  <andrei@ispi.net>

    * TODO: *** empty log message ***

2001-08-28  Andrei Zmievski  <andrei@ispi.net>

    * TODO: *** empty log message ***

2001-08-27  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/gtk.overrides
      ext/libglade/libglade.overrides: Adding missing TSRMLS_C macros

2001-08-27  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.defs:
    Remove the damn thing.

2001-08-24  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      TODO
      ext/gtk+/gtk.overrides:
    - Fixed a crash bug in type translation.
    - Added TODO item.

    * TODO:
    One less to do. Time for a beer.

    * NEWS
      main/php_gtk_util.c
      test/gtk.php:
    Made type checking of function parameters more forgiving. It won't complain
    now that you passed an integer instead of a double, and so on. Only some
    rules have been relaxed, the rest still stand.

2001-08-22  Markus Fischer  <mfischer@guru.josefine.at>

    * test/gtk.php:
    Accommodate to behave more like testgtk (distributed with GTK+ sources)
    Fix create_file_selection

2001-08-21  Markus Fischer  <mfischer@guru.josefine.at>

    * test/gtk.php: WS fix

2001-08-21  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      ext/gtk+/gtk.overrides
      test/gtk.php:
    - Fixed GtkWidget::intersect().
    - Fixed GtkWidget::size_request() and GtkWidget::get_child_requisition().
    - Added GtkBox::query_child_packing() and
      GtkNotebook::query_tab_label_packing(). (patch from Markus)
    - Added notebook example to gtk.php. (patch from Markus)

2001-08-19  Andrei Zmievski  <andrei@ispi.net>

    * test/gtk.php: Fix gtk.php.

2001-08-18  Andrei Zmievski  <andrei@ispi.net>

    * test/gtk.php:
    Fix the event watcher example.

    * NEWS: *** empty log message ***

    * main/php_gtk_object.c
      test/gtk.php
      ext/gtk+/gtk.overrides:
    - Fixed callbacks bug that would not invoke a callback if it took a parameter
      by reference.
    - Changed "GTK_TYPE_POINTER not supported" from warning to notice and made it
      return NULL instead of aborting.
    - Integrated a patch from Markus that implements functions
      signal_(add|remove)_emission_hook(), signal_lookup(), signal_name() and adds
      a few more examples to gtk.php.

2001-08-15  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides
      NEWS:
    - Remove GtkArgFlags, as they are not useful in PHP-GTK.
    - Added GtkCList::get_selection_info() method. (Andrei)

    * generator/generator.php
      generator/override.php
      ext/scintilla/scintilla.overrides
      ext/gtk+/gtk.defs:
    - Added 'action_area' property to GtkFileSelection.
    - Added ability to specify custom constants in .overrides file.
    - Added GtkScintilla constants.

2001-08-14  Andrei Zmievski  <andrei@ispi.net>

    * ext/Makefile.in
      ext/scintilla/php_scintilla.c
      build2/genext.sh
      php_gtk.m4:
    - Remove erroneous glade_init() call from php_scintilla.c.
    - Fix comparison test in genext.sh.
    - Make sure that ext/gtk+ always comes first in compilation.

    * ext/gtk+/gtk.defs:
    Add a few more very very useful fields to GtkPaned. :)

    * ext/gtk+/gtk.defs:
    Add some properties to GtkPaned.

    * ext/gtk+/gtk.defs:
    Provide access to widget's parent.

    * ext/scintilla/scintilla.overrides
      main/php_gtk_util.c:
    - Add 'l' specifier to argument parsing routine.
    - Add the last non-generated method, find_text().

2001-08-13  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides
      NEWS:
    Patch from Markus that addds GtkCList methods set/get_row_data.

    * main/php_gtk_util.c
      ext/scintilla/scintilla.overrides:
    Make several Scintilla functions easier to use by precalculating stuff
    internally or not asking the user for length of the input string. Patches from
    Markus and myself.

2001-08-12  Andrei Zmievski  <andrei@ispi.net>

    * TODO: *** empty log message ***

2001-08-11  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: *** empty log message ***

    * main/php_gtk_ext.c.in
      build2/genext.sh
      ext/gtk+/config.m4
      ext/libglade/config.m4
      ext/scintilla/.cvsignore
      ext/scintilla/Makefile.in
      ext/scintilla/config.m4
      ext/scintilla/php_scintilla.c
      ext/scintilla/php_scintilla.h
      ext/scintilla/scintilla.defs
      ext/scintilla/scintilla.overrides
      generator/generator.php:
    - Fixed a couple of build issues.
    - Fixed a problem where extensions other than gtk+ would not have properly
      registered base classes.
    - Added initial support for GtkScintilla text editing widget.

    * ext/libglade/libglade.overrides
      generator/generator.php
      generator/templates.php
      main/php_gtk.c
      main/php_gtk.h
      ext/gtk+/Makefile.in
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+_types.c:
    - Implemented a workaround for registering classes with proper name
      capitalization.
    - Removed the unnecessary wrap_ prefix from internal function names.

2001-08-10  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides
      ext/libglade/libglade.overrides:
    - Fix crashes in GtkRadioButton() and GtkRadioMenuItem() constructors.
    - Make libglade extension compile again until I commit my stuff from laptop
      at home.

    * NEWS
      ext/libglade/libglade.overrides:
    For now, implement separate GladeXML methods that can be used to connect
    to callbacks without passing emitting object as the first arg.

2001-08-09  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/php_gdk.c: Changed GDK_KEY names from
    _GDK_KEY_ to GDK_KEY__

    * ext/gtk+/php_gdk.c:
    Getting rid of warnings caused by limitations in the Zend engine.
    Lowercase constants are prepended with '_'
    eth, and thorn are prepended with '__'

2001-08-08  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      main/php_gtk.c
      test/gtk.php: Changed PHP-visible extension name to 'php-gtk'.

2001-08-08  Frank M. Kromann  <frank@frontbase.com>

    * win32/php_gtk.dsp: Adding missing libpaths in debug build

    * win32/php_gtk.dsp: Adding missing libs to debug build

    * win32/scheme.dsp: Fixing reletive paths.
    Don't trust visual studio

    * win32/php_gtk.dsp
      win32/scheme.dsp:
    Fixing compile order and include paths for the debug version

2001-08-08  Andrei Zmievski  <andrei@ispi.net>

    * TODO
      test/gtk.php: Optimize the access to number of rows in the ctree.

2001-08-07  Frank M. Kromann  <frank@frontbase.com>

    * test/gtk.php: Getting rid of some warnings

2001-08-07  Andrei Zmievski  <andrei@ispi.net>

    * test/window.xpm: oops

    * test/window.xpm: More interesting color scheme.

2001-08-07  Frank M. Kromann  <frank@frontbase.com>

    * test/window.xpm: Adding sample xpm

2001-08-07  Andrei Zmievski  <andrei@ispi.net>

    * test/gtk.php: call_user_method_array() is deprecated

2001-08-07  Frank M. Kromann  <frank@frontbase.com>

    * generator/arg_types.php: Fix for crash in ctree under windows,
    This was a problem with the UTF-8 stuff on windows.

    * generator/templates.php: More TSRMLS_FETCH()

2001-08-06  Andrei Zmievski  <andrei@ispi.net>

    * generator/h2def.py: Adding script that generates .defs files.

2001-08-06  Frank M. Kromann  <frank@frontbase.com>

    * ext/gtk+/php_gtk+_types.c
      main/php_gtk_object.c: Adding missing TSRM_FETCH() macros.
    Should these be passed as arguments

2001-08-03  Frank M. Kromann  <frank@frontbase.com>

    * win32/makedist.cmd: Adding scribble.php to windows distribution

    * win32/scheme.dsp
      win32/php_gtk.dsp: Fixing ZTS compilation On Win32

    * ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+_types.c: Fixing ZTS compilation

2001-08-02  Andrei Zmievski  <andrei@ispi.net>

    * README:
    Undo the warning -- CVS version is required only for compilation..

    * README: Update notice.

    * NEWS: nitpick

    * README: Update README.

    * NEWS: Prepare to release.

    * makedist: docs are gone

    * ext/gtk+/config.m4
      ext/gtk+/php_gdk.c
      ext/gtk+/Makefile.in: Build the keysyms statically.

2001-08-01  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/Makefile.in
      ext/gtk+/config.m4
      ext/gtk+/php_gdk.c
      ext/gtk+/php_gtk+.c
      NEWS
      TODO: Added GDK keysyms constants.

2001-07-31  Andrei Zmievski  <andrei@ispi.net>

    * NEWS: Update.

    * NEWS: *** empty log message ***

    * generator/arg_types.php
      main/php_gtk.h
      ext/gtk+/php_gtk+_types.c:
    Fixed bug with GtkStyle::copy() that could cause crash in certain cases
    depending on where the result was used.

    * generator/definitions.php
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/php_gtk.h
      test/scribble.php
      NEWS
      build2/build2.mk
      ext/gtk+/Makefile.in
      ext/gtk+/gdk.defs
      ext/gtk+/gtk-extrafuncs.defs
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      generator/arg_types.php:
    - Fix config.h.in generation.
    - Changed GtkWidget::state() method to GtkWidget->state property.
    - Removed GtkWidget::get_allocation(), it is redundant with GtkWidget->allocation
      property present.
    - Implemented support for struct based classes (GdkRectable, GtkAllocation,
      GtkRequisition, etc).

    0.1 is on the horizon.

2001-07-31  Frank M. Kromann  <frank@frontbase.com>

    * main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtk_util.c: Fixing ZTS compilation

    * generator/arg_types.php
      generator/generator.php: Fixing ZTS compilation
    This also adds the stuff to handle UTF8 convertions

    * generator/templates.php
      ext/gtk+/gdk.overrides
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c: Fixing ZTS compilation

2001-07-30  Andrei Zmievski  <andrei@ispi.net>

    * test/gtk.php
      ext/libglade/libglade.overrides
      ext/libglade/php_libglade.c
      generator/generator.php
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_object.c
      main/php_gtk_util.c
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.c
      ext/gtk+/php_gtk+.h: Updated to match TSRM changes.

2001-07-30  Frank M. Kromann  <frank@frontbase.com>

    * win32/.cvsignore: ignore .asp files

    * win32/php_win.dsp
      win32/gdbtool.ico
      win32/gdk-1.30.ico
      win32/php_win.rc
      win32/resource.h: Adding icon files

2001-07-30  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+_types.c
      test/gtk.php
      test/scribble.php: - Finished drag-n-drop support.
    - Added drag-n-drop example to gtk.php.
    - GdkAtom parsing was completely screwed up from theoretical point of view,
      but it was still working somehow. Fixed.

2001-07-24  Frank M. Kromann  <frank@frontbase.com>

    * win32/README.txt: Fixing typo

2001-07-24  Andrei Zmievski  <andrei@ispi.net>

    * docs/README.HOWTO-WRITING-DOCS: test

2001-07-19  Andrei Zmievski  <andrei@ispi.net>

    * test/scribble.php:
    Draw circle instead of square, it's less ugly that way.

    * main/php_gtk_object.c:
    Since the return of property getter ends up being destroyed, make sure
    that we always return a copy.

    * generator/arg_types.php:
    The GdkRectangle members are shorts instead of ints.

    * test/scribble.php: Actually add Scribble example.

    * ext/gtk+/gdk.overrides
      ext/gtk+/gtk-extrafuncs.defs
      ext/gtk+/gtk.defs
      ext/gtk+/gtk.overrides
      ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      generator/arg_types.php
      NEWS:
    - Modified GdkWindow::get_pointer() to be simpler, without XInput support.
    - Changed 'area' event property to be an allocation.
    - Changed 'is_hint' event property to be boolean.
    - Added ability to query the state and allocation of a widget.
    - Added direct construction of pixmaps.
    - Added initial GdkDrawable support to argument parser.
    - Added Scribble example.

2001-07-18  Andrei Zmievski  <andrei@ispi.net>

    * NEWS
      ext/gtk+/php_gtk+_types.c:
    Added GdkWindow::set_icon() method for setting window icon.

2001-07-16  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/php_gtk+.h
      ext/gtk+/php_gtk+_types.c
      generator/templates.php
      main/php_gtk.h: Try to fix compilation problem for at least one person.

2001-07-15  Frank M. Kromann  <frank@frontbase.com>

    * win32/makedist.cmd:
    Make sure php_win.exe is included in the distribution

    * win32/php_win.c: Adding test for environment variable PHP_BIN.
    Adding error message when no script is passed as first parameter

2001-07-13  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.defs: Reset button is not even shown in the dialog.

2001-07-13  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.defs: Reset button is not even shown in the dialog.

2001-07-12  Andrei Zmievski  <andrei@ispi.net>

    * ext/gtk+/gtk.overrides:
    Fix a bug that didn't allow passing empty label to GtkMenuItem() constructor.

2001-07-11  Andrei Zmievski  <andrei@ispi.net>

    * generator/gdk.defs
      generator/gdk.overrides
      generator/gtk-extrafuncs.defs
      generator/gtk.defs
      generator/gtk.overrides
      generator/libglade.defs
      generator/libglade.overrides: These files now live in ext/.

2001-07-10  Frank M. Kromann  <frank@frontbase.com>

    * win32/php_gtk.dsp
      win32/php_win.c
      win32/scheme.dsp: Moving generated files to ext\.. directories

2001-07-10  Andrei Zmievski  <andrei@ispi.net>

    * generator/make_reg_items.php: Not needed anymore.

    * main/php_gtk.c: Pass EG to startup function.

    * ext/libglade/config.m4: Correct configure option doc.

2001-07-10  Frank M. Kromann  <frank@frontbase.com>

    * main/php_gtk_ext.w32.c: Adding windows specific file

2001-07-10  Andrei Zmievski  <andrei@ispi.net>

    * build2/.cvsignore: *** empty log message ***

    * build2/build.mk
      build2/build2.mk
      buildconf
      ext/gtk+/php_gtk+.c:
    Adjust some file locations and remove redundant ELS_FETCH().

2001-07-10  Frank M. Kromann  <frank@frontbase.com>

    * win32/php_gtk.dsp
      win32/php_win.dsp
      win32/scheme.dsp: Fixing build on win32 with the new build system

    * ext/gtk+/php_gtk+.c: Adding call to ELS_FETCH()

    * ext/gtk+/php_gtk+.h: Adding prototypes for _register functions

2001-07-10  Andrei Zmievski  <andrei@ispi.net>

    * main/php_gtk.h
      ext/gtk+/php_gtk+.c
      ext/libglade/php_libglade.c:
    Pass module number and EG to constant registering functions.

    * NEWS: *** empty log message ***

    * main/php_gtk_types.c
      main/php_gtk_util.c
      ext/libglade/.cvsignore
      ext/libglade/Makefile.in
      ext/libglade/config.m4
      ext/libglade/libglade.defs
      ext/libglade/libglade.overrides
      ext/libglade/php_libglade.c
      ext/libglade/php_libglade.h
      generator/generator.php
      generator/scheme.php
      generator/templates.php
      main/.cvsignore
      main/Makefile.in
      main/php_gtk.c
      main/php_gtk.h
      main/php_gtk_ext.c.in
      main/php_gtk_module.h
